# SGC

## Portal

### Real
* IP : 211.38.140.245
* Web Domain : [portal.sgc.co.kr](https://portal.sgc.co.kr/websquare)
* Mobile Domain : [mportal.sgc.co.kr](https://mportal.sgc.co.kr/mobile)

### Develop
* IP : 211.38.140.247
* Web Domain : [portal2.sgc.co.kr](https://portal2.sgc.co.kr/websquare)
* Mobile Domain : [mportal2.sgc.co.kr](https://mportal2.sgc.co.kr/mobile)

### Local-Develop
* IP : 127.0.0.1
* Web Domain : [web](http://localhost:9099/websquare/)
* Mobile Domain : [mobile](http://localhost:9099/mobile/)


## As (협력업체)

### Real
* IP : 211.38.140.245
* Web Domain : [as.sgcetec.co.kr](https://as.sgcetec.co.kr/websquare)
* Mobile Domain : [mas.sgcetec.co.kr](https://mas.sgcetec.co.kr/mobile)

### Develop
* IP : 211.38.140.247
* Web Domain : [as2.sgcetec.co.kr](https://as2.sgcetec.co.kr/websquare)
* Mobile Domain : [mas2.sgcetec.co.kr](https://mas2.sgcetec.co.kr/mobile)

### Local-Develop
* IP : 127.0.0.1
* Web Domain : [web](http://localhost:9099/websquare/?w2xIsAs=true)
* Mobile Domain : [mobile](http://localhost:9099/mobile/?w2xIsAs=true)

### Local Dev Id/PW
* Portal : SGC 이테크 건설 / admin / sgc1234!@
* As : SGC 이테크 건설 / dooin3223 / sgc1234!@


## Eclipse Mobile Exclude
### Mobile Project (Resource/Resource Filters)
* mobile-src (Exclude All/Folder/Name)

## Window Local Hosts /window/system32/drivers/etc/hosts

```shell
127.0.0.1       as-localhost
127.0.0.1       mas-localhost
127.0.0.1       portal-localhost
127.0.0.1       mportal-localhost
```

## Java Struct - SGC
```text
 src/main/java/sgc
└── portal
    ├── Application.java
    ├── SgcPortalAttributes.java
    ├── SgcPortalProperties.java
    ├── as
    │   ├── as0101
    │   │   ├── dto
    │   │   │   └── AS01010001USearch.java
    │   │   ├── model
    │   │   │   └── AS01010001U.java
    │   │   ├── persistence
    │   │   │   └── AS01010001UMapper.java
    │   │   ├── service
    │   │   │   └── AS01010001UService.java
    │   │   └── web
    │   │       └── AS01010001UController.java
    │   ├── as0102
    │   │   ├── dto
    │   │   │   └── AS01020001USearch.java
    │   │   ├── model
    │   │   │   ├── AS01020001U.java
    │   │   │   └── AS01020002U.java
    │   │   ├── persistence
    │   │   │   └── AS01020001UMapper.java
    │   │   ├── service
    │   │   │   └── AS01020001UService.java
    │   │   └── web
    │   │       └── AS01020001UController.java
    │   └── as0103
    │       ├── dto
    │       │   ├── TcsSearchCodeVo.java
    │       │   ├── TcsSearchDeftCustsignVo.java
    │       │   ├── TcsSearchDeftElpsVo.java
    │       │   ├── TcsSearchDeftVo.java
    │       │   ├── TcsSearchSiteDongHsnoVo.java
    │       │   ├── TcsSearchSiteVo.java
    │       │   └── TcsSearchVo.java
    │       ├── model
    │       │   ├── MoPushhistVo.java
    │       │   ├── SmComCovendChrgrVo.java
    │       │   ├── SmComCovendVo.java
    │       │   ├── TcsCodeCovendChrgrVo.java
    │       │   ├── TcsCodeVo.java
    │       │   ├── TcsDeftCustsignVo.java
    │       │   ├── TcsDeftElpsVo.java
    │       │   ├── TcsDeftStatusVo.java
    │       │   ├── TcsDeftVo.java
    │       │   ├── TcsErpSiteVo.java
    │       │   ├── TcsSiteDhsVo.java
    │       │   ├── TcsSiteTradeChrgrVo.java
    │       │   ├── TcsSiteTradeGuarVo.java
    │       │   ├── TcsSiteTradeVo.java
    │       │   └── TcsSiteVo.java
    │       ├── persistence
    │       │   └── AS01030001UMapper.java
    │       ├── service
    │       │   └── AS01030001UService.java
    │       └── web
    │           └── AS01030001UController.java
    ├── base
    │   ├── BaseSearchDto.java
    │   ├── Domain.java
    │   ├── Profiles.java
    │   ├── WebMvcConfiguration.java
    │   ├── error
    │   │   ├── BasicErrorMessageResolver.java
    │   │   ├── ErrorMessageResolver.java
    │   │   ├── I18nErrorMessageResolver.java
    │   │   └── ResolvedMessageErrorAttributes.java
    │   ├── exception
    │   │   ├── BusinessException.java
    │   │   ├── NestedRuntimeException.java
    │   │   ├── SessionTimeoutException.java
    │   │   ├── UnsupportedGirdStatusException.java
    │   │   └── advice
    │   │       ├── DefaultErrorHandler.java
    │   │       ├── ErrorConst.java
    │   │       └── ErrorMessage.java
    │   ├── format
    │   │   ├── DateJsonDeserializer.java
    │   │   ├── DateJsonSerializer.java
    │   │   ├── DateTimeJsonDeserializer.java
    │   │   └── DateTimeJsonSerializer.java
    │   ├── i18n
    │   │   └── I18nMessage.java
    │   ├── model
    │   │   ├── ComData.java
    │   │   ├── CommCd.java
    │   │   ├── DeptSearch.java
    │   │   ├── EquimentSearch.java
    │   │   ├── FileAll.java
    │   │   ├── NewEmpNoUsePopup.java
    │   │   ├── ParticularsOfAccountPop.java
    │   │   ├── SmComHelp.java
    │   │   ├── SmComYfvrmenu.java
    │   │   ├── TaxPdfUpload.java
    │   │   └── Yfvrprg.java
    │   ├── mybatis
    │   │   └── type
    │   │       └── BooleanNullableTypeHandler.java
    │   ├── persistence
    │   │   ├── ComBizDateMapper.java
    │   │   ├── ComBookMarkPopMapper.java
    │   │   ├── ComHelpDeskMapper.java
    │   │   ├── ComParticularsOfAccountPopMapper.java
    │   │   ├── ComPopupMapper.java
    │   │   ├── ComSearchMapper.java
    │   │   ├── ComboSearchMapper.java
    │   │   ├── CommCdSelectMapper.java
    │   │   ├── DefaultMapper.java
    │   │   ├── OracleMapper.java
    │   │   ├── SpavisMapper.java
    │   │   ├── WeiGolfMapper.java
    │   │   └── WeiResortMapper.java
    │   ├── service
    │   │   ├── ComBizDateService.java
    │   │   ├── ComBookMarkPopService.java
    │   │   ├── ComHelpDeskService.java
    │   │   ├── ComParticularsOfAccountPopService.java
    │   │   ├── ComPopupService.java
    │   │   ├── ComSearchService.java
    │   │   ├── ComboSearchService.java
    │   │   ├── CommCdSelectService.java
    │   │   └── ReportToFileService.java
    │   ├── storage
    │   │   ├── DateBasedSubpath.java
    │   │   ├── DefaultSubpath.java
    │   │   ├── StorageException.java
    │   │   ├── Subpath.java
    │   │   ├── SubpathFactory.java
    │   │   ├── model
    │   │   │   ├── FileBucket.java
    │   │   │   └── ImageThumbnail.java
    │   │   ├── persistence
    │   │   │   └── StorageMapper.java
    │   │   ├── service
    │   │   │   ├── FileSystemStorageService.java
    │   │   │   └── StorageService.java
    │   │   └── web
    │   │       ├── FileDownloadController.java
    │   │       └── FileUploadController.java
    │   ├── util
    │   │   ├── AddressUtils.java
    │   │   ├── Base64.java
    │   │   ├── DateTime.java
    │   │   ├── DateUtil.java
    │   │   ├── EasyHashMap.java
    │   │   ├── FileToHex.java
    │   │   ├── JsonUtil.java
    │   │   ├── QRUtil.java
    │   │   ├── SessionUtil.java
    │   │   ├── StringUtil.java
    │   │   ├── ValidChk.java
    │   │   └── WqDataCollectionUtil.java
    │   ├── view
    │   │   └── FileDownloadView.java
    │   ├── web
    │   │   ├── ComBizDateController.java
    │   │   ├── ComBookMarkPopController.java
    │   │   ├── ComHelpDeskController.java
    │   │   ├── ComParticularsOfAccountPopController.java
    │   │   ├── ComPopupController.java
    │   │   ├── ComSearchController.java
    │   │   ├── ComboSearchController.java
    │   │   ├── CommCdSelectController.java
    │   │   ├── PropertySourcesApplicationContextInitializer.java
    │   │   └── ReportToFileController.java
    │   └── websquare
    │       └── GridRowStatus.java
    ├── com
    │   ├── auth
    │   │   ├── model
    │   │   │   ├── PrvtinfoFindHist.java
    │   │   │   └── SmComHdlgAuth.java
    │   │   ├── persistence
    │   │   │   ├── ComBusiHandleAuthMngMapper.java
    │   │   │   └── PrvtInfoFindHistMapper.java
    │   │   ├── service
    │   │   │   ├── ComBusiHandleAuthMngService.java
    │   │   │   └── MaskingDesabledService.java
    │   │   └── web
    │   │       ├── ComBusiHandleAuthMngController.java
    │   │       └── MaskingDesabledController.java
    │   ├── com
    │   │   ├── model
    │   │   │   ├── AuthGrp.java
    │   │   │   ├── AuthUser.java
    │   │   │   ├── AuthUserPrg.java
    │   │   │   ├── BatchJob.java
    │   │   │   ├── BbsFile.java
    │   │   │   ├── Bsu.java
    │   │   │   ├── Cmpn.java
    │   │   │   ├── ComPopup.java
    │   │   │   ├── Comm.java
    │   │   │   ├── CommDtl.java
    │   │   │   ├── Dept.java
    │   │   │   ├── DeptDtl.java
    │   │   │   ├── Deptlinkdtil.java
    │   │   │   ├── Dtlauth.java
    │   │   │   ├── GrpPrg.java
    │   │   │   ├── Menu.java
    │   │   │   ├── Program.java
    │   │   │   ├── Stddauth.java
    │   │   │   ├── TaxOffice.java
    │   │   │   ├── User.java
    │   │   │   └── Validation.java
    │   │   ├── persistence
    │   │   │   ├── ComAuthPrgMngMapper.java
    │   │   │   ├── ComAuthUserMngMapper.java
    │   │   │   ├── ComAuthUserPrgMngMapper.java
    │   │   │   ├── ComBatchJobMngMapper.java
    │   │   │   ├── ComBsuMngMapper.java
    │   │   │   ├── ComCmpnMngMapper.java
    │   │   │   ├── ComCommMngMapper.java
    │   │   │   ├── ComCovendMngMapper.java
    │   │   │   ├── ComDeptMngMapper.java
    │   │   │   ├── ComMenuMngMapper.java
    │   │   │   ├── ComPopupMngMapper.java
    │   │   │   ├── ComPrgAuthMngMapper.java
    │   │   │   ├── ComPrgMapper.java
    │   │   │   ├── ComTaxOfficeMngMapper.java
    │   │   │   ├── ComUserMngMapper.java
    │   │   │   └── ComYtaCalBbsFilePopMapper.java
    │   │   ├── service
    │   │   │   ├── ComAuthPrgMngService.java
    │   │   │   ├── ComAuthUserMngService.java
    │   │   │   ├── ComAuthUserPrgMngService.java
    │   │   │   ├── ComBatchJobMngService.java
    │   │   │   ├── ComCmpnMngService.java
    │   │   │   ├── ComCommMngService.java
    │   │   │   ├── ComDeptMngService.java
    │   │   │   ├── ComMenuMngService.java
    │   │   │   ├── ComPopupMngService.java
    │   │   │   ├── ComPrgAuthMngService.java
    │   │   │   ├── ComPrgService.java
    │   │   │   ├── ComTaxOfficeMngService.java
    │   │   │   ├── ComUserMngService.java
    │   │   │   └── ComYtaCalBbsFilePopService.java
    │   │   └── web
    │   │       ├── ComAuthPrgMngController.java
    │   │       ├── ComAuthUserMngController.java
    │   │       ├── ComAuthUserPrgMngController.java
    │   │       ├── ComBatchJobMngController.java
    │   │       ├── ComCmpnMngController.java
    │   │       ├── ComCommMngController.java
    │   │       ├── ComDeptMngController.java
    │   │       ├── ComMenuMngController.java
    │   │       ├── ComPopupMngController.java
    │   │       ├── ComPrgAuthMngController.java
    │   │       ├── ComPrgController.java
    │   │       ├── ComTaxOfficeMngController.java
    │   │       ├── ComUserMngController.java
    │   │       └── ComYtaCalBbsFilePopController.java
    │   └── sym
    │       ├── batch
    │       │   ├── model
    │       │   │   ├── Batch.java
    │       │   │   └── FamilyEventBatch.java
    │       │   ├── persistence
    │       │   │   ├── BatchMapper.java
    │       │   │   └── FamilyEventBatchMapper.java
    │       │   └── service
    │       │       ├── BatchService.java
    │       │       └── FamilyEventBatchService.java
    │       ├── mail
    │       │   ├── model
    │       │   │   ├── Mail.java
    │       │   │   └── SmtpAuth.java
    │       │   ├── persistence
    │       │   │   └── MailMapper.java
    │       │   ├── service
    │       │   │   └── MailService.java
    │       │   └── web
    │       │       └── MailController.java
    │       ├── mnu
    │       │   ├── package-info.java
    │       │   ├── persistence
    │       │   │   └── MenuMapper.java
    │       │   ├── service
    │       │   │   └── MenuService.java
    │       │   └── web
    │       │       └── MenuController.java
    │       └── user
    │           ├── AuthenticationException.java
    │           ├── UserDetailsMethodArgumentResolver.java
    │           ├── model
    │           │   ├── Login.java
    │           │   ├── LoginAs.java
    │           │   ├── PasswordChang.java
    │           │   ├── PgPayErrorSearch.java
    │           │   ├── SmComLginphto.java
    │           │   ├── SmComPrgcnntlog.java
    │           │   ├── SmComSyscnntlog.java
    │           │   └── UserDetails.java
    │           ├── persistence
    │           │   ├── LoginMapper.java
    │           │   └── PgPayErrorMapper.java
    │           ├── service
    │           │   ├── LoginService.java
    │           │   └── PgPayErrorService.java
    │           └── web
    │               ├── LoginController.java
    │               └── PgPayErrorController.java
    ├── cs
    │   ├── cs0001
    │   │   ├── dto
    │   │   │   └── CS00010001USearch.java
    │   │   ├── model
    │   │   │   ├── CS00010001U.java
    │   │   │   └── CS00010002U.java
    │   │   ├── persistence
    │   │   │   └── CS00010001UMapper.java
    │   │   ├── service
    │   │   │   └── CS00010001UService.java
    │   │   └── web
    │   │       └── CS00010001UController.java
    │   ├── cs0101
    │   │   ├── dto
    │   │   │   └── CS01010001USearch.java
    │   │   ├── model
    │   │   │   └── CS01010001U.java
    │   │   ├── persistence
    │   │   │   └── CS01010001UMapper.java
    │   │   ├── service
    │   │   │   └── CS01010001UService.java
    │   │   └── web
    │   │       └── CS01010001UController.java
    │   ├── cs0102
    │   │   ├── dto
    │   │   │   └── CS01020001USearch.java
    │   │   ├── model
    │   │   │   ├── CS01020001U.java
    │   │   │   ├── CS01020002U.java
    │   │   │   ├── CS01020003U.java
    │   │   │   ├── CS01020004U.java
    │   │   │   ├── CS01020005U.java
    │   │   │   └── CS01020006U.java
    │   │   ├── persistence
    │   │   │   └── CS01020001UMapper.java
    │   │   ├── service
    │   │   │   └── CS01020001UService.java
    │   │   └── web
    │   │       └── CS01020001UController.java
    │   ├── cs0103
    │   │   ├── dto
    │   │   │   └── CS01030001USearch.java
    │   │   ├── model
    │   │   │   ├── CS01030000U.java
    │   │   │   ├── CS01030001U.java
    │   │   │   ├── CS01030002U.java
    │   │   │   ├── CS01030003U.java
    │   │   │   ├── CS01030004U.java
    │   │   │   └── CS01030005U.java
    │   │   ├── persistence
    │   │   │   └── CS01030001UMapper.java
    │   │   ├── service
    │   │   │   └── CS01030001UService.java
    │   │   └── web
    │   │       └── CS01030001UController.java
    │   ├── cs0104
    │   │   ├── dto
    │   │   │   └── CS01040001USearch.java
    │   │   ├── model
    │   │   │   └── CS01040001U.java
    │   │   ├── persistence
    │   │   │   └── CS01040001UMapper.java
    │   │   ├── service
    │   │   │   └── CS01040001UService.java
    │   │   └── web
    │   │       └── CS01040001UController.java
    │   ├── cs0201
    │   │   ├── dto
    │   │   │   └── CS02010001USearch.java
    │   │   ├── model
    │   │   │   ├── CS02010001U.java
    │   │   │   ├── CS02010002U.java
    │   │   │   ├── CS02010003U.java
    │   │   │   ├── CS02010004U.java
    │   │   │   ├── CS02010005U.java
    │   │   │   ├── CS02010006U.java
    │   │   │   └── CS02010007U.java
    │   │   ├── persistence
    │   │   │   └── CS02010001UMapper.java
    │   │   ├── service
    │   │   │   └── CS02010001UService.java
    │   │   └── web
    │   │       └── CS02010001UController.java
    │   ├── cs0203
    │   │   ├── dto
    │   │   │   └── CS02030001USearch.java
    │   │   ├── model
    │   │   │   └── CS02030001U.java
    │   │   ├── persistence
    │   │   │   └── CS02030001UMapper.java
    │   │   ├── service
    │   │   │   └── CS02030001UService.java
    │   │   └── web
    │   │       └── CS02030001UController.java
    │   ├── cs0301
    │   │   ├── dto
    │   │   │   ├── CS03010001PSearch.java
    │   │   │   ├── CS03010001USearch.java
    │   │   │   └── CS03010002PSearch.java
    │   │   ├── model
    │   │   │   ├── CS03010001P.java
    │   │   │   ├── CS03010001U.java
    │   │   │   ├── CS03010002P.java
    │   │   │   ├── TcsDeftElpsVo.java
    │   │   │   └── TcsDeftVo.java
    │   │   ├── persistence
    │   │   │   ├── CS03010001PMapper.java
    │   │   │   ├── CS03010001UMapper.java
    │   │   │   └── CS03010002PMapper.java
    │   │   ├── service
    │   │   │   ├── CS03010001PService.java
    │   │   │   ├── CS03010001UService.java
    │   │   │   └── CS03010002PService.java
    │   │   └── web
    │   │       ├── CS03010001PController.java
    │   │       ├── CS03010001UController.java
    │   │       └── CS03010002PController.java
    │   ├── cs0302
    │   │   ├── dto
    │   │   │   └── CS03020001USearch.java
    │   │   ├── persistence
    │   │   │   └── CS03020001UMapper.java
    │   │   ├── service
    │   │   │   └── CS03020001UService.java
    │   │   └── web
    │   │       └── CS03020001UController.java
    │   ├── cs0303
    │   │   ├── dto
    │   │   │   └── CS03030001USearch.java
    │   │   ├── persistence
    │   │   │   └── CS03030001UMapper.java
    │   │   ├── service
    │   │   │   └── CS03030001UService.java
    │   │   └── web
    │   │       └── CS03030001UController.java
    │   ├── cs0401
    │   │   ├── dto
    │   │   │   └── CS04010001USearch.java
    │   │   ├── model
    │   │   │   ├── CS04010001U.java
    │   │   │   └── CS04010002U.java
    │   │   ├── persistence
    │   │   │   └── CS04010001UMapper.java
    │   │   ├── service
    │   │   │   └── CS04010001UService.java
    │   │   └── web
    │   │       └── CS04010001UController.java
    │   ├── cs0402
    │   │   ├── dto
    │   │   │   └── CS04020001USearch.java
    │   │   ├── persistence
    │   │   │   └── CS04020001UMapper.java
    │   │   ├── service
    │   │   │   └── CS04020001UService.java
    │   │   └── web
    │   │       └── CS04020001UController.java
    │   ├── cs0403
    │   │   ├── dto
    │   │   │   └── CS04030001USearch.java
    │   │   ├── model
    │   │   │   └── CS04030001U.java
    │   │   ├── persistence
    │   │   │   └── CS04030001UMapper.java
    │   │   ├── service
    │   │   │   └── CS04030001UService.java
    │   │   └── web
    │   │       └── CS04030001UController.java
    │   ├── cs0501
    │   │   ├── dto
    │   │   │   └── CS05010001USearch.java
    │   │   ├── model
    │   │   │   └── CS05010001U.java
    │   │   ├── persistence
    │   │   │   └── CS05010001UMapper.java
    │   │   ├── service
    │   │   │   └── CS05010001UService.java
    │   │   └── web
    │   │       └── CS05010001UController.java
    │   ├── cs0502
    │   │   ├── dto
    │   │   │   └── CS05020001USearch.java
    │   │   ├── model
    │   │   │   └── CS05020001U.java
    │   │   ├── persistence
    │   │   │   └── CS05020001UMapper.java
    │   │   ├── service
    │   │   │   └── CS05020001UService.java
    │   │   └── web
    │   │       └── CS05020001UController.java
    │   ├── cs0601
    │   │   ├── dto
    │   │   │   └── CS06010001USearch.java
    │   │   ├── persistence
    │   │   │   └── CS06010001UMapper.java
    │   │   ├── service
    │   │   │   └── CS06010001UService.java
    │   │   └── web
    │   │       └── CS06010001UController.java
    │   ├── cs0602
    │   │   ├── dto
    │   │   │   └── CS06020001USearch.java
    │   │   ├── persistence
    │   │   │   └── CS06020001UMapper.java
    │   │   ├── service
    │   │   │   └── CS06020001UService.java
    │   │   └── web
    │   │       └── CS06020001UController.java
    │   ├── cs0603
    │   │   ├── dto
    │   │   │   └── CS06030001USearch.java
    │   │   ├── persistence
    │   │   │   └── CS06030001UMapper.java
    │   │   ├── service
    │   │   │   └── CS06030001UService.java
    │   │   └── web
    │   │       └── CS06030001UController.java
    │   ├── cs0604
    │   │   ├── dto
    │   │   │   └── CS06040001USearch.java
    │   │   ├── persistence
    │   │   │   └── CS06040001UMapper.java
    │   │   ├── service
    │   │   │   └── CS06040001UService.java
    │   │   └── web
    │   │       └── CS06040001UController.java
    │   ├── cscom
    │   │   ├── dto
    │   │   │   └── CSCOMSearch.java
    │   │   ├── persistence
    │   │   │   └── CSCOMMapper.java
    │   │   ├── service
    │   │   │   └── CSCOMService.java
    │   │   └── web
    │   │       └── CSCOMController.java
    │   └── cspop
    │       ├── dto
    │       │   └── CSPOPSearch.java
    │       ├── model
    │       │   ├── CSPOPVo.java
    │       │   └── CSTcsSiteTradeChrgrVo.java
    │       ├── persistence
    │       │   └── CSPOPMapper.java
    │       ├── service
    │       │   └── CSPOPService.java
    │       └── web
    │           └── CSPOPController.java
    ├── cw
    │   ├── cw0101
    │   │   ├── dto
    │   │   │   └── CW01010001USearch.java
    │   │   ├── model
    │   │   │   └── CW01010001U.java
    │   │   ├── persistence
    │   │   │   └── CW01010001UMapper.java
    │   │   ├── service
    │   │   │   └── CW01010001UService.java
    │   │   └── web
    │   │       └── CW01010001UController.java
    │   ├── cw0102
    │   │   ├── dto
    │   │   │   └── CW01020001USearch.java
    │   │   ├── model
    │   │   │   └── CW01020001U.java
    │   │   ├── persistence
    │   │   │   └── CW01020001UMapper.java
    │   │   ├── service
    │   │   │   └── CW01020001UService.java
    │   │   └── web
    │   │       └── CW01020001UController.java
    │   ├── cw0103
    │   │   ├── dto
    │   │   │   └── CW01030001USearch.java
    │   │   ├── model
    │   │   │   └── CW01030001U.java
    │   │   ├── persistence
    │   │   │   └── CW01030001UMapper.java
    │   │   ├── service
    │   │   │   └── CW01030001UService.java
    │   │   └── web
    │   │       └── CW01030001UController.java
    │   ├── cw0104
    │   │   ├── dto
    │   │   │   └── CW01040001USearch.java
    │   │   ├── model
    │   │   │   └── CW01040001U.java
    │   │   ├── persistence
    │   │   │   └── CW01040001UMapper.java
    │   │   ├── service
    │   │   │   └── CW01040001UService.java
    │   │   └── web
    │   │       └── CW01040001UController.java
    │   ├── cw0201
    │   │   ├── dto
    │   │   │   └── CW02010001USearch.java
    │   │   ├── model
    │   │   │   └── CW02010001U.java
    │   │   ├── persistence
    │   │   │   └── CW02010001UMapper.java
    │   │   ├── service
    │   │   │   └── CW02010001UService.java
    │   │   └── web
    │   │       └── CW02010001UController.java
    │   ├── cw0202
    │   │   ├── dto
    │   │   │   └── CW02020001USearch.java
    │   │   ├── model
    │   │   │   └── CW02020001U.java
    │   │   ├── persistence
    │   │   │   └── CW02020001UMapper.java
    │   │   ├── service
    │   │   │   └── CW02020001UService.java
    │   │   └── web
    │   │       └── CW02020001UController.java
    │   ├── cw0203
    │   │   ├── dto
    │   │   │   └── CW02030001USearch.java
    │   │   ├── model
    │   │   │   └── CW02030001U.java
    │   │   ├── persistence
    │   │   │   └── CW02030001UMapper.java
    │   │   ├── service
    │   │   │   └── CW02030001UService.java
    │   │   └── web
    │   │       └── CW02030001UController.java
    │   ├── cw0204
    │   │   ├── dto
    │   │   │   └── CW02040001USearch.java
    │   │   ├── model
    │   │   │   └── CW02040001U.java
    │   │   ├── persistence
    │   │   │   └── CW02040001UMapper.java
    │   │   ├── service
    │   │   │   └── CW02040001UService.java
    │   │   └── web
    │   │       └── CW02040001UController.java
    │   ├── cw0205
    │   │   ├── dto
    │   │   │   └── CW02050001USearch.java
    │   │   ├── model
    │   │   │   └── CW02050001U.java
    │   │   ├── persistence
    │   │   │   └── CW02050001UMapper.java
    │   │   ├── service
    │   │   │   └── CW02050001UService.java
    │   │   └── web
    │   │       └── CW02050001UController.java
    │   ├── cw0206
    │   │   ├── dto
    │   │   │   └── CW02060001USearch.java
    │   │   ├── model
    │   │   │   └── CW02060001U.java
    │   │   ├── persistence
    │   │   │   └── CW02060001UMapper.java
    │   │   ├── service
    │   │   │   └── CW02060001UService.java
    │   │   └── web
    │   │       └── CW02060001UController.java
    │   ├── cw0301
    │   │   ├── dto
    │   │   │   └── CW03010001USearch.java
    │   │   ├── model
    │   │   │   └── CW03010001U.java
    │   │   ├── persistence
    │   │   │   └── CW03010001UMapper.java
    │   │   ├── service
    │   │   │   └── CW03010001UService.java
    │   │   └── web
    │   │       └── CW03010001UController.java
    │   ├── cw0302
    │   │   ├── dto
    │   │   │   └── CW03020001USearch.java
    │   │   ├── persistence
    │   │   │   └── CW03020001UMapper.java
    │   │   ├── service
    │   │   │   └── CW03020001UService.java
    │   │   └── web
    │   │       └── CW03020001UController.java
    │   ├── cw0303
    │   │   ├── dto
    │   │   │   └── CW03030001USearch.java
    │   │   ├── model
    │   │   │   └── CW03030001U.java
    │   │   ├── persistence
    │   │   │   └── CW03030001UMapper.java
    │   │   ├── service
    │   │   │   └── CW03030001UService.java
    │   │   └── web
    │   │       └── CW03030001UController.java
    │   ├── cw0304
    │   │   ├── dto
    │   │   │   └── CW03040001USearch.java
    │   │   ├── model
    │   │   │   └── CW03040001U.java
    │   │   ├── persistence
    │   │   │   └── CW03040001UMapper.java
    │   │   ├── service
    │   │   │   └── CW03040001UService.java
    │   │   └── web
    │   │       └── CW03040001UController.java
    │   ├── cw0401
    │   │   ├── dto
    │   │   │   └── CW04010001USearch.java
    │   │   ├── model
    │   │   │   └── CW04010001U.java
    │   │   ├── persistence
    │   │   │   └── CW04010001UMapper.java
    │   │   ├── service
    │   │   │   └── CW04010001UService.java
    │   │   └── web
    │   │       └── CW04010001UController.java
    │   ├── cw0402
    │   │   ├── dto
    │   │   │   └── CW04020001USearch.java
    │   │   ├── model
    │   │   │   └── CW04020001U.java
    │   │   ├── persistence
    │   │   │   └── CW04020001UMapper.java
    │   │   ├── service
    │   │   │   └── CW04020001UService.java
    │   │   └── web
    │   │       └── CW04020001UController.java
    │   ├── cw0403
    │   │   ├── dto
    │   │   │   └── CW04030001USearch.java
    │   │   ├── model
    │   │   │   └── CW04030001U.java
    │   │   ├── persistence
    │   │   │   └── CW04030001UMapper.java
    │   │   ├── service
    │   │   │   └── CW04030001UService.java
    │   │   └── web
    │   │       └── CW04030001UController.java
    │   ├── cw0404
    │   │   ├── dto
    │   │   │   └── CW04040001USearch.java
    │   │   ├── model
    │   │   │   └── CW04040001U.java
    │   │   ├── persistence
    │   │   │   └── CW04040001UMapper.java
    │   │   ├── service
    │   │   │   └── CW04040001UService.java
    │   │   └── web
    │   │       └── CW04040001UController.java
    │   ├── cw0405
    │   │   ├── dto
    │   │   │   └── CW04050001USearch.java
    │   │   ├── model
    │   │   │   └── CW04050001U.java
    │   │   ├── persistence
    │   │   │   └── CW04050001UMapper.java
    │   │   ├── service
    │   │   │   └── CW04050001UService.java
    │   │   └── web
    │   │       └── CW04050001UController.java
    │   ├── cw0406
    │   │   ├── dto
    │   │   │   └── CW04060001USearch.java
    │   │   ├── model
    │   │   │   └── CW04060001U.java
    │   │   ├── persistence
    │   │   │   └── CW04060001UMapper.java
    │   │   ├── service
    │   │   │   └── CW04060001UService.java
    │   │   └── web
    │   │       └── CW04060001UController.java
    │   ├── cw0407
    │   │   ├── dto
    │   │   │   └── CW04070001USearch.java
    │   │   ├── model
    │   │   │   └── CW04070001U.java
    │   │   ├── persistence
    │   │   │   └── CW04070001UMapper.java
    │   │   ├── service
    │   │   │   └── CW04070001UService.java
    │   │   └── web
    │   │       └── CW04070001UController.java
    │   ├── cw0408
    │   │   ├── dto
    │   │   │   └── CW04080001USearch.java
    │   │   ├── model
    │   │   │   └── CW04080001U.java
    │   │   ├── persistence
    │   │   │   └── CW04080001UMapper.java
    │   │   ├── service
    │   │   │   └── CW04080001UService.java
    │   │   └── web
    │   │       └── CW04080001UController.java
    │   ├── cw0501
    │   │   ├── dto
    │   │   │   └── CW05010001USearch.java
    │   │   ├── model
    │   │   │   └── CW05010001U.java
    │   │   ├── persistence
    │   │   │   └── CW05010001UMapper.java
    │   │   ├── service
    │   │   │   └── CW05010001UService.java
    │   │   └── web
    │   │       └── CW05010001UController.java
    │   ├── cw0601
    │   │   ├── dto
    │   │   │   └── CW06010001USearch.java
    │   │   ├── model
    │   │   │   └── CW06010001U.java
    │   │   ├── persistence
    │   │   │   └── CW06010001UMapper.java
    │   │   ├── service
    │   │   │   └── CW06010001UService.java
    │   │   └── web
    │   │       └── CW06010001UController.java
    │   ├── cw0602
    │   │   ├── dto
    │   │   │   └── CW06020001USearch.java
    │   │   ├── model
    │   │   │   └── CW06020001U.java
    │   │   ├── persistence
    │   │   │   └── CW06020001UMapper.java
    │   │   ├── service
    │   │   │   └── CW06020001UService.java
    │   │   └── web
    │   │       └── CW06020001UController.java
    │   ├── cw0603
    │   │   ├── dto
    │   │   │   └── CW06030001USearch.java
    │   │   ├── model
    │   │   │   └── CW06030001U.java
    │   │   ├── persistence
    │   │   │   └── CW06030001UMapper.java
    │   │   ├── service
    │   │   │   └── CW06030001UService.java
    │   │   └── web
    │   │       └── CW06030001UController.java
    │   ├── cw0604
    │   │   ├── dto
    │   │   │   └── CW06040001USearch.java
    │   │   ├── model
    │   │   │   └── CW06040001U.java
    │   │   ├── persistence
    │   │   │   └── CW06040001UMapper.java
    │   │   ├── service
    │   │   │   └── CW06040001UService.java
    │   │   └── web
    │   │       └── CW06040001UController.java
    │   ├── cw0605
    │   │   ├── dto
    │   │   │   └── CW06050001USearch.java
    │   │   ├── model
    │   │   │   └── CW06050001U.java
    │   │   ├── persistence
    │   │   │   └── CW06050001UMapper.java
    │   │   ├── service
    │   │   │   └── CW06050001UService.java
    │   │   └── web
    │   │       └── CW06050001UController.java
    │   ├── cw0606
    │   │   ├── dto
    │   │   │   └── CW06060001USearch.java
    │   │   ├── model
    │   │   │   └── CW06060001U.java
    │   │   ├── persistence
    │   │   │   └── CW06060001UMapper.java
    │   │   ├── service
    │   │   │   └── CW06060001UService.java
    │   │   └── web
    │   │       └── CW06060001UController.java
    │   ├── cw0607
    │   │   ├── dto
    │   │   │   └── CW06070001USearch.java
    │   │   ├── model
    │   │   │   └── CW06070001U.java
    │   │   ├── persistence
    │   │   │   └── CW06070001UMapper.java
    │   │   ├── service
    │   │   │   └── CW06070001UService.java
    │   │   └── web
    │   │       └── CW06070001UController.java
    │   ├── cw0608
    │   │   ├── dto
    │   │   │   └── CW06080001USearch.java
    │   │   ├── model
    │   │   │   └── CW06080001U.java
    │   │   ├── persistence
    │   │   │   └── CW06080001UMapper.java
    │   │   ├── service
    │   │   │   └── CW06080001UService.java
    │   │   └── web
    │   │       └── CW06080001UController.java
    │   ├── cw0609
    │   │   ├── dto
    │   │   │   └── CW06090001USearch.java
    │   │   ├── model
    │   │   │   └── CW06090001U.java
    │   │   ├── persistence
    │   │   │   └── CW06090001UMapper.java
    │   │   ├── service
    │   │   │   └── CW06090001UService.java
    │   │   └── web
    │   │       └── CW06090001UController.java
    │   ├── cw0610
    │   │   ├── dto
    │   │   │   └── CW06100001USearch.java
    │   │   ├── model
    │   │   │   └── CW06100001U.java
    │   │   ├── persistence
    │   │   │   └── CW06100001UMapper.java
    │   │   ├── service
    │   │   │   └── CW06100001UService.java
    │   │   └── web
    │   │       └── CW06100001UController.java
    │   ├── cw0611
    │   │   ├── dto
    │   │   │   └── CW06110001USearch.java
    │   │   ├── model
    │   │   │   └── CW06110001U.java
    │   │   ├── persistence
    │   │   │   └── CW06110001UMapper.java
    │   │   ├── service
    │   │   │   └── CW06110001UService.java
    │   │   └── web
    │   │       └── CW06110001UController.java
    │   ├── cw0612
    │   │   ├── dto
    │   │   │   └── CW06120001USearch.java
    │   │   ├── model
    │   │   │   └── CW06120001U.java
    │   │   ├── persistence
    │   │   │   └── CW06120001UMapper.java
    │   │   ├── service
    │   │   │   └── CW06120001UService.java
    │   │   └── web
    │   │       └── CW06120001UController.java
    │   ├── cw0613
    │   │   ├── dto
    │   │   │   └── CW06130001USearch.java
    │   │   ├── model
    │   │   │   └── CW06130001U.java
    │   │   ├── persistence
    │   │   │   └── CW06130001UMapper.java
    │   │   ├── service
    │   │   │   └── CW06130001UService.java
    │   │   └── web
    │   │       └── CW06130001UController.java
    │   ├── cw0701
    │   │   ├── dto
    │   │   │   └── CW07010001USearch.java
    │   │   ├── model
    │   │   │   └── CW07010001U.java
    │   │   ├── persistence
    │   │   │   └── CW07010001UMapper.java
    │   │   ├── service
    │   │   │   └── CW07010001UService.java
    │   │   └── web
    │   │       └── CW07010001UController.java
    │   ├── cw0702
    │   │   ├── dto
    │   │   │   └── CW07020001USearch.java
    │   │   ├── model
    │   │   │   └── CW07020001U.java
    │   │   ├── persistence
    │   │   │   └── CW07020001UMapper.java
    │   │   ├── service
    │   │   │   └── CW07020001UService.java
    │   │   └── web
    │   │       └── CW07020001UController.java
    │   ├── cw0801
    │   │   ├── dto
    │   │   │   └── CW08010001USearch.java
    │   │   ├── model
    │   │   │   ├── CW08010001U.java
    │   │   │   └── CW08010002U.java
    │   │   ├── persistence
    │   │   │   └── CW08010001UMapper.java
    │   │   ├── service
    │   │   │   └── CW08010001UService.java
    │   │   └── web
    │   │       └── CW08010001UController.java
    │   ├── cw0802
    │   │   ├── dto
    │   │   │   └── CW08020001USearch.java
    │   │   ├── model
    │   │   │   ├── CW08020001U.java
    │   │   │   └── CW08020002U.java
    │   │   ├── persistence
    │   │   │   └── CW08020001UMapper.java
    │   │   ├── service
    │   │   │   └── CW08020001UService.java
    │   │   └── web
    │   │       └── CW08020001UController.java
    │   ├── cw0803
    │   │   ├── dto
    │   │   │   └── CW08030001USearch.java
    │   │   ├── persistence
    │   │   │   └── CW08030001UMapper.java
    │   │   ├── service
    │   │   │   └── CW08030001UService.java
    │   │   └── web
    │   │       └── CW08030001UController.java
    │   ├── cw0804
    │   │   ├── dto
    │   │   │   ├── CW08040001PSearch.java
    │   │   │   ├── CW08040001USearch.java
    │   │   │   ├── CW08040002PSearch.java
    │   │   │   ├── CW08040006PSearch.java
    │   │   │   └── CW08040007PSearch.java
    │   │   ├── model
    │   │   │   ├── CW08040001P.java
    │   │   │   ├── CW08040001U.java
    │   │   │   ├── CW08040003P.java
    │   │   │   ├── CW08040004P.java
    │   │   │   ├── CW08040005P.java
    │   │   │   ├── CW08040006P.java
    │   │   │   └── CW08040007P.java
    │   │   ├── persistence
    │   │   │   ├── CW08040001PMapper.java
    │   │   │   ├── CW08040001UMapper.java
    │   │   │   ├── CW08040002PMapper.java
    │   │   │   ├── CW08040003PMapper.java
    │   │   │   ├── CW08040004PMapper.java
    │   │   │   ├── CW08040005PMapper.java
    │   │   │   ├── CW08040006PMapper.java
    │   │   │   └── CW08040007PMapper.java
    │   │   ├── service
    │   │   │   ├── CW08040001PService.java
    │   │   │   ├── CW08040001UService.java
    │   │   │   ├── CW08040002PService.java
    │   │   │   ├── CW08040003PService.java
    │   │   │   ├── CW08040004PService.java
    │   │   │   ├── CW08040005PService.java
    │   │   │   ├── CW08040006PService.java
    │   │   │   └── CW08040007PService.java
    │   │   └── web
    │   │       ├── CW08040001PController.java
    │   │       ├── CW08040001UController.java
    │   │       ├── CW08040002PController.java
    │   │       ├── CW08040003PController.java
    │   │       ├── CW08040004PController.java
    │   │       ├── CW08040005PController.java
    │   │       ├── CW08040006PController.java
    │   │       └── CW08040007PController.java
    │   ├── cw0901
    │   │   ├── dto
    │   │   │   └── CW09010001USearch.java
    │   │   ├── model
    │   │   │   └── CW09010001U.java
    │   │   ├── persistence
    │   │   │   └── CW09010001UMapper.java
    │   │   ├── service
    │   │   │   └── CW09010001UService.java
    │   │   └── web
    │   │       └── CW09010001UController.java
    │   ├── cw0902
    │   │   ├── dto
    │   │   │   └── CW09020001USearch.java
    │   │   ├── persistence
    │   │   │   └── CW09020001UMapper.java
    │   │   ├── service
    │   │   │   └── CW09020001UService.java
    │   │   └── web
    │   │       └── CW09020001UController.java
    │   ├── cw1001
    │   │   ├── dto
    │   │   │   └── CW10010001USearch.java
    │   │   ├── model
    │   │   │   └── CW10010001U.java
    │   │   ├── persistence
    │   │   │   └── CW10010001UMapper.java
    │   │   ├── service
    │   │   │   └── CW10010001UService.java
    │   │   └── web
    │   │       └── CW10010001UController.java
    │   └── cw1002
    │       ├── dto
    │       │   └── CW10020001USearch.java
    │       ├── model
    │       │   └── CW10020001U.java
    │       ├── persistence
    │       │   └── CW10020001UMapper.java
    │       ├── service
    │       │   └── CW10020001UService.java
    │       └── web
    │           └── CW10020001UController.java
    ├── log
    │   ├── service
    │   │   └── LogFileLoadService.java
    │   └── web
    │       └── LogFileLoadController.java
    ├── mobile
    │   ├── dto
    │   │   ├── RoomSearchVo.java
    │   │   ├── TcsSearchCodeVo.java
    │   │   ├── TcsSearchDeftCustsignVo.java
    │   │   ├── TcsSearchDeftElpsVo.java
    │   │   ├── TcsSearchDeftVo.java
    │   │   ├── TcsSearchSiteDongHsnoVo.java
    │   │   ├── TcsSearchSiteVo.java
    │   │   └── TcsSearchVo.java
    │   ├── model
    │   │   ├── CodeVo.java
    │   │   ├── ManifestIconVo.java
    │   │   ├── ManifestProtocolHandlerVo.java
    │   │   ├── ManifestShortcutVo.java
    │   │   ├── ManifestVo.java
    │   │   ├── MoPushhistVo.java
    │   │   ├── SmComCovendChrgrVo.java
    │   │   ├── SmComCovendVo.java
    │   │   ├── TcsCodeCovendChrgrVo.java
    │   │   ├── TcsCodeVo.java
    │   │   ├── TcsDeftCustsignVo.java
    │   │   ├── TcsDeftElpsVo.java
    │   │   ├── TcsDeftStatusVo.java
    │   │   ├── TcsDeftVo.java
    │   │   ├── TcsErpSiteVo.java
    │   │   ├── TcsSiteDhsVo.java
    │   │   ├── TcsSiteTradeChrgrVo.java
    │   │   ├── TcsSiteTradeGuarVo.java
    │   │   ├── TcsSiteTradeVo.java
    │   │   ├── TcsSiteVo.java
    │   │   ├── ZehrRomDisplVo.java
    │   │   ├── ZehrRomInfoVo.java
    │   │   ├── ZehrRomLoctnVo.java
    │   │   ├── ZehrRomResrvtnVo.java
    │   │   └── ZehrSiteAddressVo.java
    │   ├── persistence
    │   │   ├── AsMapper.java
    │   │   └── RoomMapper.java
    │   ├── service
    │   │   ├── AsService.java
    │   │   └── RoomService.java
    │   └── web
    │       ├── MobileApiController.java
    │       └── MobileController.java
    ├── qc
    │   ├── qc0101
    │   │   ├── dto
    │   │   │   └── QC01010001USearch.java
    │   │   ├── model
    │   │   │   ├── QC01010001U.java
    │   │   │   ├── QC01010002U.java
    │   │   │   └── QC01010003U.java
    │   │   ├── persistence
    │   │   │   └── QC01010001UMapper.java
    │   │   ├── service
    │   │   │   └── QC01010001UService.java
    │   │   └── web
    │   │       └── QC01010001UController.java
    │   ├── qc0102
    │   │   ├── dto
    │   │   │   └── QC01020001USearch.java
    │   │   ├── persistence
    │   │   │   └── QC01020001UMapper.java
    │   │   ├── service
    │   │   │   └── QC01020001UService.java
    │   │   └── web
    │   │       └── QC01020001UController.java
    │   └── qc0103
    │       ├── dto
    │       │   └── QC01030001USearch.java
    │       ├── model
    │       │   └── QC01030001U.java
    │       ├── persistence
    │       │   └── QC01030001UMapper.java
    │       ├── service
    │       │   └── QC01030001UService.java
    │       └── web
    │           └── QC01030001UController.java
    ├── sample
    │   └── component
    │       ├── model
    │       │   ├── Create.java
    │       │   ├── Sample.java
    │       │   └── Spec.java
    │       ├── persistence
    │       │   └── ComSampleMapper.java
    │       ├── service
    │       │   └── ComSampleService.java
    │       └── web
    │           └── ComSampleController.java
    ├── security
    │   ├── InvalidSessionException.java
    │   ├── PasswordEncryptionService.java
    │   ├── SecurityDecisionMaker.java
    │   ├── SecurityRefererPolicy.java
    │   ├── SessionListener.java
    │   ├── SessionObserver.java
    │   ├── annotation
    │   │   ├── Secured.java
    │   │   └── SecurityPolicy.java
    │   └── model
    │       ├── Authority.java
    │       ├── AuthorityCriterion.java
    │       ├── BearerTokenWrapper.java
    │       └── SystemAuthority.java
    └── websquare
        └── web
            └── WebsquareController.java
```

## SQL Mapper
```text
src/main/resources/sqlmap
└── mappers
    ├── as
    │   ├── as0101
    │   │   └── AS01010001UMapper.xml
    │   ├── as0102
    │   │   └── AS01020001UMapper.xml
    │   └── as0103
    │       └── AS01030001UMapper.xml
    ├── cmm
    │   ├── ComBizDateMapper.xml
    │   ├── ComBookMarkPopMapper.xml
    │   ├── ComFileYtaUploadMapper.xml
    │   ├── ComHelpDeskMapper.xml
    │   ├── ComParticularsOfAccountPop.xml
    │   ├── ComPopupMapper.xml
    │   ├── ComSearchMapper.xml
    │   ├── ComboSearchMapper.xml
    │   ├── CommCdMapper.xml
    │   └── StorageMapper.xml
    ├── com
    │   ├── ComAuthPrgMngMapper.xml
    │   ├── ComAuthUserMngMapper.xml
    │   ├── ComAuthUserPrgMngMapper.xml
    │   ├── ComBatchJobMapper.xml
    │   ├── ComCmpnMngMapper.xml
    │   ├── ComCommMngMapper.xml
    │   ├── ComCovendMngMapper.xml
    │   ├── ComDeptMngMapper.xml
    │   ├── ComMenuMngMapper.xml
    │   ├── ComPrgAuthMngMapper.xml
    │   ├── ComPrgMapper.xml
    │   ├── ComTaxOfficeMngMapper.xml
    │   ├── ComUserMngMapper.xml
    │   ├── ComYtaCalBbsFilePopMapper.xml
    │   ├── DefaultMapper.xml
    │   ├── OracleMapper_oracle.xml
    │   ├── SpavisMapper.xml
    │   ├── WeiGolfMapper.xml
    │   ├── WeiResortMapper.xml
    │   ├── auth
    │   │   ├── ComBusiHandleAuthMngMapper.xml
    │   │   └── PrvtInfoFindHistMapper.xml
    │   └── pop
    │       └── ComPopupMngMapper.xml
    ├── cs
    │   ├── cs0001
    │   │   └── CS00010001UMapper.xml
    │   ├── cs0101
    │   │   └── CS01010001UMapper.xml
    │   ├── cs0102
    │   │   └── CS01020001UMapper.xml
    │   ├── cs0103
    │   │   └── CS01030001UMapper.xml
    │   ├── cs0104
    │   │   └── CS01040001UMapper.xml
    │   ├── cs0201
    │   │   └── CS02010001UMapper.xml
    │   ├── cs0203
    │   │   └── CS02030001UMapper.xml
    │   ├── cs0301
    │   │   ├── CS03010001PMapper.xml
    │   │   ├── CS03010001UMapper.xml
    │   │   └── CS03010002PMapper.xml
    │   ├── cs0302
    │   │   └── CS03020001UMapper.xml
    │   ├── cs0303
    │   │   └── CS03030001UMapper.xml
    │   ├── cs0401
    │   │   └── CS04010001UMapper.xml
    │   ├── cs0402
    │   │   └── CS04020001UMapper.xml
    │   ├── cs0403
    │   │   └── CS04030001UMapper.xml
    │   ├── cs0501
    │   │   └── CS05010001UMapper.xml
    │   ├── cs0502
    │   │   └── CS05020001UMapper.xml
    │   ├── cs0601
    │   │   └── CS06010001UMapper.xml
    │   ├── cs0602
    │   │   └── CS06020001UMapper.xml
    │   ├── cs0603
    │   │   └── CS06030001UMapper.xml
    │   ├── cs0604
    │   │   └── CS06040001UMapper.xml
    │   ├── cscom
    │   │   └── CSCOMMapper.xml
    │   └── cspop
    │       └── CSPOPMapper.xml
    ├── cw
    │   ├── cw0101
    │   │   └── CW01010001UMapper.xml
    │   ├── cw0102
    │   │   └── CW01020001UMapper.xml
    │   ├── cw0103
    │   │   └── CW01030001UMapper.xml
    │   ├── cw0104
    │   │   └── CW01040001UMapper.xml
    │   ├── cw0201
    │   │   └── CW02010001UMapper.xml
    │   ├── cw0202
    │   │   └── CW02020001UMapper.xml
    │   ├── cw0203
    │   │   └── CW02030001UMapper.xml
    │   ├── cw0204
    │   │   └── CW02040001UMapper.xml
    │   ├── cw0205
    │   │   └── CW02050001UMapper.xml
    │   ├── cw0206
    │   │   └── CW02060001UMapper.xml
    │   ├── cw0301
    │   │   └── CW03010001UMapper.xml
    │   ├── cw0302
    │   │   └── CW03020001UMapper.xml
    │   ├── cw0303
    │   │   └── CW03030001UMapper.xml
    │   ├── cw0304
    │   │   └── CW03040001UMapper.xml
    │   ├── cw0401
    │   │   └── CW04010001UMapper.xml
    │   ├── cw0402
    │   │   └── CW04020001UMapper.xml
    │   ├── cw0403
    │   │   └── CW04030001UMapper.xml
    │   ├── cw0404
    │   │   └── CW04040001UMapper.xml
    │   ├── cw0405
    │   │   └── CW04050001UMapper.xml
    │   ├── cw0406
    │   │   └── CW04060001UMapper.xml
    │   ├── cw0407
    │   │   └── CW04070001UMapper.xml
    │   ├── cw0408
    │   │   └── CW04080001UMapper.xml
    │   ├── cw0501
    │   │   └── CW05010001UMapper.xml
    │   ├── cw0601
    │   │   └── CW06010001UMapper.xml
    │   ├── cw0602
    │   │   └── CW06020001UMapper.xml
    │   ├── cw0603
    │   │   └── CW06030001UMapper.xml
    │   ├── cw0604
    │   │   └── CW06040001UMapper.xml
    │   ├── cw0605
    │   │   └── CW06050001UMapper.xml
    │   ├── cw0606
    │   │   └── CW06060001UMapper.xml
    │   ├── cw0607
    │   │   └── CW06070001UMapper.xml
    │   ├── cw0608
    │   │   └── CW06080001UMapper.xml
    │   ├── cw0609
    │   │   └── CW06090001UMapper.xml
    │   ├── cw0610
    │   │   └── CW06100001UMapper.xml
    │   ├── cw0611
    │   │   └── CW06110001UMapper.xml
    │   ├── cw0612
    │   │   └── CW06120001UMapper.xml
    │   ├── cw0613
    │   │   └── CW06130001UMapper.xml
    │   ├── cw0701
    │   │   └── CW07010001UMapper.xml
    │   ├── cw0702
    │   │   └── CW07020001UMapper.xml
    │   ├── cw0801
    │   │   └── CW08010001UMapper.xml
    │   ├── cw0802
    │   │   └── CW08020001UMapper.xml
    │   ├── cw0803
    │   │   └── CW08030001UMapper.xml
    │   ├── cw0804
    │   │   ├── CW08040001PMapper.xml
    │   │   ├── CW08040001UMapper.xml
    │   │   ├── CW08040002PMapper.xml
    │   │   ├── CW08040003PMapper.xml
    │   │   ├── CW08040004PMapper.xml
    │   │   ├── CW08040005PMapper.xml
    │   │   ├── CW08040006PMapper.xml
    │   │   └── CW08040007PMapper.xml
    │   ├── cw0901
    │   │   └── CW09010001UMapper.xml
    │   ├── cw0902
    │   │   └── CW09020001UMapper.xml
    │   ├── cw1001
    │   │   └── CW10010001UMapper.xml
    │   └── cw1002
    │       └── CW10020001UMapper.xml
    ├── mobile
    │   ├── AsMapper.xml
    │   └── RoomMapper.xml
    ├── qc
    │   ├── qc0101
    │   │   └── QC01010001UMapper.xml
    │   ├── qc0102
    │   │   └── QC01020001UMapper.xml
    │   └── qc0103
    │       └── QC01030001UMapper.xml
    ├── sample
    │   └── component
    │       └── ComSampleMapper.xml
    └── sym
        ├── BatchMapper.xml
        ├── FamilyEventBatchMapper.xml
        ├── LoginMapper.xml
        ├── MailMapper.xml
        ├── MenuMapper.xml
        ├── PgPayErrorMapper.xml
        ├── login.xml
        └── prm
            └── comPrgMapper.xml
```

## WebSquare XML
```text
src/main/webapp/ux
├── as
│   ├── as0101
│   │   ├── AS01010001P.xml
│   │   └── AS01010001U.xml
│   ├── as0102
│   │   └── AS01020001U.xml
│   ├── as0103
│   │   ├── AS01030001U.xml
│   │   ├── AS01030002P.xml
│   │   ├── AS01030003P.xml
│   │   ├── AS01030004P.xml
│   │   └── asSiteAllPop.xml
│   └── main-as.xml
├── com
│   ├── auth
│   │   ├── MaskingDesabledList.xml
│   │   ├── MaskingDesabledPop.xml
│   │   └── comBusiHandleAuthMng.xml
│   ├── com
│   │   ├── alert.xml
│   │   ├── confirm1.xml
│   │   ├── confirm2.xml
│   │   └── saveCnt.xml
│   ├── comAuthPrgMng.xml
│   ├── comAuthUserMng.xml
│   ├── comAuthUserPrgMng.xml
│   ├── comBatchJobMng.xml
│   ├── comBsuMng.xml
│   ├── comCmpnMng.xml
│   ├── comCommMng.xml
│   ├── comDeptDtlLinkMng.xml
│   ├── comDeptDtlMng.xml
│   ├── comDeptMng.xml
│   ├── comMenuMng.xml
│   ├── comPasswordChange.xml
│   ├── comPrgAuthMng.xml
│   ├── comPrgMng.xml
│   ├── comTaxOfficeMng.xml
│   ├── comUserMng.xml
│   ├── comp
│   │   ├── asSitePop.xml
│   │   ├── attachFileList.xml
│   │   ├── btnMask.xml
│   │   ├── calY.xml
│   │   ├── calYm.xml
│   │   ├── calYmd.xml
│   │   ├── comCustMstrSchPop.xml
│   │   ├── comUserMstrSchPop.xml
│   │   ├── commPop.xml
│   │   ├── csEmpPop.xml
│   │   ├── csSiteAllPop.xml
│   │   ├── csSitePop.xml
│   │   ├── csVendPop.xml
│   │   ├── deptPop.xml
│   │   ├── email.xml
│   │   ├── empPop.xml
│   │   ├── listCount.xml
│   │   ├── periodIcalYM.xml
│   │   ├── periodIcalYMD.xml
│   │   ├── phoneNo.xml
│   │   ├── postNo.xml
│   │   ├── prvsPop.xml
│   │   ├── rsdtNo.xml
│   │   ├── telNo.xml
│   │   ├── textareaView.xml
│   │   ├── triSelect.xml
│   │   ├── trmnlNoPop.xml
│   │   ├── trxCdPop.xml
│   │   └── userPop.xml
│   ├── lginUser.xml
│   ├── logFileLoad.xml
│   ├── pgPayErrorList.xml
│   ├── pgm
│   │   └── comPgrMgt.xml
│   ├── pop
│   │   ├── comActCdMultPop.xml
│   │   ├── comActCdPop.xml
│   │   ├── comAlert.xml
│   │   ├── comBaDeptPop.xml
│   │   ├── comBankAcctInfoCdPop.xml
│   │   ├── comBankAcctPop.xml
│   │   ├── comBookMarkPop.xml
│   │   ├── comBrwgLenmPop.xml
│   │   ├── comCardCpCdPop.xml
│   │   ├── comCardPop.xml
│   │   ├── comCommPop.xml
│   │   ├── comConfirmMsg.xml
│   │   ├── comDataFormSave.xml
│   │   ├── comDataSave.xml
│   │   ├── comDeptDtlLinkPop.xml
│   │   ├── comDeptPop.xml
│   │   ├── comDplcCdPop.xml
│   │   ├── comDplcInfoCdPop.xml
│   │   ├── comDplcPymtCdPop.xml
│   │   ├── comDptAllPop.xml
│   │   ├── comDptPop.xml
│   │   ├── comEmpNoPop.xml
│   │   ├── comEmpPop.xml
│   │   ├── comEquiMultPop.xml
│   │   ├── comEquiPop.xml
│   │   ├── comEquimentPop.xml
│   │   ├── comEquimentSearchPop.xml
│   │   ├── comFacilPop.xml
│   │   ├── comFileDownload.xml
│   │   ├── comFileUpload.xml
│   │   ├── comFileUpload2.xml
│   │   ├── comFixgasstPop.xml
│   │   ├── comHelpDeskPop.xml
│   │   ├── comImageAttachPop.xml
│   │   ├── comImagePreviewPop.xml
│   │   ├── comImgUpload.xml
│   │   ├── comJobBPop.xml
│   │   ├── comMenuPop.xml
│   │   ├── comNationPop.xml
│   │   ├── comNomtorPop.xml
│   │   ├── comPasswordChange.xml
│   │   ├── comPjtPop.xml
│   │   ├── comProgramDescriptionPop.xml
│   │   ├── comPrvsSearchPop.xml
│   │   ├── comPsprActCdPop.xml
│   │   ├── comRomPreviewPop.xml
│   │   ├── comSaaTrmnlNoPop.xml
│   │   ├── comSlpAproLinePop.xml
│   │   ├── comTrxCdPop.xml
│   │   ├── comUserPop.xml
│   │   └── telnetLogin.xml
│   └── systemUsageStatistics.xml
├── cs
│   ├── cs0001
│   │   ├── CS00010001P.xml
│   │   └── CS00010001U.xml
│   ├── cs0101
│   │   ├── CS01010001P.xml
│   │   ├── CS01010001U.xml
│   │   └── CS01010002P.xml
│   ├── cs0102
│   │   └── CS01020001U.xml
│   ├── cs0103
│   │   ├── CS01030001P.xml
│   │   └── CS01030001U.xml
│   ├── cs0104
│   │   └── CS01040001U.xml
│   ├── cs0201
│   │   ├── CS02010001P.xml
│   │   ├── CS02010001U.xml
│   │   ├── CS02010002P.xml
│   │   ├── CS02010003P.xml
│   │   ├── CS02010004P.xml
│   │   ├── CS02010005P.xml
│   │   ├── CS02010006P.xml
│   │   └── CS02010007P.xml
│   ├── cs0203
│   │   ├── CS02030001P.xml
│   │   └── CS02030001U.xml
│   ├── cs0301
│   │   ├── CS03010001P.xml
│   │   ├── CS03010001U.xml
│   │   ├── CS03010002P.xml
│   │   ├── CS03010003P.xml
│   │   ├── CS03010004P.xml
│   │   ├── CS03010005P.xml
│   │   ├── CS03010006P.xml
│   │   ├── CS03010007P.xml
│   │   └── CS03010008P.xml
│   ├── cs0302
│   │   ├── CS03020001P.xml
│   │   └── CS03020001U.xml
│   ├── cs0303
│   │   └── CS03030001U.xml
│   ├── cs0401
│   │   ├── CS04010001P.xml
│   │   └── CS04010001U.xml
│   ├── cs0402
│   │   └── CS04020001U.xml
│   ├── cs0403
│   │   ├── CS04030001P.xml
│   │   └── CS04030001U.xml
│   ├── cs0501
│   │   └── CS05010001U.xml
│   ├── cs0502
│   │   └── CS05020001U.xml
│   ├── cs0601
│   │   └── CS06010001U.xml
│   ├── cs0602
│   │   └── CS06020001U.xml
│   ├── cs0603
│   │   └── CS06030001U.xml
│   ├── cs0604
│   │   └── CS06040001U.xml
│   └── cspop
│       ├── csCovendPop.xml
│       ├── csEmpNoPop.xml
│       ├── csGuarPop.xml
│       ├── csSiteAllPop.xml
│       ├── csSiteCovendPop.xml
│       ├── csSitePop.xml
│       ├── csSmsPopM.xml
│       ├── csSmsPopS.xml
│       ├── csTcsSiteTradeItemPop.xml
│       ├── csTcsSiteTradePop.xml
│       └── csVendPop.xml
├── cw
│   ├── cw0101
│   │   └── CW01010001U.xml
│   ├── cw0102
│   │   └── CW01020001U.xml
│   ├── cw0103
│   │   └── CW01030001U.xml
│   ├── cw0104
│   │   └── CW01040001U.xml
│   ├── cw0201
│   │   └── CW02010001U.xml
│   ├── cw0202
│   │   └── CW02020001U.xml
│   ├── cw0203
│   │   └── CW02030001U.xml
│   ├── cw0204
│   │   └── CW02040001U.xml
│   ├── cw0205
│   │   └── CW02050001U.xml
│   ├── cw0206
│   │   └── CW02060001U.xml
│   ├── cw0301
│   │   ├── CW03010001P.xml
│   │   └── CW03010001U.xml
│   ├── cw0302
│   │   └── CW03020001U.xml
│   ├── cw0303
│   │   └── CW03030001U.xml
│   ├── cw0304
│   │   └── CW03040001U.xml
│   ├── cw0401
│   │   └── CW04010001U.xml
│   ├── cw0402
│   │   └── CW04020001U.xml
│   ├── cw0403
│   │   └── CW04030001U.xml
│   ├── cw0404
│   │   ├── CW04040001P.xml
│   │   └── CW04040001U.xml
│   ├── cw0405
│   │   └── CW04050001U.xml
│   ├── cw0406
│   │   └── CW04060001U.xml
│   ├── cw0407
│   │   └── CW04070001U.xml
│   ├── cw0408
│   │   └── CW04080001U.xml
│   ├── cw0501
│   │   └── CW05010001U.xml
│   ├── cw0601
│   │   └── CW06010001U.xml
│   ├── cw0602
│   │   ├── CW06020001P.xml
│   │   └── CW06020001U.xml
│   ├── cw0603
│   │   └── CW06030001U.xml
│   ├── cw0604
│   │   └── CW06040001U.xml
│   ├── cw0605
│   │   ├── CW06050001P.xml
│   │   └── CW06050001U.xml
│   ├── cw0606
│   │   ├── CW06060001P.xml
│   │   └── CW06060001U.xml
│   ├── cw0607
│   │   └── CW06070001U.xml
│   ├── cw0608
│   │   ├── CW06080001P.xml
│   │   └── CW06080001U.xml
│   ├── cw0609
│   │   └── CW06090001U.xml
│   ├── cw0610
│   │   └── CW06100001U.xml
│   ├── cw0611
│   │   └── CW06110001U.xml
│   ├── cw0612
│   │   └── CW06120001U.xml
│   ├── cw0613
│   │   └── CW06130001U.xml
│   ├── cw0701
│   │   └── CW07010001U.xml
│   ├── cw0702
│   │   └── CW07020001U.xml
│   ├── cw0801
│   │   ├── CW08010001P.xml
│   │   └── CW08010001U.xml
│   ├── cw0802
│   │   └── CW08020001U.xml
│   ├── cw0803
│   │   └── CW08030001U.xml
│   ├── cw0804
│   │   ├── CW08040001P.xml
│   │   ├── CW08040001U.xml
│   │   ├── CW08040002P.xml
│   │   ├── CW08040003P.xml
│   │   ├── CW08040004P.xml
│   │   ├── CW08040005P.xml
│   │   ├── CW08040006P.xml
│   │   └── CW08040007P.xml
│   ├── cw0805
│   │   ├── CW08050001P.xml
│   │   └── CW08050001U.xml
│   ├── cw0901
│   │   ├── CW09010001P.xml
│   │   └── CW09010001U.xml
│   ├── cw0902
│   │   ├── CW09020001P.xml
│   │   └── CW09020001U.xml
│   ├── cw1001
│   │   ├── CW10010001P.xml
│   │   └── CW10010001U.xml
│   └── cw1002
│       └── CW10020001U.xml
├── main
│   ├── login-as.xml
│   ├── login.xml
│   ├── main.xml
│   ├── passwordChang.xml
│   ├── passwordChangAs.xml
│   ├── passwordIdFind.xml
│   └── passwordInitCheck.xml
├── popuptest
│   ├── 01pop.xml
│   ├── 05pop1.xml
│   ├── 05pop2.xml
│   ├── 05pop3.xml
│   ├── 07pop1.xml
│   ├── 07pop2.xml
│   ├── 07pop3.xml
│   └── popuptest.xml
├── qc
│   ├── qc0101
│   │   └── QC01010001U.xml
│   ├── qc0102
│   │   ├── QC01020001P.xml
│   │   ├── QC01020001U.xml
│   │   ├── QC01020002P.xml
│   │   └── QC01020002U.xml
│   └── qc0103
│       └── QC01030001U.xml
├── sample
│   ├── 01.xml
│   ├── 02.xml
│   ├── 03.xml
│   ├── 04.xml
│   ├── 05.xml
│   ├── 06.xml
│   ├── 07.xml
│   ├── 08.xml
│   ├── 09.xml
│   ├── 10.xml
│   ├── 11.xml
│   ├── 12.xml
│   ├── 13.xml
│   ├── 14detail.xml
│   ├── 14list.xml
│   ├── 15.xml
│   ├── 16.xml
│   ├── 17.xml
│   ├── chartsample.xml
│   ├── chartsample2.xml
│   ├── kakaoMap.xml
│   ├── naverMap.xml
│   ├── pivotSample.xml
│   ├── popupTest.xml
│   ├── sample.xml
│   ├── scheduleCalendarSample.xml
│   ├── scheduleCalendarSample2.xml
│   ├── scheduleCalendar_sample.xml
│   ├── templet1.xml
│   ├── templet2.xml
│   ├── templet3.xml
│   ├── templet4.xml
│   ├── templet5.xml
│   └── validateSample.xml
└── tmp
    ├── SmComPrmMgt_1.xml
    ├── TestCode.xml
    ├── TestList.xml
    ├── UserPopup.xml
    ├── comEglSearch.xml
    ├── comMdmProfilePop.xml
    ├── comMdmPspPop.xml
    ├── comUser.xml
    ├── gridview_rowStatus.xml
    ├── home.xml
    ├── mainPortal.xml
    ├── mainSample.xml
    ├── main_old.xml
    ├── page10.xml
    ├── page11.xml
    ├── page12.xml
    ├── page13.xml
    ├── page14.xml
    ├── page15.xml
    ├── page16.xml
    ├── page6.xml
    ├── page7.xml
    ├── perCertificateReqMng_original.xml
    ├── popup.xml
    └── template_gridveiw_h100.xml
```


## UBI REPORT
```text
src/main/webapp/ubi4/
├── css
│   └── ubieform.css
├── js
│   ├── images
│   │   ├── button.jpg
│   │   ├── docu_modified.png
│   │   ├── downloading.gif
│   │   ├── eform
│   │   │   ├── bg_canvas.png
│   │   │   ├── bg_canvas1.png
│   │   │   ├── bg_canvas2.png
│   │   │   ├── bg_canvas3.png
│   │   │   ├── btn_edit.png
│   │   │   ├── btn_edit_off.png
│   │   │   ├── btn_eraser.png
│   │   │   ├── btn_eraser_off.png
│   │   │   ├── btn_first.png
│   │   │   ├── btn_first_off.png
│   │   │   ├── btn_last.png
│   │   │   ├── btn_last_off.png
│   │   │   ├── btn_next.png
│   │   │   ├── btn_next_off.png
│   │   │   ├── btn_pre.png
│   │   │   ├── btn_pre_off.png
│   │   │   ├── btn_print.png
│   │   │   ├── btn_print_off.png
│   │   │   ├── btn_refresh.png
│   │   │   ├── btn_refresh_off.png
│   │   │   ├── btn_save.png
│   │   │   ├── btn_save_off.png
│   │   │   ├── btn_setting.png
│   │   │   ├── btn_setting_off.png
│   │   │   ├── btn_version.png
│   │   │   ├── btn_zoomin.png
│   │   │   ├── btn_zoomin_off.png
│   │   │   ├── btn_zoomout.png
│   │   │   ├── btn_zoomout_off.png
│   │   │   ├── eraser.cur
│   │   │   ├── menu_edit.png
│   │   │   ├── menu_edit_close.png
│   │   │   ├── menu_edit_off.png
│   │   │   ├── opacity_bg.png
│   │   │   ├── page_loading.gif
│   │   │   ├── pen.cur
│   │   │   ├── pop_close.png
│   │   │   └── select_arrow.png
│   │   ├── login.png
│   │   ├── onbutton.jpg
│   │   ├── page_loading.gif
│   │   ├── page_waiting.gif
│   │   ├── printGuide_kr.html
│   │   ├── printGuide_us.html
│   │   ├── progress_bg_gray.png
│   │   ├── progress_center.png
│   │   ├── progress_left.png
│   │   ├── progress_right.png
│   │   ├── sub_tab_on.jpg
│   │   ├── sub_tab_out.jpg
│   │   ├── tableft.gif
│   │   ├── tabright.gif
│   │   └── toolbar
│   │       ├── btnarrow.gif
│   │       ├── btnarrow_dis.gif
│   │       ├── cell.png
│   │       ├── cell_black.png
│   │       ├── cell_d.png
│   │       ├── cell_o.png
│   │       ├── default_form.png
│   │       ├── default_form_d.png
│   │       ├── default_form_o.png
│   │       ├── first.png
│   │       ├── first_d.png
│   │       ├── first_o.png
│   │       ├── html.png
│   │       ├── html_d.png
│   │       ├── html_o.png
│   │       ├── hwp.png
│   │       ├── hwp_black.png
│   │       ├── hwp_d.png
│   │       ├── hwp_o.png
│   │       ├── image.png
│   │       ├── image_d.png
│   │       ├── image_o.png
│   │       ├── info.png
│   │       ├── info_d.png
│   │       ├── info_o.png
│   │       ├── last.png
│   │       ├── last_d.png
│   │       ├── last_o.png
│   │       ├── left_arrow.gif
│   │       ├── next.png
│   │       ├── next_d.png
│   │       ├── next_o.png
│   │       ├── odp.png
│   │       ├── odp_d.png
│   │       ├── odp_o.png
│   │       ├── ods.png
│   │       ├── ods_d.png
│   │       ├── ods_o.png
│   │       ├── odt.png
│   │       ├── odt_d.png
│   │       ├── odt_o.png
│   │       ├── pdf.png
│   │       ├── pdf_black.png
│   │       ├── pdf_d.png
│   │       ├── pdf_o.png
│   │       ├── plugin.png
│   │       ├── plugin_d.png
│   │       ├── plugin_o.png
│   │       ├── ppt.png
│   │       ├── ppt_black.png
│   │       ├── ppt_d.png
│   │       ├── ppt_o.png
│   │       ├── previous.png
│   │       ├── previous_d.png
│   │       ├── previous_o.png
│   │       ├── print.png
│   │       ├── print_d.png
│   │       ├── print_form.png
│   │       ├── print_form_d.png
│   │       ├── print_form_o.png
│   │       ├── print_o.png
│   │       ├── printset.png
│   │       ├── printset_d.png
│   │       ├── printset_o.png
│   │       ├── refresh.png
│   │       ├── refresh_d.png
│   │       ├── refresh_o.png
│   │       ├── right_arrow.gif
│   │       ├── rtf.png
│   │       ├── rtf_black.png
│   │       ├── rtf_d.png
│   │       ├── rtf_o.png
│   │       ├── save.png
│   │       ├── save_d.png
│   │       ├── save_o.png
│   │       ├── select_arr.gif
│   │       ├── txt_2.png
│   │       ├── txt_2_black.png
│   │       ├── txt_2_d.png
│   │       ├── txt_2_press.png
│   │       ├── ubi_viewer.png
│   │       ├── ubi_viewer_d.png
│   │       ├── ubi_viewer_o.png
│   │       ├── xls.png
│   │       ├── xls_black.png
│   │       ├── xls_d.png
│   │       ├── xls_o.png
│   │       ├── zoomin.png
│   │       ├── zoomin_d.png
│   │       ├── zoomin_o.png
│   │       ├── zoomout.png
│   │       ├── zoomout_d.png
│   │       └── zoomout_o.png
│   ├── msg.js
│   ├── ubicommon.js
│   ├── ubieform.js
│   ├── ubiexcanvas.js
│   ├── ubihtml.js
│   ├── ubinonax.js
│   └── ubirealgrid.js
├── license
│   ├── License.xml
│   └── License_BAK.xml
├── logs
│   ├── ubidebug.log
│   ├── ubidebug.log.2022-08-24
│   ├── ubiserver.log
│   └── ubiserver.log.2022-08-24
├── realgridSamples.jsp
├── resource
│   ├── LOGO.jpg
│   └── commonitem.xml
├── ubiexport.jsp
├── ubigrid.jsp
├── ubihtml.jsp
├── ubipdflist.jsp
├── ubiplugin.jsp
├── ubisave.jsp
├── ubiviewer
│   ├── Setup_UbiViewerWS_v4.exe
│   ├── UbiViewerX4.cab
│   └── UbiViewerX4.exe
└── work
    ├── CS03010001R.jrf
    ├── CW01030001R.jrf
    ├── CW03040001R.jrf
    ├── CW09010001R.jrf
    ├── CW09020001R.jrf
    ├── checkReport.jrf
    ├── db_mysql.jrf
    ├── db_oracle.jrf
    ├── db_sqlserver.jrf
    ├── grid_a4h.jrf
    ├── grid_a4v.jrf
    ├── stream.jrf
    ├── ubi_bcqre.jrf
    ├── ubi_sample.jef
    ├── ubi_sample.jrf
    ├── ubi_tutorial.jrf
    ├── ubinexa_ds.jrf
    ├── ubinexa_ds2.jrf
    └── xplatform.jrf
```
