/**
 * 하자)현장업체계약
 */
export interface TcsSiteTrade {

	/** 회사 코드 */
	cmpnCd?: string;

	/** 현장코드 */
	siteCd?: string;

	/** 협력업체 ID */
	covendId?: number;

	/** 계약순번 */
	contSeq?: number;

	/** 협력업체유형코드[CS004] */
	jobGbCd?: string;

	/** 계약 번호 */
	contId?: string;

	/** 변경 계약번호 */
	contModId?: string;

	/** 변경 계약차수 */
	modNo?: string;

	/** 발주 번호 */
	poDocNo?: string;

	/** 계약 명 */
	contNm?: string;

	/** 계약 일자 */
	contDt?: string;

	/** 업체 명 */
	covendNm?: string;

	/** 업체 사업자번호 */
	covendCorpRegNo?: string;

	/** 계약 금액 */
	contAmt?: number;

	/** 공급 금액 */
	contSupplyAmt?: number;

	/** 계약 기간 */
	contTerm?: string;

	/** 계약 시작일 */
	contStartDt?: string;

	/** 계약 만료일 */
	contEndDt?: string;

	/** 계약 구분 */
	contGb?: string;

	/** 계약 상태 */
	statusCd?: string;

	/** 계약서 코드 */
	templateCd?: string;

	/** 계약서 코드명 */
	templateNm?: string;

	/** 변경 계약 여부 */
	chgContYn?: string;

	/** 통화 단위 */
	curGb?: string;

	/** 정산 구분 */
	adjGb?: string;

	/** 비고_내용 */
	rmkCn?: string;

	/** 생성시스템코드 */
	crtSysCd?: string;

	/** 작성 일자 */
	wrteDt?: string;

	/** 작성 자 */
	wrtePr?: string;

	/** 수정 일자 */
	mdftDt?: string;

	/** 수정 자 */
	mdftPr?: string;
}