package sgc.portal;

/**
 * <pre>
 * HttpServeltRequest, HttpSession 등과 같은 attribute의 name에 사용되는
 * 값들의 집합으로 name 값들을 Hard Coding하여 코드의 가독성을 떨어뜨리거나
 * 문자열 비교를 어렵게하는 요소를 배제하기 위해 사용되는 클래스이다.
 * </pre>
 *
 * @author YongSang
 */
public class SgcPortalAttributes { // NOPMD by sdcit_mac on 20. 4. 3 오후 3:30
    /**
     * The constant AUTHENTICATION.
     */
    public static final String AUTHENTICATION = "__AUTHENTICATION__";
    /**
     * The constant SECURITY_POLICY.
     */
    public static final String SECURITY_POLICY = "__SECURITY_REQUEST_DATA__";
    /**
     * The constant CSRF_TOKEN.
     */
    public static final String CSRF_TOKEN = "__CSRF_TOKEN__";

}
