package sgc.portal.as.as0101.web;

import java.util.List;

import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import sgc.portal.as.as0101.dto.AS01010001USearch;
import sgc.portal.as.as0101.model.AS01010001U;
import sgc.portal.as.as0101.service.AS01010001UService;
import sgc.portal.base.util.EasyHashMap;

@RestController
@RequestMapping("/as/as0101")
public class AS01010001UController {
	
	private final AS01010001UService service;

    public AS01010001UController(AS01010001UService service) {
        this.service = service;
    }

	//공지사항 조회
    @PostMapping("/AS01010001U/selectTcsNotiList")
    public List<EasyHashMap<String, Object>> selectTcsNotiList(@RequestBody AS01010001USearch search) {
        return service.selectTcsNotiList(search);
    }

	//공지사항 상세 보기 수정
    @PostMapping("/AS01010001U/getTcsNotiView")
    public EasyHashMap<String, Object> getTcsNotiView(@RequestBody AS01010001U cS01010001U) {
    	return service.getTcsNotiView(cS01010001U);
    }

}
