package sgc.portal.as.as0103.dto;

import lombok.Getter;
import lombok.Setter;

/**
 * 하자) 하자접수처리 검색 VO
 * 
 * @author 5364
 * @since 2022-08-11
 *
 */
@Getter
@Setter
public class TcsSearchDeftVo extends TcsSearchVo {
	
	/**
	 * 신청 일자 시작
	 */
	private String offrDtFrom;
	
	/**
	 * 신청 일자 끝
	 */
	private String offrDtTo;
	
	/**
	 * 보기 형태
	 */
	private String showType;
	
	/**
	 * 전송여부
	 */
	private String sendYn;
	
	
	/**
	 * 신청자명
	 */
	private String aplntNm;

	/**
	 * 신청자 관계
	 */
	private String aplntRel;

	/**
	 * 사후관리 담당자 핸드폰
	 */
	private String asmngChrgrCrryTel;

	/**
	 * 사후관리담당자사번
	 */
	private String asmngChrgrEmpno;

	/**
	 * 사후관리담당자명
	 */
	private String asmngChrgrEmpnm;
	
	/**
	 * 회사 코드
	 */
	private String cmpnCd;

	/**
	 * 시공협력업체id
	 */
	private String consCovendId;

	/**
	 * 시공협력업체명
	 */
	private String consCovendNm;

	/**
	 * 시공주체코드[cs011]
	 */
	private String consMnbdCd;

	/**
	 * 완료자명
	 */
	private String cplprNm;

	/**
	 * 완료일자
	 */
	private String cpltDt;

	/**
	 * 완료 경과 순번
	 */
	private String cpltElpsSeq;

	/**
	 * 휴대전화번호
	 */
	private String crryTelNo;

	/**
	 * 하자원인번호
	 */
	private String deftCausNo;

	/**
	 * 하자원인명
	 */
	private String deftCausNm;
	
	/**
	 * 하자내용
	 */
	private String deftCn;

	/**
	 * 하자사진첨부파일id
	 */
	private String deftImgAflId;

	/**
	 * 하자공종번호
	 */
	private String deftJobtypNo;

	/**
	 * 하자공종명
	 */
	private String deftJobtypNm;
	
	/**
	 * 하자대공종번호
	 */
	private String deftLjobtypNo;

	/**
	 * 하자대공종명
	 */
	private String deftLjobtypNm;
	
	/**
	 * 하자중공종번호
	 */
	private String deftMjobtypNo;

	/**
	 * 하자중공종명
	 */
	private String deftMjobtypNm;
	
	/**
	 * 하자번호
	 */
	private String deftNo;

	/**
	 * 하자처리상태코드[cs009]
	 */
	private String deftPrcgStusCd;

	/**
	 * 하자처리상태명
	 */
	private String deftPrcgStusNm;
	
	/**
	 * 하자유형번호
	 */
	private String deftTypeNo;

	/**
	 * 하자유형명
	 */
	private String deftTypeNm;
	
	/**
	 * 동
	 */
	private String dong;

	/**
	 * 동/호수
	 */
	private String dongHsno;
	
	/**
	 * 소요일수
	 */
	private String duraDys;

	/**
	 * 긴급 구분코드[cs020]
	 */
	private String emgGbCd;

	/**
	 * 긴급 구분명
	 */
	private String emgGbNm;

	/**
	 * 긴급 구분 색상
	 */
	private String emgGbColor;
	
	/**
	 * 호수
	 */
	private String hsno;

	/**
	 * 위치번호
	 */
	private String locNo;

	/**
	 * 위치명
	 */
	private String locNm;
	
	/**
	 * 모바일내용확인여부
	 */
	private String mbilCnConfYn;

	/**
	 * 모바일처리내용
	 */
	private String mbilPrcgCn;

	/**
	 * 수정 자
	 */
	private String mdftPr;

	/**
	 * 신청 일자
	 */
	private String offrDt;

	/**
	 * 처리자명
	 */
	private String pgprNm;

	/**
	 * 처리첨부파일id
	 */
	private String prcgAflId;

	/**
	 * 처리내용
	 */
	private String prcgCn;

	/**
	 * 처리협력업체id
	 */
	private String prcgCovendId;

	/**
	 * 처리일자
	 */
	private String prcgDt;

	/**
	 * 처리 경과 순번
	 */
	private String prcgElpsSeq;

	/**
	 * 처리주체코드[cs011]
	 */
	private String prcgMnbdCd;

	/**
	 * 접수일자
	 */
	private String rcptDt;

	/**
	 * 접수방법코드[cs010]
	 */
	private String rcptMtdCd;

	/**
	 * 접수방법명
	 */
	private String rcptMtdNm;
	
	/**
	 * 접수자 사원번호
	 */
	private String rcvprEmpno;

	/**
	 * 접수자명
	 */
	private String rcvprNm;

	/**
	 * 요청내용
	 */
	private String reqCn;

	/**
	 * 신속도점수
	 */
	private String rpdtScor;

	/**
	 * 현장코드
	 */
	private String siteCd;

	/**
	 * 현장명
	 */
	private String siteNm;

	/**
	 * 전화번호
	 */
	private String telNo;

	/**
	 * 상위위치번호
	 */
	private String upperLocNo;

	/**
	 * 업체 담당자 핸드폰
	 */
	private String vendrLbprCrryTel;

	/**
	 * 업체 담당자 메일
	 */
	private String vendrLbprMail;
	
	/**
	 * 업체_담당자_명
	 */
	private String vendrLbprNm;

	/**
	 * 업체_담당자_일련번호
	 */
	private String vendrLbprSeq;
	
	/**
	 * 방문 경과 순번
	 */
	private String visElpsSeq;

	/**
	 * 작업 일
	 */
	private String visElpsDt;
	
	/**
	 * 작업 경과 순번
	 */
	private String workElpsSeq;

	/**
	 * 작업 일
	 */
	private String workElpsDt;
	
	/**
	 * 작업지시서번호
	 */
	private String workWkiNo;

	/**
	 * 작업지시 PUSH 전송 여부
	 */
	private String workWkiPushYn;
	
	/**
	 * 작업지시 SMS 전송 여부
	 */
	private String workWkiSmsYn;

	/**
	 * 작성 자
	 */
	private String wrtePr;
	
	/**
	 * 작업지시 SMS 제목 
	 */
	private String smsTitle;
	
	/**
	 * 작업지시 SMS 내용 
	 */
	private String smsContents;
}
