package sgc.portal.as.as0103.model;

import lombok.Getter;
import lombok.Setter;
import sgc.portal.base.Domain;

/**
 * 하자)현장협력업체 하자보증
 * 
 * @author 5364
 * @since 2022-08-11
 *
 */
@Getter
@Setter
public class TcsSiteTradeGuarVo extends Domain {

	/**
	 * 자재발주요청일자
	 */
	private String bdmtPoReqDt;

	/**
	 * 회사 코드
	 */
	private String cmpnCd;

	/**
	 * 계약금액
	 */
	private Integer cntrtAmt;

	/**
	 * 계약차수
	 */
	private Integer cntrtDgr;

	/**
	 * 계약명
	 */
	private String cntrtNm;

	/**
	 * 계약번호
	 */
	private String cntrtNo;

	/**
	 * 협력업체 id
	 */
	private Integer covendId;

	/**
	 * 생성시스템코드
	 */
	private String crtSysCd;

	/**
	 * 하자보증순번
	 */
	private Integer defgrSeq;

	/**
	 * 하자계약여부
	 */
	private String deftCntrtYn;

	/**
	 * 전자보증여부
	 */
	private String elecGuarYn;

	/**
	 * 보증서첨부파일id
	 */
	private String grntlAflId;

	/**
	 * 보증금액
	 */
	private Integer guarAmt;

	/**
	 * 보증변경구분코드[co018]
	 */
	private String guarChgGbCd;

	/**
	 * 보증종료일자
	 */
	private String guarEndDt;

	/**
	 * 보증기관코드[co008]
	 */
	private String guarIntuCd;

	/**
	 * 보증기관명
	 */
	private String guarIntuNm;

	/**
	 * 보증시작일자
	 */
	private String guarStrtDt;

	/**
	 * 보증유형코드[cs007]
	 */
	private String guarTypeCd;

	/**
	 * 인터페이스보증순번
	 */
	private Integer ifGuarSeq;

	/**
	 * 공종명
	 */
	private String jobtypNm;

	/**
	 * 수정 자
	 */
	private String mdftPr;

	/**
	 * 증권번호
	 */
	private String scrtNo;

	/**
	 * 현장코드
	 */
	private String siteCd;

	/**
	 * 작성 자
	 */
	private String wrtePr;

	
}
