package sgc.portal.base.exception.advice;

/**
 * <pre>
 * 유지보수시 쉽게 코드만으로도 어떤 에러가 발생했는지 쉽게 식별하기 위해
 * 특정한 예외에 대해서는 error 코드를 부여한다.
 * </pre>
 *
 * @author YongSang
 * @version 1.0.0
 * @since 2020. 7. 28.
 */
public final class ErrorConst {
    /**
     * The constant DEFAULT_ERROR.
     */
    public static final int DEFAULT_ERROR = -999;
    /**
     * The constant UNKNOWN_ERROR.
     */
    public static final int UNKNOWN_ERROR = -900;
    /**
     * The constant SQL_ERROR.
     */
    public static final int SQL_ERROR = -800;
    /**
     * The constant INVALID_SESSION_ERROR.
     */
    public static final int INVALID_SESSION_ERROR = -700;
    /**
     * The constant INVALID_CSRF_ERROR.
     */
    public static final int INVALID_CSRF_ERROR = -600;
    /**
     * The constant AUTHENTICATION_ERROR.
     */
    public static final int AUTHENTICATION_ERROR = -500;
    /**
     * The constant UNSUPPORTED_GRID_STATUS_ERROR.
     */
    public static final int UNSUPPORTED_GRID_STATUS_ERROR = -400;
    /**
     * The constant STORED_PROCEDURE_EXEC_ERROR.
     */
    public static final int STORED_PROCEDURE_EXEC_ERROR = -300;
    /**
     * The constant STORAGE_ERROR.
     */
    public static final int STORAGE_ERROR = -200;
    /**
     * The constant USER_DEFINE_ERROR.
     */
    public static final int USER_DEFINE_ERROR = -20000;
}