package sgc.portal.base.storage.model;

import lombok.Data;

/**
 * 파일 업로드 모델클래스
 *
 * @author KimJongGab
 * @version 1.0.0
 * @since  2022. 8. 25.
 */
@Data
public class ImageThumbnail {
    /**
     * 가로크기 
     */
    private Integer width; 

    /**
     * 세로크기 
     */
    private Integer height;

    /**
     * 이미지 형태 
     */
    private String imageType;
 
    /**
     * 쎔네일 이미지 Base64 Encoded  
     */
    private String imageSrc;
}