package sgc.portal.cd.cd0102.model;

import lombok.Getter;
import lombok.Setter;
import sgc.portal.base.Domain;

@Getter
@Setter
public class CD01020001U extends Domain {

	private String ccCd;     	/*프로젝트 코드*/
	private String ccNm;     	/*프로젝트 명*/
	private String ccgrpCd;     /*사업본부 그룹코드*/
	private String ccgrpNm;     /*사업본부 그룹명*/
	private String orderNm;     /*발주처명*/
	private String empPmNm;     /*PM 명*/
	private String empCmNm;     /*CM 명*/
	private String empPeNm;     /*PE 명*/
	private String empPsNm;     /*공무 명*/
	private String prjtStartDt; /*공사 시작일*/
	private String prjtEndDt;   /*도급계약서상 준공일*/
	private String addrOfc;     /*주소 사무실*/
	private String addrSite;    /*주소 현장*/
	private String frctYn;      /*해외현장 구분코드[공통코드]*/
	private String prtKndGbCd;  /*출력 양식 구분코드[공통코드]*/
	private String complCd;     /*준공여부 코드*/
	private String complNm;     /*준공여부 명*/
	private String useYn;       /*공사일보 사용 여부*/
	
	private String seqNum;     /*순번(MAX+1)*/
	private String covendNm;   /*협력업체 명*/
	private String jobtypNm;   /*공종 명*/
	private String wval;       /*가중치*/ 
	private String distRate;   /*가중치 합계*/
	private String orcoYn;	   /*당사여부*/
	
    private String rowStatus; /*그리드 상태값*/

}
