package sgc.portal.cd.cd0201.model;

import java.util.List;

import lombok.Getter;
import lombok.Setter;
import sgc.portal.base.Domain;

@Getter
@Setter
public class CD02010001U extends Domain {
	
	//commom
	private String ccCd;     /*프로젝트 코드*/
	private String wrkDt;     /*작업 일자*/
	private String jobtypNm;     /*공종 명*/
	private String seqNo;     /*순번(MAX+1)*/
	private String covendNm;     /*업체 명*/
	private String tdyQty;     /*장비 수량*/
	
	//CON_DAY_WRK 현장일보
	private String tdyWeth;     /*금일 날씨*/
	private String tdyLwstTprt;     /*금일 최저 기온*/
	private String tdyHighTprt;     /*금일 최고 기온*/
	private String tmrWeth;     /*명일 날씨*/
	private String tmrLwstTprt;     /*명일 최저 기온*/
	private String tmrHighTprt;     /*명일 최고 기온*/
	private String wbsTotPlan;     /*공정율 누계 계획*/
	private String wbsTotPfmc;     /*공정율 누계 실적*/
	private String aprvNo;     /*결재 번호*/
	private String prgsStusGbCd;     /*진행상태 구분코드[CD003]*/
	
	//CON_DAY_WRK_CN 업무
	private String tdyCn;     /*금일 작업*/
	private String tmrCn;     /*명일 작업*/
	private String sortOdr;     /*정렬 순서*/
	
	//CON_DAY_WRK_MANPWR 출역인원
	private String ockndNm;     /*직종 명(관리자 외)*/
	private String pcnt;     /*인원 수*/
	private String empNm;     /*성명*/
	private String strtDt;     /*발령일*/
	private String endDt;     /*종료일*/
	
    //CON_DAY_WRK_EQPM 주요장비
	private String eqpmNm;     /*장비 명*/
	private String eqpmStdr;     /*장비 규격*/
	private String eqpmUnit;     /*장비 단위*/
	
    //CON_DAY_WRK_BDMT 주요자재
	private String bdmtNm;     /*자재 명*/
	private String bdmtStdr;     /*자재 규격*/
	private String bdmtUnit;     /*자재 단위*/
	private String dsgnQty;     /*설계 물량*/
	
    //CON_DAY_WRK_PROG Progress
	private String itmlClsNm;     /*공사 항목 분류명*/
	private String itmlNm;     /*공사 항목 명*/
	private String itmlUnit;     /*단위*/
	private String totQty;     /*총량*/
	private String wval;     /*가중치*/
	
    //CON_DAY_WRK_PHOTO 공정사진
	private String workCn;     /*작업 내용*/
	private String workLoc;     /*위치*/
	private String atchfileId;     /*첨부파일 ID*/
	
	private String rptYn;     /*일보 출력 여부*/
	
    private String rowStatus; /*그리드 상태값*/
    
    private ConDayWrk dcConDayWrk; //공사일보)작업일지 MST
    private List<ConDayWrkCn> dcConDayWrkCn; //공사일보)작업일지 업무내용
    //private List<CD02010001U> dsConDayWrkMan; //공사일보)작업일지 인원
    //private List<CD02010001U> dsConDayWrkEq; //공사일보)작업일지 장비
    //private List<CD02010001U> dsConDayWrkBd; //공사일보)작업일지 자재
    //private List<CD02010001U> dsConDayWrkPr; //공사일보)작업일지 진행율
    //private List<CD02010001U> dsConDayWrkPt; //공사일보)작업일지 공정사진

}
