package sgc.portal.cd.cd0201.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cd.cd0201.dto.CD02010001PSearch;
import sgc.portal.cd.cd0201.model.CD02010001P;
import sgc.portal.cd.cd0201.service.CD02010001PService;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cd/cd0201")
public class CD02010001PController {
    private final CD02010001PService service;

    public CD02010001PController(CD02010001PService service) {
        this.service = service;
    }
    
    //CON_DAY_WRK 현장일보
    @PostMapping("/CD02010001P/listConDayWrkCopy")
    public List<EasyHashMap<String, Object>> getListConDayWrkCopy(@RequestBody CD02010001PSearch search) {
        return service.getListConDayWrkCopy(search);
    }
    
    @PostMapping("/CD02010001P/saveConDayWrkCopy")
    public Map<String, String> saveConDayWrkCopy(@RequestBody CD02010001P cD02010001P) {
    	return service.saveConDayWrkCopy(cD02010001P);
    }
    
}
