package sgc.portal.cd.cd0301.model;

import lombok.Getter;
import lombok.Setter;
import sgc.portal.base.Domain;

@Getter
@Setter
public class CD03010001P extends Domain {
	
	private String wkiSeq;     /*작업지시 순번(시퀀스)*/
	private String ccCd;     /*프로젝트 코드*/
	private String ccNm;     /*프로젝트 명*/
	private String covendId;     /*협력업체 ID*/
	private String covendNm;     /*협력업체 명*/
	private String covendChrgrNm;     /*협력업체 담당자명*/
	private String covendChrgrEmail;     /*협력업체 담당자 이메일*/
	private String wkiNo;     /*작업지시 일련번호*/
	private String subctConstNm;     /*하도급 공사명*/
	private String workNm;     /*작업 명*/
	private String workLoc;     /*작업 위치*/
	private String wkiDt;     /*작업지시 일자*/
	private String cpltSrtDt;     /*작업완료 기한 시작일*/
	private String cpltEndDt;     /*작업완료 기한 종료일*/
	private String wkiCn;     /*작업내용*/
	private String enfcGbCd;     /*작업 시행구분 코드[CD001]*/
	private String causBzprYn;     /*발생원인 사업주 여부*/
	private String causBzprDsgnchgYn;     /*발생원인 사업주 설계변경 여부*/
	private String causBzprAddYn;     /*발생원인 사업주 추가공사 여부*/
	private String causBzprEtcYn;     /*발생원인 사업주 기타 여부*/
	private String causBzprEtcCn;     /*발생원인 사업주 기타 내용*/
	private String causOrcoYn;     /*발생원인 본사 여부*/
	private String causOrcoDsgnchgYn;     /*발생원인 본사 설계변경 여부*/
	private String causOrcoNcnYn;     /*발생원인 본사 내용미포함 여부*/
	private String causOrcoEtcYn;     /*발생원인 본사 기타 여부*/
	private String causOrcoEtcCn;     /*발생원인 본사 기타 내용*/
	private String causCovendYn;     /*발생원인 협력업체 여부*/
	private String causCovendRconsYn;     /*발생원인 협력업체 재시공 여부*/
	private String causCovendCmthodchgYn;     /*발생원인 협력업체 공법변경 여부*/
	private String causCovendEtcYn;     /*발생원인 협력업체 기타 여부*/
	private String causCovendEtcCn;     /*발생원인 협력업체 기타 내용*/
	private String influPayGbCd;     /*작업영향 금액증가 구분코드[CD002]*/
	private String influWktmGbCd;     /*작업영향 공기증가 구분코드[CD002]*/
	private String bzprAdjYn;     /*사업주 정산가능 여부(Y 가능, N 불가능)*/
	private String adddocDrawYn;     /*첨부파일 도면 여부*/
	private String adddocEstYn;     /*첨부파일 견적내역서 여부*/
	private String adddocCalcYn;     /*첨부파일 물량산출서 여부*/
	private String adddocUctDescYn;     /*첨부파일 단가설명자료 여부*/
	private String adddocBfPhotoYn;     /*첨부파일 작업전사진 여부*/
	private String adddocMeetRptsYn;     /*첨부파일 회의록 여부*/
	private String atchfileId;     /*첨부파일 ID*/
	private String estAmt;     /*견적 금액*/
	private String estStd;     /*견적 기준*/
	private String wkiAprvDt;     /*작업지시 승인 일자*/
	private String aprvNo;     /*결재번호*/
	private String prgsStusGbCd;     /*진행상태 구분코드[CD004]*/
	private String prgsStusGbNm;	/*진행상태 구분명[CD004]*/
	private String mailsendCnt;     /*메일전송 횟수*/
	private String mailsendLastDt;     /*메일전송 최종일자*/
	
	private String wkiNo1;
	private String wkiNo2;
	private String wkiNo3;
	
	private String aprvStusCd;
	private String callId;
	private String mailCn;
	
	//CON_WKI_ODR_MAILHIS
	private String sndDtm;     /*전송일시*/
	private String sndLginId;     /*보낸사람 로그인ID*/
	private String sndEmpNo;     /*보낸사람 사원번호*/
	private String sndEmpNm;     /*보낸사람 사원명*/
	private String sndEmail;     /*보낸사람 이메일*/
	private String rcvName;     /*받는사람 성명*/
	private String rcvEmail;     /*받는사람 이메일*/
	private String mailTtl;     /*메일 제목*/
	private String contentBase;

}
