package sgc.portal.cd.cd0301.web;

import java.util.List;

import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cd.cd0301.dto.CD03010001USearch;
import sgc.portal.cd.cd0301.service.CD03010001UService;

@RestController
@RequestMapping("/cd/cd0301/CD03010001U")
public class CD03010001UController {

	private final CD03010001UService service;
	
	public CD03010001UController(CD03010001UService service) {
		this.service = service;
	}
	
	/**
	 * 작업지시서작성 조회
	 * @param search
	 * @return
	 */
    @PostMapping("/selectConWkiOdrList")	
    public List<EasyHashMap<String, Object>> selectConWkiOdrList(@RequestBody CD03010001USearch search) {
        return service.selectConWkiOdrList(search);
    }
	
	
}
