package sgc.portal.cd.cd0301.web;

import java.util.List;

import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cd.cd0301.dto.CD03010002PSearch;
import sgc.portal.cd.cd0301.service.CD03010002PService;

@RestController
@RequestMapping("/cd/cd0301/CD03010002P")
public class CD03010002PController {

	private final CD03010002PService service;

	public CD03010002PController(CD03010002PService service) {
		this.service = service;
	}

	@PostMapping("/wkiodrInfo")
	public EasyHashMap<String, Object> selectwkiodrInfo(@RequestBody CD03010002PSearch search) {
		return service.selectwkiodrInfo(search);
	}
	
	@PostMapping("/wkiodrmailhisList")
	public List<EasyHashMap<String, Object>> selectwkiodrmailhisList(@RequestBody CD03010002PSearch search) {
		return service.selectwkiodrmailhisList(search);
	}
}
