package sgc.portal.cd.cd0302.web;

import java.util.List;

import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cd.cd0302.dto.CD03020001USearch;
import sgc.portal.cd.cd0302.service.CD03020001UService;

@RestController
@RequestMapping("/cd/cd0302/CD03020001U")
public class CD03020001UController {

	private final CD03020001UService service;
	
	public CD03020001UController(CD03020001UService service) {
		this.service = service;
	}
	
	/**
	 * 작업지시서 견적(사전시행) 조회
	 * @param search
	 * @return
	 */
    @PostMapping("/selectConWkiOdrList")	
    public List<EasyHashMap<String, Object>> selectConWkiOdrList(@RequestBody CD03020001USearch search) {
        return service.selectConWkiOdrList(search);
    }
	
}
