package sgc.portal.cd.cd0304.web;

import java.util.List;

import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cd.cd0304.dto.CD03040001USearch;
import sgc.portal.cd.cd0304.service.CD03040001UService;

@RestController
@RequestMapping("/cd/cd0304/CD03040001U")
public class CD03040001UController {

	private final CD03040001UService service;
	
	public CD03040001UController(CD03040001UService service) {
		this.service = service;
	}
	
	//조회
    @PostMapping("/selectConWkiOdrList")	
    public List<EasyHashMap<String, Object>> selectConWkiOdrList(@RequestBody CD03040001USearch search) {
        return service.selectConWkiOdrList(search);
    }
	
	
}
