package sgc.portal.cd.cd0307.web;

import java.util.List;

import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cd.cd0307.dto.CD03070001USearch;
import sgc.portal.cd.cd0307.service.CD03070001UService;

@RestController
@RequestMapping("/cd/cd0307")
public class CD03070001UController {

	private final CD03070001UService service;
	
	public CD03070001UController(CD03070001UService service) {
		this.service = service;
	}
	
	/**
	 * 작업지시서 진행현황 조회
	 * @param search
	 * @return
	 */
    @PostMapping("/CD03070001U/selectConWkiOdrList")	
    public List<EasyHashMap<String, Object>> selectConWkiOdrList(@RequestBody CD03070001USearch search) {
        return service.selectConWkiOdrList(search);
    }

}
