package sgc.portal.co.co0109.web;

import java.util.List;

import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.co.co0109.dto.CO01090001USearch;
import sgc.portal.co.co0109.service.CO01090001UService;

@RestController
@RequestMapping("/co/co0109")
public class CO01090001UController {
    private final CO01090001UService service;

    public CO01090001UController(CO01090001UService service) {
        this.service = service;
    }
    
    @PostMapping("/CO01090001U/list1")
    public List<EasyHashMap<String, Object>> getList1(@RequestBody CO01090001USearch search) {
        return service.getList1(search);
    }
    
    @PostMapping("/CO01090001U/list2")
    public List<EasyHashMap<String, Object>> getList2(@RequestBody CO01090001USearch search) {
        return service.getList2(search);
    }
    
}
