package sgc.portal.com.auth.model;

import sgc.portal.base.Domain;
import lombok.Getter;
import lombok.NonNull;
import lombok.Setter;
import sgc.portal.com.auth.service.MaskingDesabledService;

/**
 * <pre>
 * 시스템명   : Common
 * 프로그램ID :
 * 프로그램명  :
 * 설명 :
 * </pre>
 *
 * @author 이범근
 * @version 2020.01.13
 * @see MaskingDesabledService
 * @since JDK1.8
 */
@Getter
@Setter
public class PrvtinfoFindHist extends Domain {
    private int seq;
    @NonNull
    private String scrtNo;      /* 비밀 번호 */
    @NonNull
    private String findRsnCd;   /* 조회 사유 코드 */
    @NonNull
    private String findRsn;     /* 조회 사유 */

    private int pgrId;          /* 조회 프로그램 ID */
    @NonNull
    private String pgrUrl;      /* 조회 URL */

    private String lginId;      /* 로그인 ID */

    private String maskYn;      /* 마스킹Y/N */



    private String userNm;      /* 사용자 */
    private String empNo;       /* 사번 */

    private String crtDttmF;    /* 조회일자F */
    private String crtDttmT;    /* 조회일자T */

    private String prgNmUrl;    /* 화면명/URL */
}
