package sgc.portal.com.auth.model;

import sgc.portal.base.Domain;
import lombok.Data;
import sgc.portal.com.auth.service.ComBusiHandleAuthMngService;

/**
 * <pre>
 * 시스템명   : Common
 * 프로그램ID :
 * 프로그램명  :
 * 설명 :
 * </pre>
 *
 * @author 이범근
 * @version 2020.01.13
 * @see ComBusiHandleAuthMngService
 * @since JDK1.8
 */

@Data
public class SmComHdlgAuth extends Domain {

    /** 업무취급권한 코드  **/
    private String bzafHdlgCd;  /*업무 취급 코드  */
    private String authCnts;    /*권한 내용  */
    private String lginId;      /*로그인 ID  */
    private String esbsCd1;     /*설정 코드 1  */
    private String esbsCd2;     /*설정 코드 2  */
    private String esbsCd3;     /*설정 코드 3  */
    private String esbsCd4;     /*설정 코드 4  */
    private String esbsCd5;     /*설정 코드 5  */
    private String useYn;       /*사용 여부  */
    private String hdlgSno;     /*취급 일련번호  */

    /** 그리드 제어 **/
    private String chk;
    private String rowStatus;
}