package sgc.portal.com.com.model;

import sgc.portal.base.Domain;
import lombok.Data;

@Data
public class BatchJob extends Domain {
	
	private String job;     	/*ID of the job*/
	private String schemaUser;  /*Owner ID of the job*/
	private String nextDate;    /*Next job execution date*/
	private String interval;    /*Interval used to evaluate the value to be set in NEXT_DATE column after the job is executed*/
	private String broken;     	/*Status of the job - Y: Invalid - N: Valid*/
	private String failures;    /*The number of successive failures in job executions*/
	private String what;     	/*The contents that this job will execute*/
	private String instance;    /*Instance number of RDBMS which runs the job*/
	private String lastDate;    /*Date that this job finished successfully*/
	private String thisDate;    /*Date that this job started*/
	private String outResult;
    private String rowStatus;
}