package sgc.portal.com.com.model;

import sgc.portal.base.Domain;
import lombok.Data;

/**********************************************************
 * 시스템명  	: 시스템관리(COM)
 * 프로그램ID 	: Menu
 * 프로그램명   	: 메뉴 관리 model
 * @author	: SBK
 * @version	: 2023-07-25
 * @since JDK1.8
 * @see
 * 1. 최초 작성
**********************************************************/

@Data
public class Menu extends Domain {
	private String cmpnCd;     /*회사 코드*/
	private String menuId;     /*메뉴 ID*/
	private String sysCd;     /*시스템_코드*/
	private String menuNm;     /*메뉴 명*/
	private String menuNmEn;     /*메뉴 명(영문)*/
	private String menuUrl;     /*메뉴 URL*/
	private String menuLvl;     /*메뉴 레벨*/
	private String psprMenuId;     /*상위 메뉴 ID*/
	private String psprMenuNm;     /*상위 메뉴 명*/
	private String useYn;     /*사용 여부*/
	private String arryOder;     /*정렬 순서*/
	private String menuExpl;     /*메뉴 설명*/
	private String rowStatus;
    private String chk;
    
    private String authGrpId;
}