package sgc.portal.com.com.service;

import sgc.portal.base.exception.UnsupportedGirdStatusException;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.base.websquare.GridRowStatus;
import sgc.portal.com.com.model.ComPopup;
import sgc.portal.com.com.persistence.ComPopupMngMapper;
import org.apache.commons.collections.CollectionUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 프로그램 공통 팝업 조회 
 *
 * @author 김현중
 * @version 1.0.0
 * @since  2022-07-06
 */

@Transactional
@Service
public class ComPopupMngService {

    @Autowired
    private ComPopupMngMapper comPopupMngMapper;

    public List<EasyHashMap<String, Object>> selectComPopupList(ComPopup comPopup) {
        return comPopupMngMapper.selectComPopupList(comPopup);
    }
}
