package sgc.portal.com.com.web;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.com.com.model.AuthGrp;
import sgc.portal.com.com.model.AuthUser;
import sgc.portal.com.com.service.ComPrgAuthMngService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**********************************************************
 * 시스템명  : 시스템관리(COM)
 * 프로그램ID : ComAuthUserMngController
 * 프로그램명   : 개인별권한그룹관리 Controller
 * @author       : Kim Gyu Yong(aaaa@aaa.co.kr)
 * @version   :  2020-09-05
 * @since JDK1.8
 * @see
 * 1. 최초 작성
**********************************************************/

@RestController
public class ComPrgAuthMngController {
    @Autowired
    private ComPrgAuthMngService comPrgAuthMngService;

    /**
     *

     * @param
     * @return
     * @throws Exception
     *
     */
    @PostMapping(value = "/com/com/selectComPrgMng")
    public List<EasyHashMap<String, Object>> selectComPrgMng(@RequestBody AuthGrp authgrps) {

        return comPrgAuthMngService.selectComPrgMng(authgrps);
    }

    //등록자 조회
    @PostMapping(value = "/com/com/selectComPrgAuthMng")
    public List<EasyHashMap<String, Object>> selectComPrgAuthMng(@RequestBody AuthUser authusers) {

        return comPrgAuthMngService.selectComPrgAuthMng(authusers);
    }

}
