package sgc.portal.com.com.web;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.com.com.model.BbsFile;
import sgc.portal.com.com.service.ComYtaCalBbsFilePopService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**********************************************************
 * 시스템명  : 시스템관리(COM)
 * 프로그램ID : ComYtaCalBbsFilePopController
 * 프로그램명   : 세무서코드관리 Controller
 * @author      : Kim Gyu Yong(aaaa@aaa.co.kr)
 * @version   :  2020-08-31
 * @since JDK1.8
 * @see
 * 1. 최초 작성
**********************************************************/

@RestController
public class ComYtaCalBbsFilePopController {

	@Autowired
	private ComYtaCalBbsFilePopService comYtaCalBbsFilePopService;


    @PostMapping(value = "/com/cmm/selectComYtaCalBbsFilePop")
    public List<EasyHashMap<String, Object>> selectComYtaCalBbsFilePop(@RequestBody BbsFile bbsFile) {
        return comYtaCalBbsFilePopService.selectComYtaCalBbsFilePop(bbsFile);
    }

    @PostMapping(value = "/com/cmm/saveComYtaCalBbsFilePop")
    public void saveComYtaCalBbsFilePop(@RequestBody List<BbsFile> bbsFile) {
        comYtaCalBbsFilePopService.saveComYtaCalBbsFilePop(bbsFile);
    }


}
