package sgc.portal.cs.cs0203.web;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.com.auth.model.PrvtinfoFindHist;
import sgc.portal.com.auth.model.SmComHdlgAuth;
import sgc.portal.com.auth.service.MaskingDesabledService;
import sgc.portal.com.com.service.ComAuthUserMngService;
import sgc.portal.cs.cs0203.service.CS02030001UService;
import sgc.portal.cs.cs0203.dto.CS02030001USearch;
import sgc.portal.cs.cs0203.model.CS02030001U;


import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cs/cs0203")
public class CS02030001UController {
	
	private final CS02030001UService service;

    public CS02030001UController(CS02030001UService service) {
        this.service = service;
    }

    //현장동호수등록 조회
    @PostMapping("/CS02030001U/selectTcsSiteDhsList")
    public List<EasyHashMap<String, Object>> selectTcsSiteDhsList(@RequestBody CS02030001USearch search) {
        return service.selectTcsSiteDhsList(search);
    }
    
    //현장동호수엑셀양식 조회
    @PostMapping("/CS02030001U/selectTcsSiteDhsPopList")
    public List<EasyHashMap<String, Object>> selectTcsSiteDhsPopList(@RequestBody CS02030001USearch search) {
        return service.selectTcsSiteDhsPopList(search);
    }

	//현장동호수 등록 수정 삭제
    @PostMapping("/CS02030001U/saveTcsSiteDhs")
    public Map<String, String> saveTcsSiteDhs(@RequestBody List<CS02030001U> CS01020001U) {
    	return service.saveTcsSiteDhs(CS01020001U);
    }

}
