package sgc.portal.cs.cs0301.model;

import lombok.Getter;
import lombok.Setter;
import sgc.portal.base.Domain;

@Getter
@Setter
public class TcsDeftVo extends Domain {

	private String deftNo;     /*하자번호*/
	private String siteCd;     /*현장코드*/
	private String dong;     /*동*/
	private String hsno;     /*호수*/
	private String offrDt;     /*신청 일자*/
	private String aplntNm;     /*신청자_명*/
	private String aplntRel;     /*신청자 관계*/
	private String crryTelNo;     /*휴대_전화번호*/
	private String telNo;     /*전화번호*/
	private String upperLocNo;     /*상위_위치번호(사용안함)*/
	private String locNo;     /*위치번호*/
	private String deftLjobtypNo;     /*하자대공종번호*/
	private String deftMjobtypNo;     /*하자중공종번호*/
	private String deftJobtypNo;     /*하자공종번호*/
	private String deftTypeNo;     /*하자유형번호*/
	private String deftCausNo;     /*하자원인번호*/
	private String emgGbCd;     /*긴급 구분코드[CS020]*/
	private String reDeftYn;     /*재하자 여부*/
	private String deftCn;     /*하자_내용*/
	private String deftImgAflId;     /*하자사진_첨부파일ID*/
	private String reqCn;     /*요청_내용*/
	private String consMnbdCd;     /*시공주체코드[CS011]*/
	private String consCovendId;     /*시공_협력업체ID*/
	private String rcptMtdCd;     /*접수방법코드[CS010]*/
	private String rcptDt;     /*접수_일자*/
	private String rcvprNm;     /*접수자_명*/
	private String rcvprEmpno;     /*접수자 사원번호*/
	private String workWkiNo;     /*작업_지시서_번호*/
	private String prcgMnbdCd;     /*처리주체코드[CS011]*/
	private String prcgCovendId;     /*처리_협력업체ID*/
	private String vendrLbprSeq;     /*업체_담당자 일련번호*/
	private String vendrLbprNm;     /*업체_담당자_명*/
	private String vendrLbprCrryTel;     /*업체 담당자 핸드폰*/
	private String vendrLbprMail;     /*업체 담당자 메일*/
	private String asmngChrgrEmpno;     /*사후관리_담당자_사번*/
	private String asmngChrgrCrryTel;     /*사후관리 담당자 핸드폰*/
	private String visElpsSeq;     /*방문 경과 순번*/
	private String workElpsSeq;     /*작업 경과 순번*/
	private String prcgElpsSeq;     /*처리 경과 순번*/
	private String prcgDt;     /*처리_일자*/
	private String pgprNm;     /*처리자_명*/
	private String prcgCn;     /*처리_내용*/
	private String prcgAflId;     /*처리_첨부파일ID*/
	private String duraDys;     /*소요_일수*/
	private String rpdtScor;     /*신속도_점수*/
	private String cpltElpsSeq;     /*완료 경과 순번*/
	private String cpltDt;     /*완료_일자*/
	private String cplprNm;     /*완료자_명*/
	private String mbilPrcgCn;     /*모바일_처리_내용*/
	private String mbilCnConfYn;     /*모바일_내용_확인_여부*/
	private String deftPrcgStusCd;     /*하자처리상태코드[CS009]*/
	private String workWkiPushYn;     /*작업지시 PUSH 전송 여부*/
	private String workWkiSmsYn;     /*작업지시 SMS 전송 여부*/
	
    private String rowStatus; /*그리드 상태값*/

}
