package sgc.portal.cs.cs0302.dto;

import lombok.Getter;
import lombok.Setter;
import sgc.portal.base.BaseSearchDto;

@Getter
@Setter
public class CS03020001USearch extends BaseSearchDto {
    /*
     * JSON Serialize, Deserialize 는 sgc.portal.base.format 패키지에 있는
     * 객체들을 사용하여 동작한다.
     * 기본 포멧은 Date -> yyyyMMdd, DateTime -> yyyyMMddHHmmss 이므로
     * Front, Back 모두 포멧에 맞춰 요청과 응답을 해야한다.
     * sgc.portal.base.util.DateTime 클래스는 Date 를 상속받은 클래스로
     * 단순히 시간까지 표현해야하는지 여부를 판단하기 위한 클래스로 시간까지 표현해야하는 경우
     * sgc.portal.base.util.DateTime 클래스를 사용하도록 한다.
     */
	private String userId;		/*사용자id*/
	private String yyyymm;		/*조회년월*/
	private String siteCd;		/*현장코드*/
	private String pgprNm;     	/*처리자 명*/
	private String prcgPrStrtDt;     	/*방문일자*/
	private String prcgCovendId;     	/*처리업체*/
}
