package sgc.portal.cs.cs0303.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cs.cs0303.dto.CS03030001USearch;
import sgc.portal.cs.cs0303.service.CS03030001UService;

import java.util.List;

@RestController
@RequestMapping("/cs/cs0303")
public class CS03030001UController {
    private final CS03030001UService service;

    public CS03030001UController(CS03030001UService service) {
        this.service = service;
    }
    
    /*하자보증서리스트*/
    @PostMapping("/CS03030001U/getTradeList")
    public List<EasyHashMap<String, Object>> getTradeList(@RequestBody CS03030001USearch search) {
        return service.getTradeList(search);
    }
}
