package sgc.portal.cw.cw0203.service;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.base.websquare.GridRowStatus;
import sgc.portal.cw.cw0203.dto.CW02030001USearch;
import sgc.portal.cw.cw0203.model.CW02030001U;
import sgc.portal.cw.cw0203.persistence.CW02030001UMapper;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class CW02030001UService {
    private final CW02030001UMapper mapper;

    public CW02030001UService(CW02030001UMapper mapper) {
        this.mapper = mapper;
    }

    public List<EasyHashMap<String, Object>> getList(CW02030001USearch search) {
        return mapper.getList(search);
    }
}
