package sgc.portal.cw.cw0203.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0203.dto.CW02030001USearch;
import sgc.portal.cw.cw0203.model.CW02030001U;
import sgc.portal.cw.cw0203.service.CW02030001UService;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cw/cw0203")
public class CW02030001UController {
    private final CW02030001UService service;

    public CW02030001UController(CW02030001UService service) {
        this.service = service;
    }

    @PostMapping("/CW02030001U/list")
    public List<EasyHashMap<String, Object>> getList(@RequestBody CW02030001USearch search) {
        return service.getList(search);
    }
}
