package sgc.portal.cw.cw0206.service;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.base.websquare.GridRowStatus;
import sgc.portal.cw.cw0206.dto.CW02060001USearch;
import sgc.portal.cw.cw0206.model.CW02060001U;
import sgc.portal.cw.cw0206.persistence.CW02060001UMapper;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class CW02060001UService {
    private final CW02060001UMapper mapper;

    public CW02060001UService(CW02060001UMapper mapper) {
        this.mapper = mapper;
    }

    public List<EasyHashMap<String, Object>> getList(CW02060001USearch search) {
        return mapper.getList(search);
    }

}
