package sgc.portal.cw.cw0206.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0206.dto.CW02060001USearch;
import sgc.portal.cw.cw0206.model.CW02060001U;
import sgc.portal.cw.cw0206.service.CW02060001UService;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cw/cw0206")
public class CW02060001UController {
    private final CW02060001UService service;

    public CW02060001UController(CW02060001UService service) {
        this.service = service;
    }

    @PostMapping("/CW02060001U/list")
    public List<EasyHashMap<String, Object>> getList(@RequestBody CW02060001USearch search) {
        return service.getList(search);
    }

}
