package sgc.portal.cw.cw0302.web;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.com.auth.model.PrvtinfoFindHist;
import sgc.portal.com.auth.model.SmComHdlgAuth;
import sgc.portal.com.auth.service.ComBusiHandleAuthMngService;
import sgc.portal.com.auth.service.MaskingDesabledService;
import sgc.portal.cw.cw0302.dto.CW03020001USearch;
import sgc.portal.cw.cw0302.service.CW03020001UService;


import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cw/cw0302")
public class CW03020001UController {
	
	private final CW03020001UService service;

    public CW03020001UController(CW03020001UService service) {
        this.service = service;
    }

	//고충조회(전체)
    @PostMapping("/CW03020001U/selectProblemList")
    public List<EasyHashMap<String, Object>> selectProblemList(@RequestBody CW03020001USearch search) {
        return service.selectProblemList(search);
    }
}
