package sgc.portal.cw.cw0303.model;

import lombok.Getter;
import lombok.NonNull;
import lombok.Setter;
import sgc.portal.base.Domain;


import java.util.Date;
import java.util.List;

@Getter
@Setter
public class CW03030001U extends Domain {

	@NonNull
    private String cmpnCd;			/* 회사코드  */
	@NonNull
    private String probId;			/* 고충ID */
	
    private String probNo;			/* 접수번호 */
    private Date probIndate;		/* 고충등록일 */
    private Date recIndate;			/* 접시일시 */
    private Date cmsIndate;			/* 위임일시 */
    private Date cmsrecIndate;		/* 위임접수일시 */	
    private Date rejectIndate;		/* 반송일시 */
    private Date endIndate;			/* 완료일시 */
    private String userSabun;		/* 작성자사번 */
    private String userNm;			/* 작성자명 */
    private String userDeptCd;		/* 작성자부서코드 */
    private String userDeptNm;		/* 작성자부서명 */
    private String namelessCd;		/* 익명여부 */
    private String openCd;			/* 공개여부 */
    private String subject;			/* 제목 */
	private String relDept;			/* 유관부서 */
	private String orgnContent;		/* 원본내용 */
	private String modContent;		/* 수정내용 */
	private String mAnsSabun;		/* 주 답변자 사번 */
	private String mAnsNm;			/* 주 답변자 이름 */
	private String mAnsDeptCd; 		/* 주 답변자 부서코드 */
	private String mAnsDeptNm;		/* 주 답변자 부서명 */
	private String statusCd; 		/* 진행상태 */
	private String cmsUser;			/* 위임자 */
	private String probCd;			/* 고충구분코드 */

	private String answerId;		/* 답변ID  */	
	private String ansSabun;		/* 답변자사번  */
	private String ansNm;			/* 답변자명  */
	private String ansDeptCd;		/* 답변자부서코드  */
	private String ansDeptNm;		/* 답변자부서명  */
	private Date ansDate;			/* 답변일시  */
	private String ansContent;		/* 답변내용  */
	
	private String userId;		
	private String rowStatus;	
	
	List<CW03030001U> dsList;
}
