package sgc.portal.cw.cw0401.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0401.dto.CW04010001USearch;
import sgc.portal.cw.cw0401.model.CW04010001U;
import sgc.portal.cw.cw0401.service.CW04010001UService;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cw/cw0401")
public class CW04010001UController {
	
    private final CW04010001UService service;

    public CW04010001UController(CW04010001UService service) {
        this.service = service;
    }

    @PostMapping("/CW04010001U/selectZehrCareerAssoRecordList")
    public List<EasyHashMap<String, Object>> selectZehrCareerAssoRecordList(@RequestBody CW04010001USearch search) {
        return service.selectZehrCareerAssoRecordList(search);
    }

    @PostMapping("/CW04010001U/saveZehrCareerAssoRecord")
    public Map<String, String> saveZehrCareerAssoRecord(@RequestBody List<CW04010001U> CW04010001U) {
    	return service.saveZehrCareerAssoRecord(CW04010001U);
    }
}


