package sgc.portal.cw.cw0403.model;

import lombok.Getter;
import lombok.NonNull;
import lombok.Setter;
import sgc.portal.base.Domain;


import java.util.Date;
import java.util.List;

@Getter
@Setter
public class CW04030001U extends Domain {

	@NonNull
    private String cmpnCd;			/* 회사코드  */
	
	private String caId;			/* 경력ID  */
	private String pjtCd;			/* 프로젝트코드  */
	private String pjtNm;			/* 프로젝트명  */
	private String clientCd;		/* 발주처코드  */
	private String clientNm;		/* 발주처명  */
	private String conAmt;			/* 계약금액  */
	private String vatAmt;			/* 부가세  */
	private String totAmt;			/* 전체금액  */
	private String curNm;			/* 환종명  */
	private String pjtStatus;		/* 진행상태  */
	private String pjtNation;		/* 국가  */
	private String pjtACd;			/* 대분류코드  */
	private String pjtANm;			/* 대분류명  */
	private String pjtBCd;			/* 중분류코드  */
	private String pjtBNm;			/* 중분류코명  */
	private String nationCd;		/* 국가코드  */
	private String nationNm;		/* 국가명  */
	private String pjtStartDate;	/* 시작일  */
	private String pjtEndDate;		/* 종료일  */
	
	private String rowStatus;		
	private String empNo;
	private String userId;
	
	List<CW04030001U> dsList;
}
