package sgc.portal.cw.cw0405.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0405.dto.CW04050001USearch;
import sgc.portal.cw.cw0405.model.CW04050001U;
import sgc.portal.cw.cw0405.service.CW04050001UService;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cw/cw0405")
public class CW04050001UController {
	
    private final CW04050001UService service;

    public CW04050001UController(CW04050001UService service) {
        this.service = service;
    }

    @PostMapping("/CW04050001U/selectZehrCareerAssoRecordList")
    public List<EasyHashMap<String, Object>> selectZehrCareerAssoRecordList(@RequestBody CW04050001USearch search) {
        return service.selectZehrCareerAssoRecordList(search);
    }
}


