package sgc.portal.cw.cw0611.service;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.base.websquare.GridRowStatus;
import sgc.portal.cw.cw0611.model.CW06110001U;
import sgc.portal.cw.cw0611.dto.CW06110001USearch;
import sgc.portal.cw.cw0611.persistence.CW06110001UMapper;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class CW06110001UService {
    private final CW06110001UMapper mapper;

    public CW06110001UService(CW06110001UMapper mapper) {
        this.mapper = mapper;
    }

    public List<EasyHashMap<String, Object>> getList(CW06110001USearch search) {
        return mapper.getList(search);
    }
}
