package sgc.portal.cw.cw0611.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0611.model.CW06110001U;
import sgc.portal.cw.cw0611.dto.CW06110001USearch;
import sgc.portal.cw.cw0611.service.CW06110001UService;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cw/cw0611")
public class CW06110001UController {
    private final CW06110001UService service;

    public CW06110001UController(CW06110001UService service) {
        this.service = service;
    }

    @PostMapping("/CW06110001U/list")
    public List<EasyHashMap<String, Object>> getList(@RequestBody CW06110001USearch search) {
        return service.getList(search);
    }
}
