package sgc.portal.cw.cw0612.service;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.base.websquare.GridRowStatus;
import sgc.portal.cw.cw0612.model.CW06120001U;
import sgc.portal.cw.cw0612.dto.CW06120001USearch;
import sgc.portal.cw.cw0612.persistence.CW06120001UMapper;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class CW06120001UService {
    private final CW06120001UMapper mapper;

    public CW06120001UService(CW06120001UMapper mapper) {
        this.mapper = mapper;
    }

    public List<EasyHashMap<String, Object>> getList(CW06120001USearch search) {
        return mapper.getList(search);
    }
}
