package sgc.portal.cw.cw0613.service;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.base.websquare.GridRowStatus;
import sgc.portal.cw.cw0613.model.CW06130001U;
import sgc.portal.cw.cw0613.dto.CW06130001USearch;
import sgc.portal.cw.cw0613.persistence.CW06130001UMapper;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class CW06130001UService {
    private final CW06130001UMapper mapper;

    public CW06130001UService(CW06130001UMapper mapper) {
        this.mapper = mapper;
    }

    public List<EasyHashMap<String, Object>> getList(CW06130001USearch search) {
        return mapper.getList(search);
    }
}
