package sgc.portal.cw.cw0613.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0613.model.CW06130001U;
import sgc.portal.cw.cw0613.dto.CW06130001USearch;
import sgc.portal.cw.cw0613.service.CW06130001UService;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cw/cw0613")
public class CW06130001UController {
    private final CW06130001UService service;

    public CW06130001UController(CW06130001UService service) {
        this.service = service;
    }

    @PostMapping("/CW06130001U/list")
    public List<EasyHashMap<String, Object>> getList(@RequestBody CW06130001USearch search) {
        return service.getList(search);
    }
}
