package sgc.portal.cw.cw0804.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0804.dto.CW08040002PSearch;
import sgc.portal.cw.cw0804.service.CW08040002PService;

@RestController
@RequestMapping("/cw/cw0804")
public class CW08040002PController {
    private final CW08040002PService service;

    public CW08040002PController(CW08040002PService service) {
        this.service = service;
    }
    
    @PostMapping("/CW08040002P/selectRomInfo")
    public EasyHashMap<String, Object> getSelectRomInfo(@RequestBody CW08040002PSearch search) {
        return service.getSelectRomInfo(search);
    }
}
