package sgc.portal.cw.cw0806.web;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0806.dto.CW08060001USearch;
import sgc.portal.cw.cw0806.model.CW08060001U;
import sgc.portal.cw.cw0806.service.CW08060001UService;

import java.util.List;

@RestController
@RequestMapping("/cw/cw0806")
public class CW08060001UController {
    private final CW08060001UService service;

    public CW08060001UController(CW08060001UService service) {
        this.service = service;
    }

    @PostMapping("/CW08060001U/list")
    public List<EasyHashMap<String, Object>> getList(@RequestBody CW08060001USearch search) {
            return service.getList(search);
    }
}