package sgc.portal.cw.cw1002.service;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.base.websquare.GridRowStatus;
import sgc.portal.cw.cw1002.dto.CW10020001USearch;
import sgc.portal.cw.cw1002.model.CW10020001U;
import sgc.portal.cw.cw1002.persistence.CW10020001UMapper;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class CW10020001UService {
	
    private final CW10020001UMapper mapper;

    public CW10020001UService(CW10020001UMapper mapper) {
        this.mapper = mapper;
    }

	//현장주소록 조회
    public List<EasyHashMap<String, Object>> selectSiteAddress(CW10020001USearch search) {
        return mapper.selectSiteAddress(search);
    }
}