package sgc.portal.cw.cw1400.service;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.base.websquare.GridRowStatus;
import sgc.portal.cw.cw1400.model.CW14000001U;
import sgc.portal.cw.cw1400.dto.CW14000001USearch;
import sgc.portal.cw.cw1400.persistence.CW14000001UMapper;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class CW14000001UService {
    private final CW14000001UMapper mapper;

    public CW14000001UService(CW14000001UMapper mapper) {
        this.mapper = mapper;
    }

    public List<EasyHashMap<String, Object>> getList(CW14000001USearch search) {
        return mapper.getList(search);
    }
}
