package sgc.portal.cw.cw1404.service;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.base.websquare.GridRowStatus;
import sgc.portal.cw.cw1404.model.CW14040001U;
import sgc.portal.cw.cw1404.dto.CW14040001USearch;
import sgc.portal.cw.cw1404.persistence.CW14040001UMapper;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class CW14040001UService {
    private final CW14040001UMapper mapper;

    public CW14040001UService(CW14040001UMapper mapper) {
        this.mapper = mapper;
    }

    public List<EasyHashMap<String, Object>> getList(CW14040001USearch search) {
        return mapper.getList(search);
    }
}
