package sgc.portal.cw.cw1502.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw1502.dto.CW15020001PSearch;
import sgc.portal.cw.cw1502.model.CW15020001P;
import sgc.portal.cw.cw1502.service.CW15020001PService;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cw/cw1502")
public class CW15020001PController {
    private final CW15020001PService service;

    public CW15020001PController(CW15020001PService service) {
        this.service = service;
    }
    
    @PostMapping("/CW15020001P/selectRemInfo")
    public EasyHashMap<String, Object> getSelectRemInfo(@RequestBody CW15020001PSearch search) {
        return service.getSelectRemInfo(search);
    }
}
