package sgc.portal.cw.cw1502.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw1502.dto.CW15020005PSearch;
import sgc.portal.cw.cw1502.service.CW15020005PService;

@RestController
@RequestMapping("/cw/cw1502")
public class CW15020005PController {
    private final CW15020005PService service;

    public CW15020005PController(CW15020005PService service) {
        this.service = service;
    }
    
    @PostMapping("/CW15020005P/selectCarInfo")
    public EasyHashMap<String, Object> getSelectCarInfo(@RequestBody CW15020005PSearch search) {
        return service.getSelectCarInfo(search);
    }
}
