package sgc.portal.cw.cwcom.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cwcom.dto.CWCOMSearch;
import sgc.portal.cw.cwcom.service.CWCOMService;

import java.util.List;

@RestController
@RequestMapping("/cw/cwcom")
public class CWCOMController {
    private final CWCOMService service;

    public CWCOMController(CWCOMService service) {
        this.service = service;
    }
    
    //회의실
    @PostMapping("/CWCOM/getComboRomCd")
    public List<EasyHashMap<String, Object>> getComboRomCd(@RequestBody CWCOMSearch search) {
        return service.getComboRomCd(search);
    }
}
