package sgc.portal.ei.ei0201.model;

import lombok.Getter;
import lombok.Setter;
import sgc.portal.base.Domain;

@Getter
@Setter
public class EI02010002U extends Domain {
	/*
	 * JSON Serialize, Deserialize 는 sgc.portal.base.format 패키지에 있는 객체들을 사용하여 동작한다.
	 * 기본 포멧은 Date -> yyyyMMdd, DateTime -> yyyyMMddHHmmss 이므로 Front, Back 모두 포멧에 맞춰
	 * 요청과 응답을 해야한다. sgc.portal.base.util.DateTime 클래스는 Date 를 상속받은 클래스로 단순히 시간까지
	 * 표현해야하는지 여부를 판단하기 위한 클래스로 시간까지 표현해야하는 경우 sgc.portal.base.util.DateTime 클래스를
	 * 사용하도록 한다.
	 */
	private String cmpnCd; /* 회사 코드 */
	private String pyear; /* 기준 연도 */
	private String pmonth; /* 기준 월 */
	private String cashNo; /* 자금 일련번호(MAX+1) */
	private String salesGb; /* 영업구분(영업,영업외) */
	private String inexGb; /* 수지구분(수입,지출) */
	private String operGb; /* 자금운영구분(영업,재무,투자,기타) */
	private String inexItemNm; /* 수지 항목명 */
	private String thyy01; /* 당년_1 */
	private String thyy02; /* 당년_2 */
	private String thyy03; /* 당년_3 */
	private String thyy04; /* 당년_4 */
	private String thyy05; /* 당년_5 */
	private String thyy06; /* 당년_6 */
	private String thyy07; /* 당년_7 */
	private String thyy08; /* 당년_8 */
	private String thyy09; /* 당년_9 */
	private String thyy10; /* 당년_10 */
	private String thyy11; /* 당년_11 */
	private String thyy12; /* 당년_12 */
	private String ntyy01; /* 차년_1 */
	private String ntyy02; /* 차년_2 */
	private String ntyy03; /* 차년_3 */
	private String ntyy04; /* 차년_4 */
	private String ntyy05; /* 차년_5 */
	private String ntyy06; /* 차년_6 */
	private String ntyy07; /* 차년_7 */
	private String ntyy08; /* 차년_8 */
	private String ntyy09; /* 차년_9 */
	private String ntyy10; /* 차년_10 */
	private String ntyy11; /* 차년_11 */
	private String ntyy12; /* 차년_12 */
	private String lsmmCrovAmt; /* 전월 이월 금액 */
	private String useExcelYn; /* 엑셀업로드 사용여부 */
	private String rowStatus; /* 그리드 상태값 */
}
