package sgc.portal.ei.ei0401.service;


import java.util.List;

import org.springframework.stereotype.Service;

import sgc.portal.base.util.EasyHashMap;

import sgc.portal.ei.ei0401.dto.EI04010001USearch;
import sgc.portal.ei.ei0401.persistence.EI04010001UMapper;

import lombok.extern.slf4j.Slf4j;


@Slf4j
@Service
public class EI04010001UService {
    private final EI04010001UMapper mapper;

    public EI04010001UService(EI04010001UMapper mapper) {
        this.mapper = mapper;
    }
    
    /*
     * SEARCH LIST
     */
    public List<EasyHashMap<String, Object>> getList(EI04010001USearch search) {
        return mapper.getList(search);
    }
    
}
