package sgc.portal.ei.ei0501.dto;

import lombok.Getter;
import lombok.Setter;
import sgc.portal.base.BaseSearchDto;

@Getter
@Setter
public class EI05010001USearch extends BaseSearchDto {
    /*
     * JSON Serialize, Deserialize 는 sgc.portal.base.format 패키지에 있는
     * 객체들을 사용하여 동작한다.
     * 기본 포멧은 Date -> yyyyMMdd, DateTime -> yyyyMMddHHmmss 이므로
     * Front, Back 모두 포멧에 맞춰 요청과 응답을 해야한다.
     * sgc.portal.base.util.DateTime 클래스는 Date 를 상속받은 클래스로
     * 단순히 시간까지 표현해야하는지 여부를 판단하기 위한 클래스로 시간까지 표현해야하는 경우
     * sgc.portal.base.util.DateTime 클래스를 사용하도록 한다.
     */
	
	private String cmpnCd;     /* 회사 코드    */
	private String pyear;      /* 기준 연도    */
	private String pmonth;     /* 기준 월       */
	
	private String userId;     /* 사용자ID   */
	private String excGb;      /* 집계수행구분 */
	private String successCd;  /* 결과 코드     */
	private String msg;        /* 결과 메세지  */
	
}
