package sgc.portal.mobile.model;

import java.util.List;

import com.fasterxml.jackson.annotation.JsonIgnore;

import lombok.Getter;
import lombok.Setter;

/**
 * Manifest Json
 * 
 * @author 5364
 * @since 2022-09-19
 *
 */
@Getter
@Setter
public class ManifestProtocolHandlerVo {

	/**
	 * A required string containing the protocol to be handled; e.g.: mailto, ms-word, web+jngl.
	 */
	private String protocol;

	/**
	 * Required HTTPS URL within the application scope that will handle the protocol. The %s token will be replaced by the URL starting with the protocol handler's scheme. If url is a relative URL, the base URL will be the URL of the manifest.
	 */
	private String url;

}
