package sgc.portal.mobile.model;

import java.util.Map;

import lombok.Getter;
import lombok.Setter;
import sgc.portal.base.Domain;

/**
 * 하자) 모바일) PUSH 알림이력
 * 
 * @author 5364
 * @since 2022-09-15
 *
 */
@Getter
@Setter
public class MoPushhistVo extends Domain{

	/**
	 * 알림이력번호
	 */
	private Integer pushHistSeq;

	/**
	 * 알림구분
	 */
	private String pushType;

	/**
	 * 알림제목
	 */
	private String pushTitle;

	/**
	 * 알림내용
	 */
	private String pushContents;

	/**
	 * 알림링크
	 */
	private String pushLink;
	
	/**
	 * 알림상태(Y 전송 N 실패)
	 */
	private String pushStatus;

	/**
	 * 알림에러내용
	 */
	private String pushErrmsg;

	/**
	 * 일련 번호
	 */
	private String pushSeq;

	/**
	 * 내용
	 */
	private String wrtePr;

	/**
	 * 이미지
	 */
	private String pushImage;

	/**
	 * 데이타
	 */
	private Map<String, String> pushData;

	/**
	 * 알림 토큰
	 */
	private String pushToken;
	
	
}

