package sgc.portal.mobile.model;

import lombok.Getter;
import lombok.Setter;
import sgc.portal.base.Domain;

/**
 * 회의실)회의실정보
 * 
 * @author 5364
 * @since 2022-09-19
 *
 */
@Getter
@Setter
public class ZehrRomInfoVo extends Domain {

	/**
	 * 수용 인원
	 */
	private String admittedNum;

	/**
	 * 비고
	 */
	private String bigo;

	/**
	 * 번호
	 */
	private String bunho;

	/**
	 * 비품
	 */
	private String equipment;

	/**
	 * 위치 코드
	 */
	private String locationId;

	/**
	 * 수정 자
	 */
	private String mdftPr;

	/**
	 * 회의실 ID
	 */
	private String meetingroomId;

	/**
	 * 정렬순서
	 */
	private String sort;

	/**
	 * 전화 번호
	 */
	private String tel;

	/**
	 * 표시 여부
	 */
	private String visibleYn;

	/**
	 * 작성 자
	 */
	private String wrtePr;


}
