package sgc.portal.mobile.model;

import lombok.Getter;
import lombok.Setter;
import sgc.portal.base.Domain;

/**
 * 회의실)회의실예약
 * 
 * @author 5364
 * @since 2022-09-19
 *
 */
@Getter
@Setter
public class ZehrRomResrvtnVo extends Domain {

	/**
	 * 참석 인원
	 */
	private String attendNum;

	/**
	 * 사용 본부 코드
	 */
	private String usePdeptCd;

	/**
	 * 사용 본부 명
	 */
	private String usePdeptNm;

	/**
	 * 부서 코드
	 */
	private String deptCd;

	/**
	 * 부서 명
	 */
	private String deptName;

	/**
	 * 예약 종료시간
	 */
	private String endHhmm;

	/**
	 * 예약 종료일자
	 */
	private String endYyyymmdd;

	/**
	 * 기타 부서코드
	 */
	private String etcDeptCd;

	/**
	 * 기타 부서명
	 */
	private String etcDeptName;

	/**
	 * 기타 사원명
	 */
	private String etcName;

	/**
	 * 기타 후기
	 */
	private String etcRemark;

	/**
	 * 기타 사원번호
	 */
	private String etcSabun;

	/**
	 * 예약 구분
	 */
	private String gubun;

	/**
	 * 예약 구분명
	 */
	private String gubunNm;
	
	/**
	 * 열쇠 지급여부
	 */
	private String keysendYn;

	/**
	 * 열쇠 사용여부
	 */
	private String keyYn;

	/**
	 * 수정 자
	 */
	private String mdftPr;

	/**
	 * 회의실ID
	 */
	private String meetingroomId;

	/**
	 * 회의 내용
	 */
	private String meetingCon;

	/**
	 * 회의 제목
	 */
	private String meetingName;

	/**
	 * 사용 후기
	 */
	private String remark;

	/**
	 * 예약ID
	 */
	private String reservationId;

	/**
	 * 예약 시작시간
	 */
	private String startHhmm;

	/**
	 * 예약 시작일자
	 */
	private String startYyyymmdd;

	/**
	 * 상태
	 */
	private String status;

	/**
	 * 상태명
	 */
	private String statusNm;

	/**
	 * 예약자 회사코드
	 */
	private String subscCmpnCd;

	/**
	 * 예약자 명
	 */
	private String subscName;

	/**
	 * 예약자 사원번호
	 */
	private String subscSabun;

	/**
	 * 요일 금
	 */
	private String weekFr;

	/**
	 * 요일 월
	 */
	private String weekMu;

	/**
	 * 요일 목
	 */
	private String weekTh;

	/**
	 * 요일 화
	 */
	private String weekTu;

	/**
	 * 요일 수
	 */
	private String weekWe;

	/**
	 * 작성 자
	 */
	private String wrtePr;

	/**
	 * 소유자 여부
	 */
	private boolean myRomResrv;

	/**
	 * 번호
	 */
	private String bunho;

	/**
	 * 예약 년월일
	 */
	private String pymd;

	/**
	 * 예약 시분
	 */
	private String phm;

	/**
	 * 위치명
	 */
	private String locationNm;

	/**
	 * 종료불가 사유
	 */
	private String closeCn;

	/**
	 * 종료가능 여부
	 */
	private String closeYn;

	/**
	 * 취소불가 사유
	 */
	private String cancelCn;

	/**
	 * 취소가능 여부
	 */
	private String cancelYn;
	
}
