package sgc.portal.qc.qc0103.model;

import lombok.Getter;
import lombok.Setter;
import sgc.portal.base.Domain;

@Getter
@Setter
public class QC01030001U extends Domain {

	private int outcoId;     /*사외문서 ID*/
	private int sndRcvSeq;     /*수발신 순번*/
	private String docTtl;     /*제목*/
	private String docRegDt;     /*문서 등록일*/
	private String docRegEmpno;     /*문서 등록자 사원번호*/
	private String docRegDeptCd;     /*문서 등록자 부서코드*/
	private String sndRcvGbCd;     /*수발신 구분코드[CS025]*/
	private String sndRcvLc;     /*수발신처*/
	private String docCn;     /*문서 내용*/
	private String docDistGbCd;     /*문서 배포 구분코드[CS026]*/
	private String confEmpno;     /*확인자 사원번호*/
	private String confDt;     /*확인 일시*/
	private String confYn;     /*확인 여부*/
	private String gudlRelAflId;     /*첨부파일 ID*/
	private String docCls1;     /*문서 분류 1*/
	private String docCls2;     /*문서 분류 2*/
	private String docClsNo;     /*문서 분류 번호*/
	private String rowStatus; /*그리드 상태값*/
}
