package sample.dto;

import lombok.Getter;
import lombok.Setter;

/**
 * 하자)현장업체계약 Vo
 * fileName : TcsSiteTradeVo.java
 *
 * @author outmind0@gmail.com
 * @since 2022-10-28
 */
@Getter
@Setter
public class TcsSiteTradeVo {

	/**
	 *회사 코드
	 */
	 private String cmpnCd;

	/**
	 *현장코드
	 */
	 private String siteCd;

	/**
	 *협력업체 ID
	 */
	 private Integer covendId;

	/**
	 *계약순번
	 */
	 private Integer contSeq;

	/**
	 *협력업체유형코드[CS004]
	 */
	 private String jobGbCd;

	/**
	 *계약 번호
	 */
	 private String contId;

	/**
	 *변경 계약번호
	 */
	 private String contModId;

	/**
	 *변경 계약차수
	 */
	 private String modNo;

	/**
	 *발주 번호
	 */
	 private String poDocNo;

	/**
	 *계약 명
	 */
	 private String contNm;

	/**
	 *계약 일자
	 */
	 private String contDt;

	/**
	 *업체 명
	 */
	 private String covendNm;

	/**
	 *업체 사업자번호
	 */
	 private String covendCorpRegNo;

	/**
	 *계약 금액
	 */
	 private Integer contAmt;

	/**
	 *공급 금액
	 */
	 private Integer contSupplyAmt;

	/**
	 *계약 기간
	 */
	 private String contTerm;

	/**
	 *계약 시작일
	 */
	 private String contStartDt;

	/**
	 *계약 만료일
	 */
	 private String contEndDt;

	/**
	 *계약 구분
	 */
	 private String contGb;

	/**
	 *계약 상태
	 */
	 private String statusCd;

	/**
	 *계약서 코드
	 */
	 private String templateCd;

	/**
	 *계약서 코드명
	 */
	 private String templateNm;

	/**
	 *변경 계약 여부
	 */
	 private String chgContYn;

	/**
	 *통화 단위
	 */
	 private String curGb;

	/**
	 *정산 구분
	 */
	 private String adjGb;

	/**
	 *비고_내용
	 */
	 private String rmkCn;

	/**
	 *생성시스템코드
	 */
	 private String crtSysCd;

	/**
	 *작성 일자
	 */
	 private String wrteDt;

	/**
	 *작성 자
	 */
	 private String wrtePr;

	/**
	 *수정 일자
	 */
	 private String mdftDt;

	/**
	 *수정 자
	 */
	 private String mdftPr;
}