export const globalizationList = {
	ko: {
		BTN_ADDHOME: '홈 추가하기',
		BTN_CANCEL: '취소',
		BTN_CLEAR: '제거',
		BTN_CLOSE: '닫기',
		BTN_DONE: '완료',
		BTN_LOGOUT: '로그아웃',
		BTN_MODIFY: '수정',
		BTN_NO: '아니요',
		BTN_OK: '확인',
		BTN_VIEW: '보기',
		BTN_SAVE: '저장',
		BTN_SEARCH: '검색',
		BTN_SETTING: '설정',
		BTN_SUBMIT: '작성완료',
		BTN_YES: '예',
		DEFT: {
			BTN_ATTACH_PHOTO: '사진첨부',
			BTN_DELETE_SELECTED: '선택삭제',
			BTN_DOWNLOAD_SELECTED: '다운로드',
			BTN_PHOTO_AFTER: '작업 후 사진',
			BTN_PHOTO_BEFORE: '작업 전 사진',
			BTN_PHOTO_TAKE: '사진불러오기',
			BTN_REG_DONE: '작업완료',
			BTN_REG_ING: '경과등록',
			BTN_REG_SIGN: '고객서명',
			BTN_SIGN_CANCELSIGN: '서명취소',
			BTN_SIGN_CLEAR: '지우기',
			BTN_SIGN_RESIGN: '새로 서명하기',
			BTN_SIGN_SAVE: '저장',
			BTN_SIGN_UNDO: '취소',
			BTN_END: '최종완료',
			BTN_VIEW_PHOTO: '사진보기',
			BTN_VIEW_SIGN: '고객서명보기',
			BTN_SMS_SEND: '작업지시 전송',
			LBL_APLNT_NM: '신청자',
			LBL_APLNT_REL: '신청자 관계',
			LBL_UNSEND: '미전송',
			LBL_SEND: '전송',
			LBL_WORKWKI_SENDYN: '전송여부',
			LBL_ASMNG_CHRGR_EMPNO: '하자담당자',
			LBL_CMPN_CD: '회사 코드',
			LBL_CONS_COVEND_ID: '처리업체',
			LBL_CONS_MNBD_CD: '시공주체코드[CS011]',
			LBL_CPLPR_NM: '완료자_명',
			LBL_CPLT_DT: '완료_일자',
			LBL_CPLT_ELPS_SEQ: '완료 경과 순번',
			LBL_CRRY_TEL_NO: '신청자전화',
			LBL_DEFT_CAUS_NM: '하자원인명',
			LBL_DEFT_CAUS_NO: '하자원인번호',
			LBL_DEFT_CN: '하자내용',
			LBL_DEFT_IMG_AFL_ID: '하자사진_첨부파일ID',
			LBL_DEFT_JOBTYP_NM: '공종',
			LBL_DEFT_JOBTYP_NO: '하자공종번호',
			LBL_DEFT_LJOBTYP_NO: '하자대공종번호',
			LBL_DEFT_MJOBTYP_NO: '하자중공종번호',
			LBL_DEFT_NO: '하자번호',
			LBL_WKI_SEND_YN: '작업지시',
			LBL_DEFT_PRCG_STUS_CD: '하자처리상태코드[CS009]',
			LBL_DEFT_TYPE_NM: '유형/원인',
			LBL_DEFT_TYPE_NO: '하자유형번호',
			LBL_DONG: '동',
			LBL_DONG_HSNO: '동/호',
			LBL_DURA_DYS: '소요_일수',
			LBL_EMG_GB_CD: '긴급 구분코드[CS020]',
			LBL_HSNO: '호수',
			LBL_LOC_NM: '하자 위치',
			LBL_LOC_NO: '위치번호',
			LBL_MBIL_CN_CONF_YN: '모바일_내용_확인_여부',
			LBL_MBIL_PRCG_CN: '모바일_처리_내용',
			LBL_MDFT_DT: '수정 일자',
			LBL_MDFT_PR: '수정 자',
			LBL_OFFR_DT: '신청 일자',
			LBL_PGPR_NM: '처리자_명',
			LBL_PRCG_AFL_ID: '처리_첨부파일ID',
			LBL_PRCG_CN: '처리내용',
			LBL_PRCG_COVEND_ID: '처리_협력업체ID',
			LBL_PRCG_DT: '처리_일자',
			LBL_PRCG_ELPS_SEQ: '처리 경과 순번',
			LBL_PRCG_MNBD_CD: '처리주체코드[CS011]',
			LBL_RCPT_DT: '접수일',
			LBL_RCPT_MTD_CD: '접수방법코드[CS010]',
			LBL_RCVPR_EMPNO: '접수자 사원번호',
			LBL_RCVPR_NM: '접수자_명',
			LBL_REQ_CN: '요청_내용',
			LBL_RPDT_SCOR: '신속도_점수',
			LBL_SITE_CD: '현장코드',
			LBL_SITE_NM: '현장명',
			LBL_TEL_NO: '전화번호',
			LBL_UPPER_LOC_NO: '상위_위치번호',
			LBL_VENDR_LBPR_NM: '업체담당자',
			LBL_VENDR_LBPR_PUSH_YES: 'Push 알림 받음',
			LBL_VENDR_LBPR_PUSH_NO: 'Push 알림 거부',
			LBL_VIS_ELPS_SEQ: '방문 경과 순번',
			LBL_WORK_ELPS_SEQ: '작업 경과 순번',
			LBL_WORK_WKI_CN: '작업지시',
			LBL_WORK_WKI_NO: '작업_지시서_번호',
			LBL_WRTE_DT: '작성 일자',
			LBL_WRTE_PR: '작성 자',
			LBL_SMS_TITLE: '제목',
			LBL_SMS_CONTENTS: '내용',
			MSG_CONFIRM_DELETE: '선택하신 {selectedCnt}건의 사진을 삭제하시겠습니까?',
			MSG_EMPTY_SIGN: '서명이 비어 있습니다. 저장하기 전에 서명을 완료하여 주십시오.',
			MSG_SAVE_SIGN: '서명을 저장하였습니다.',
			MSG_NO_SELECTED: '선택하신 사진이 없습니다. 삭제하실 사진을 선택하여 주십시오.',
			MSG_CONFIRM_SMSSEND: '하자 작업지시를 전송(PUSH) 하시겠습니까?',
			MSG_SMS_SEND: '* 업체담당자에게 PUSH 및 SMS 를 전송합니다.',
			MSG_SAVE_SMSSEND: '업체담당자에게 PUSH 및 SMS를 전송하였습니다.',
			MSG_SAVE_PHOTO: '{cnt} 건의 사진이 저장되었습니다.',
			MSG_SMSCONTENTS_HELPER: '최대 영문 80자 한글 40자',
			MSG_SMSCONTENTS_ERROR: '현재 {cnt} / 80',
			MSG_ERR_SMSCONTENTS: 'SMS 문자 전송은 최대 영문 80자 한글 40자 까지 입니다. 현재 ( {cnt} / 80)',
			TIT_SMS_SEND: '하자작업지시[작업지시전송]',
			TIT_CUSTSIGN: '고객서명',
			TIT_PHOTO_ADD: '사진첨부',
		},
		ELPS: {
			LBL_CMPN_CD: '회사 코드',
			LBL_DEFT_NO: '하자번호',
			LBL_DEFT_PRCG_GB_CD: '하자처리구분코드[CS013]',
			LBL_DEFT_PRCG_GB_NM: '처리구분',
			LBL_MAIL_CN: '메일 내용',
			LBL_MDFT_DT: '수정 일자',
			LBL_MDFT_PR: '수정 자',
			LBL_PGPR_GB_CD: '처리자 구분코드[CS016]',
			LBL_PGPR_GB_NM: '처리자 구분명',
			LBL_PGPR_NM: '처리자',
			LBL_PRCG_AMT: '처리 비용',
			LBL_PRCG_ELPS_SEQ: '처리_경과_순번',
			LBL_PRCG_PR_END_DT: '처리_예정_종료_일자',
			LBL_PRCG_PR_END_TM: '종료시간',
			LBL_PRCG_PR_STRT_DT: '날짜',
			LBL_PRCG_PR_STRT_TM: '시작시간',
			LBL_PRCG_PR_TM: '시간',
			LBL_PRCG_TYPE_CD: '처리유형코드[CS012]',
			LBL_PRCG_TYPE_NM: '처리유형명',
			LBL_RMK_CN: '내용',
			LBL_TITLE: '작업경과',
			LBL_WRTE_DT: '작성 일자',
			LBL_WRTE_PR: '작성 자',
			MSG_CONFIRM_DONE: '하자처리를 작업완료 하시겠습니까?',
			MSG_CONFIRM_LAST: '하자처리를 최종완료 하시겠습니까?',
			MSG_CONFIRM_ING: '하자처리 경과를 등록하시겠습니까?',
			MSG_GUIDE_PHOTO: '하자 전/후 사진을 등록 하신 후 완료처리 하세요.',
			TIT_ELPS: '하자경과내용',
			TIT_REG_DONE: '작업완료',
			TIT_REG_LAST: '최종완료',
			TIT_REG_ING: '경과등록',
		},
		HOME: {
			BTN_DEFT_DONE: '하자 완료 조회',
			BTN_DEFT_ING: '하자 처리',
			BTN_DEFT_MANG: '하자 작업 지시',
			BTN_DEFT_QUE: '하자조회 및 완료처리',
			BTN_ROOM_APP: '회의실 승인',
			BTN_ROOM_REV: '회의실 예약',
			BTN_SITE_ADDRESS: '현장 주소록',
			LBL_DEFT_EDONE: '최종완료',
			LBL_DEFT_ING: '접수',
			LBL_DEFT_REING: '재하자',
			LBL_DEFT_REQ: '신청',
			LBL_DEFT_WDONE: '작업완료',
			MSG_DEFT_CNT: '{0} 건',
			MSG_DEFT_STATUS: '미처리 {statusUnDone}건/ 총 {statusTotal}건',
			TIT_DEFT_STATUS: '하자진행현황',
		},
		LBL_BASIC: '개요',
		LBL_CONTENTS: '내용',
		LBL_INFORMATION: '정보',
		LBL_NO: 'No',
		LBL_SELECT: '선택',
		LBL_SELECTALL: '전체',
		LBL_YES: 'Yes',
		LOGIN: {
			BTN_PASSWDCH: '변경',
			BTN_FINDID: '아이디 찾기',
			BTN_FINDPW: '비밀번호 찾기',
			BTN_LOGIN: '로그인',
			LBL_CHPASSWD: '비밀번호 변경',
			LBL_CMPNCD: '회사',
			LBL_PASSWD: '비밀번호',
			LBL_CORPNO: '사업자번호',
			LBL_HPNO: '핸드폰번호',
			LBL_LGINID: '사용자 ID',
			LBL_OLDPASSWD: '현재 비밀번호',
			LBL_PUSHNOTI: '작업지시서 알림을 수신 받습니다.',
			LBL_REPASSWD: '비밀번호 변경확인',
			LBL_USERID: '아이디',
			LBL_USERNM: '성명',
			MSG_PASSWD_RULE_ERR: '암호규칙에 적합하지 않습니다. 신규암호를 다시 입력하여 주십시오.',
			MSG_PASSWD_SAME_ERR: '기존암호가 동일한 암호는 사용하실 수 없습니다.',
			MSG_ALREADYUSED: '이미 사용중인 사용자입니다.\n기존 로그인에 대해서 로그아웃 처리되었습니다.',
			MSG_FINDID: '{userName}님의 사용자 아이디는<br/> <strong>{userId}</strong>입니다.',
			MSG_FINDPW: '{userName}님의 임시 비밀번호는<br/> <strong>{scrtNo}</strong>입니다. <br/>로그인 후 변경 하시기 바랍니다.',
			MSG_IDPASSINVALID: '아이디 혹은  비밀번호가 다릅니다. 확인 후 로그인 하십시오.',
			MSG_LOGOUTED: '감사합니다. 로그아웃이 완료 되었습니다.',
			MSG_NOMATCHES: '일치하는 정보가 없습니다.',
			MSG_PASSDIFF: '비밀번호가 다릅니다. 확인하십시오.',
			MSG_PASSEXPI: '비밀번호가 만료되었습니다. 변경 후 로그인 하십시오.',
			MSG_PASSFAIL: '비밀번호를 5회 이상 틀렸습니다. 초기화 후 로그인 하십시오.',
			MSG_PASSWDCH: '영문자/숫자/특수문자 조합하여 8~12자리',
			MSG_PASSWDCHANGED: '암호가 변경되었습니다.',
			MSG_SESSION_INVALID: '로그인 세션 정보가 만료 되었습니다. 다시 로그인하여 주십시오.',
			MSG_NO_AUTH: '권한등록이 되지 않은 사용자 입니다. \n시스템관리자에게 문의 하세요.',
			MSG_WELCOME: '{userNm}님 환영합니다.',
			MSG_ADDHOME_ADDED: '이미 홈화면에 설치가 되어 있습니다.',
			MSG_ADDHOME_UNABLE: '모바일에서만 사용가능합니다.\n모바일에서 설치하여 주십시오.',
			MSG_ADDHOME_ACCEPTED: '감사합니다. 홈화면에 설치를 완료하였습니다.',
			MSG_ADDHOME_NOTREADY: '죄송합니다. 아직 설치 준비가 되지 않았습니다.\n브라우저 우측 상단 메뉴에서 수동 설치(앱설치)를 진행하여 주십시오.',
			MSG_ADDHOME_NOTREADY_IPHONE: '죄송합니다.\n아이폰에서는 수동으로 홈 화면(사파리)에 추가를 진행하여 주십시오.\n하단 공유아이콘 > 홈 화면에 추가',
			MSG_ADDHOME_NOTREADY_SAMSUNG: '죄송합니다. - 삼성인터넷\n수동 추가를 진행하여 주십시오.\n하단 메뉴>현재페이지 추가 > 홈화면',
			MSG_ADDHOME_UNACCEPTED: '죄송합니다. 홈화면에 설치 실패하였습니다.',
			MGS_MENU_NEEDLOGIN: '먼저 로그인을 하여 주십시오.',
			MSG_PUSH_PERMISSION: '푸시 알림에 대한 설정을 활성화 시켜 주십시오.\n안드로이드>설정>앱>앱관리>SGC검색>알림>알림표시 ON',
			TIT_CHANGEPW: '비밀번호 변경',
			TIT_LOGIN: '로그인',
			TIT_LOGOUT: '로그아웃',
			TIT_PUSHNOTICE: 'PUSH 알림',
		},
		MSG_CHECKMODEL: '{field}은 필수 입력입니다.',
		MSG_CUSTSIGN_GUIDE: '고객 서명 후 저장 하여 주십시오.',
		MSG_ERROR: '자료가 삭제되었거나 서버에 이상이 발생하였습니다. 자료를 다시 확인하여 주시거나 화면을 새로 고침하여 주십시오.',
		MSG_ERROR_DATERANGE: '종료날짜는 시작날짜보다 앞에 올 수 없습니다.',
		MSG_ERROR_HOURRANGE: '종료시간는 시작시간보다 앞에 올 수 없습니다.',
		MSG_NODATA: '검색된 자료가 없습니다.',
		MSG_SEARCH_READY: '검색을 하여 주십시오.',
		MSG_SERVER_ERROR: '알수 없는 오류가 발생하였습니다. 관리자에게 연락바랍니다.',
		MSG_TODO: '현재 작업중입니다. 잠시만 기다려 주십시오.',
		MSG_UNKNOWN: '알수없는 오류가 발생하였습니다. 관리자에게 문의 바랍니다.',
		MSG_SETTING_DONE: '설정 정보를 저장하였습니다.',
		ROOM: {
			BTN_NEXT: '다음',
			BTN_PREV: '이전',
			BTN_REG_ONE: '예약하기',
			BTN_REG_RANGE: '기간예약',
			BTN_REG_REP: '반복예약',
			BTN_REV_APP: '승인처리',
			BTN_REV_APPROV: '승인',
			BTN_REV_CANCEL: '예약취소',
			BTN_REV_END: '회의종료',
			BTN_REV_REJECT: '반려',
			BTN_SUBMIT_REV: '예약하기',
			LBL_ATTEND_NUM: '참석인원',
			LBL_DEPT_CD: '부서 코드',
			LBL_DEPT_NAME: '부서 명',
			LBL_USE_PDEPT_CD: '사용본부',
			LBL_END_HHMM: '종료',
			LBL_END_YYYYMMDD: '종료일시',
			LBL_ETC_DEPT_CD: '기타 부서코드',
			LBL_ETC_DEPT_NAME: '기타 부서명',
			LBL_ETC_NAME: '기타 사원명',
			LBL_ETC_REMARK: '기타 후기',
			LBL_ETC_SABUN: '기타 사원번호',
			LBL_EVERYDAY: '매일',
			LBL_EVERYWEEK: '매주',
			LBL_GUBUN: '예약 구분',
			LBL_HHMM: '시간',
			LBL_KEY_YN: '열쇠필요',
			LBL_KEYSEND_YN: '열쇠 지급여부',
			LBL_LOCATION: '위치',
			LBL_LOCATION_NM: '회의실',
			LBL_MDFT_DT: '수정 일자',
			LBL_MDFT_PR: '수정 자',
			LBL_MEETING_CON: '회의내용',
			LBL_MEETING_NAME: '회의제목',
			LBL_MEETINGROOM_ID: '회의실_ID',
			LBL_REMARK: '사용 후기',
			LBL_REPEAT_CON: '반복조건',
			LBL_REPEAT_WEEK: '반복요일',
			LBL_RESERVATION_ID: '예약_ID',
			LBL_REVYYYYMMDD_RANGE: '예약기간',
			LBL_REYYYYMMDD: '예약일자',
			LBL_ROOM: '회의실',
			LBL_ROOMREV: '예약현황',
			LBL_START_HHMM: '시작',
			LBL_START_YYYYMMDD: '예약 시작일자',
			LBL_STATUS: '상태',
			LBL_SUBSC_CMPN_CD: '예약자 회사코드',
			LBL_SUBSC_NAME: '예약자',
			LBL_SUBSC_SABUN: '예약자 사원번호',
			LBL_WEEK_FR: '금요일',
			LBL_WEEK_MU: '월요일',
			LBL_WEEK_TH: '목요일',
			LBL_WEEK_TU: '화요일',
			LBL_WEEK_WE: '수요일',
			LBL_YYYYMMDD: '일자',
			MSG_APP_DONE: '회의실 예약을 승인하였습니다.',
			MSG_CANCEL_DONE: '회의실 예약을 취소하였습니다.',
			MSG_CLOSE_DONE: '회의실 예약을 종료하였습니다.',
			MSG_CONFIRM_APP: '회의실 예약을 승인하시겠습니까?',
			MSG_CONFIRM_CANCEL: '회의실 예약을 취소하시겠습니까?',
			MSG_CONFIRM_CLOSE: '회의실 예약을 종료하시겠습니까?',
			MSG_CONFIRM_REJECT: '회의실 예약을 반려하시겠습니까?',
			MSG_REJECT_DONE: '회의실 예약을 반려하였습니다.',
			MSG_ROOM_REV_DONE: '예약이 완료되었습니다.',
			MSG_ERROR_PASTDAY: '이미 지난 시간은 입력하실수 없습니다.',
			TIT_APPMEET: '예약승인',
			TIT_CANCEL: '취소',
			TIT_CLOSEMEET: '회의 종료',
			TIT_CONFIRM: '회의 예약',
		},
		SITE: {
			LBL_SITE_NM: '현장명',
			LBL_LOCATION: '위도 경도',
			LBL_ADDRESS: '주소(현장)',
			LBL_CONST_PRD: '공사기간',
			LBL_CONST_CORP: '발주처',
			LBL_MANAGER1: 'PM',
			LBL_MANAGER2: 'CM',
			LBL_MANAGER3: 'PE',
			LBL_MANAGER4: '공무',
			LBL_MANAGER5: '현장관리자',
			LBL_OFFICE_ADDRESS: '주소(사무실)',
			LBL_CONTACT: '연락처',
			LBL_MEMO: '비고',
			BTN_SHOWMAP: '보기',
			BTN_MAP: '지도보기',
			MSG_SITE_TOAST: '{constCorp}\n{fieldAddress}\n{contactNumber}\n{constPrdFromDt}~{constPrdToDt}\n{memo}',
		},
		SAMPLE: {
			LBL_RADIO: '라디오',
			LBL_CHECKBOX: '체크박스',
			LBL_SELECT: '콤보박스',
			LBL_DATETIME: '날자',
			LBL_DATETIME_RANGE: '날자기간',
			LBL_HOUR_RANGE: '시간 기간',
			LBL_CONTENT: '내용',
			LBL_TITLE: '제목',
		},
		PUSH: {
			LBL_PUSH_TYPE: '알림 종류',
			LBL_PUSH_TITLE: '제목',
			LBL_PUSH_CONTENTS: '내용',
			LBL_PUSH_LINK: '링크주소',
			LBL_PUSH_IMAGE: '이미지',
			LBL_PUSH_SEQ: 'PUSH번호',
			BTN_SEND: 'PUSH 전송',
			MSG_CONFIRM_SEND: '푸시 알림을 전송하시겠습니까?',
			MSG_SEND_RESULT: '푸시 알림 결과 - {pushErrmsg}\n알림 결과에 따라 전송 성공 여부를 확인하십시오.',
			MSG_SEND_ERROR: '푸시 전송 실패 하였습니다. Push 번호를 확인하여 주십시오.',
		},
		TIT_AS_PAGE: '협력업체',
		TIT_DEPTDONE: '하자완료조회',
		TIT_DEPTDONEVIEW: '완료상세내용',
		TIT_DEPTING: '하자처리',
		TIT_DEPTINGVIEW: '하자상세내용',
		TIT_DEPTMANG: '하자작업지시',
		TIT_DEPTMANGVIEW: '하자작업지시상세',
		TIT_DEPTQUE: '하자조회및완료처리',
		TIT_DEPTQUEVIEW: '하자조회및완료처리상세',
		TIT_ERROR: '오류가 발생하였습니다.',
		TIT_FINDID: '아이디 찾기',
		TIT_FINDPW: '비밀번호 찾기',
		TIT_HOME: '메인',
		TIT_FINDSITE: '하자 업체 검색',
		TIT_LOGIN: '로그인',
		TIT_NOTICE: '알림',
		TIT_PO_PAGE: '임직원',
		TIT_ROOMAPP: '회의실예약승인',
		TIT_ROOMREV: '회의실예약',
		TIT_ROOMREV_WRITE: '회의실 예약 등록',
		TIT_ROOMREVVIEW: '회의실 예약',
		TIT_TEST: '테스트',
		TIT_MAPVIEW: '현장 지도보기',
		TIT_ADDRESS: '현장 주소록',
		TIT_PUSHDEV: '모바일 알림 테스트',
		TIT_SAMPLE: '디자인 가이드',
		TIT_SERVER_ERROR: '오류',
		TIT_SETTING: '설정',
	},
	en: {
		BTN_ADDHOME: 'Add Home',
		BTN_CANCEL: 'Cancel',
		BTN_CLEAR: 'Clear',
		BTN_CLOSE: 'Close',
		BTN_DONE: 'Completion',
		BTN_LOGOUT: 'Sign out',
		BTN_MODIFY: 'Modify',
		BTN_NO: 'No',
		BTN_OK: 'Ok',
		BTN_VIEW: 'View',
		BTN_SAVE: 'Save',
		BTN_SEARCH: 'Search',
		BTN_SETTING: 'Setting',
		BTN_SUBMIT: 'Submit',
		BTN_YES: 'Yes',
		DEFT: {
			BTN_ATTACH_PHOTO: 'Photo attachment',
			BTN_DELETE_SELECTED: 'Delete Selection',
			BTN_DOWNLOAD_SELECTED: 'Download',
			BTN_PHOTO_AFTER: 'Post-work Pictures',
			BTN_PHOTO_BEFORE: 'Pre-work Pictures',
			BTN_PHOTO_TAKE: 'Select pictures',
			BTN_REG_DONE: 'Operation completed',
			BTN_REG_ING: 'Transitional registration',
			BTN_REG_SIGN: 'Customer signature',
			BTN_SIGN_CANCELSIGN: 'Cancellation of signature',
			BTN_SIGN_CLEAR: 'Clear',
			BTN_SIGN_RESIGN: 'Sign New',
			BTN_SIGN_SAVE: 'Save',
			BTN_SIGN_UNDO: 'Cancel',
			BTN_END: 'Done',
			BTN_VIEW_PHOTO: 'View',
			BTN_VIEW_SIGN: 'View Signatures',
			BTN_SMS_SEND: 'Send Job Instructions',
			LBL_APLNT_NM: 'Applicant',
			LBL_APLNT_REL: 'Applicant Relationship',
			LBL_UNSEND: 'Not sent',
			LBL_SEND: 'Transmission',
			LBL_WORKWKI_SENDYN: 'Transmission status',
			LBL_ASMNG_CHRGR_EMPNO: 'Person in charge of defects',
			LBL_CMPN_CD: 'Company Code',
			LBL_CONS_COVEND_ID: 'Processing company',
			LBL_CONS_MNBD_CD: 'Construction Subject Code [CS011]',
			LBL_CPLPR_NM: 'Completed by_person',
			LBL_CPLT_DT: 'Completed_Date',
			LBL_CPLT_ELPS_SEQ: 'Order of completion',
			LBL_CRRY_TEL_NO: "Applicant's Phone",
			LBL_DEFT_CAUS_NM: 'Defect cause name',
			LBL_DEFT_CAUS_NO: 'Defect cause number',
			LBL_DEFT_CN: 'Defect contents',
			LBL_DEFT_IMG_AFL_ID: 'Defect Photo_Attachment file ID',
			LBL_DEFT_JOBTYP_NM: 'engineering work',
			LBL_DEFT_JOBTYP_NO: 'Defect construction number',
			LBL_DEFT_LJOBTYP_NO: 'Defect vs. Construction number',
			LBL_DEFT_MJOBTYP_NO: 'Defective hollow type number',
			LBL_DEFT_NO: 'Defect number',
			LBL_WKI_SEND_YN: 'Operation instruction',
			LBL_DEFT_PRCG_STUS_CD: 'Defect handling status code [CS009]',
			LBL_DEFT_TYPE_NM: 'Type/Cause',
			LBL_DEFT_TYPE_NO: 'Defect type number',
			LBL_DONG: 'East',
			LBL_DONG_HSNO: 'the same/number',
			LBL_DURA_DYS: 'Required_days',
			LBL_EMG_GB_CD: 'Emergency Classification Code [CS020]',
			LBL_HSNO: 'Lake.',
			LBL_LOC_NM: 'Defect location',
			LBL_LOC_NO: 'Location number',
			LBL_MBIL_CN_CONF_YN: 'Mobile_Content_Check_Y/N',
			LBL_MBIL_PRCG_CN: 'Mobile_Processing_Content',
			LBL_MDFT_DT: 'the date of revision date',
			LBL_MDFT_PR: 'Modifier',
			LBL_OFFR_DT: 'the date of application date',
			LBL_PGPR_NM: 'Handler_person',
			LBL_PRCG_AFL_ID: 'Processing_Attachment ID',
			LBL_PRCG_CN: 'Processing details',
			LBL_PRCG_COVEND_ID: 'Processing_Partner ID',
			LBL_PRCG_DT: 'Processing_Date',
			LBL_PRCG_ELPS_SEQ: 'Processing progress sequence',
			LBL_PRCG_MNBD_CD: 'Processing subject code [CS011]',
			LBL_RCPT_DT: 'date of reception',
			LBL_RCPT_MTD_CD: 'Receipt method code [CS010]',
			LBL_RCVPR_EMPNO: 'Receptionist employee number',
			LBL_RCVPR_NM: 'Receptionist_person',
			LBL_REQ_CN: 'Request_Content',
			LBL_RPDT_SCOR: 'Speed_Score',
			LBL_SITE_CD: 'Field code',
			LBL_SITE_NM: 'Name of site',
			LBL_TEL_NO: 'Phone number',
			LBL_UPPER_LOC_NO: 'Parent_Location Number',
			LBL_VENDR_LBPR_NM: 'Person in charge of the company',
			LBL_VENDR_LBPR_PUSH_YES: 'Receive push notification',
			LBL_VENDR_LBPR_PUSH_NO: 'Push Notification Denied',
			LBL_VIS_ELPS_SEQ: 'the order of visit order',
			LBL_WORK_ELPS_SEQ: 'Work progress sequence',
			LBL_WORK_WKI_CN: 'Operation instruction',
			LBL_WORK_WKI_NO: 'Operation_instruction_number',
			LBL_WRTE_DT: 'Date Created',
			LBL_WRTE_PR: 'Writer.',
			LBL_SMS_TITLE: 'Title',
			LBL_SMS_CONTENTS: 'content',
			MSG_CONFIRM_DELETE: 'Are you sure you want to delete the selected {selectedCnt} pictures?',
			MSG_EMPTY_SIGN: 'Signature is empty. Please complete the signature before saving.',
			MSG_SAVE_SIGN: 'Signature saved successfully.',
			MSG_NO_SELECTED: 'No pictures have been selected. Please select the picture you want to delete.',
			MSG_CONFIRM_SMSSEND: 'Do you want to send the defect operation instruction (PUSH)?',
			MSG_SMS_SEND: '* Send PUSH and SMS to the person in charge of the company.',
			MSG_SAVE_SMSSEND: 'I sent PUSH and SMS to the person in charge of the company.',
			MSG_SAVE_PHOTO: '{cnt} photos have been saved.',
			MSG_SMSCONTENTS_HELPER: 'Up to 80 English characters and 40 Korean characters',
			MSG_SMSCONTENTS_ERROR: 'Current {cnt} / 80',
			MSG_ERR_SMSCONTENTS: 'SMS text transmission can be up to 80 English characters and 40 Korean characters. Current ({cnt} / 80)',
			TIT_SMS_SEND: 'Defect operation instruction [transmission of operation instruction]',
			TIT_CUSTSIGN: 'Customer signature',
			TIT_PHOTO_ADD: 'Photo attachment',
		},
		ELPS: {
			LBL_CMPN_CD: 'Company Code',
			LBL_DEFT_NO: 'Defect number',
			LBL_DEFT_PRCG_GB_CD: 'Defect treatment classification code [CS013]',
			LBL_DEFT_PRCG_GB_NM: 'Processing classification',
			LBL_MAIL_CN: 'Mail Content',
			LBL_MDFT_DT: 'the date of revision date',
			LBL_MDFT_PR: 'Modifier',
			LBL_PGPR_GB_CD: 'Handler classification code [CS016]',
			LBL_PGPR_GB_NM: 'Handler Distinguished Name',
			LBL_PGPR_NM: 'Handlers',
			LBL_PRCG_AMT: 'Processing cost',
			LBL_PRCG_ELPS_SEQ: 'Processing_Rescence_Order',
			LBL_PRCG_PR_END_DT: 'Processing_Scheduled_End_Date',
			LBL_PRCG_PR_END_TM: 'Ending time',
			LBL_PRCG_PR_STRT_DT: 'Date',
			LBL_PRCG_PR_STRT_TM: 'Start time',
			LBL_PRCG_PR_TM: 'Time',
			LBL_PRCG_TYPE_CD: 'Processing Type Code [CS012]',
			LBL_PRCG_TYPE_NM: 'Processing type name',
			LBL_RMK_CN: 'content',
			LBL_TITLE: 'Work progress',
			LBL_WRTE_DT: 'Date Created',
			LBL_WRTE_PR: 'Writer.',
			MSG_CONFIRM_DONE: 'Are you sure you want to complete the processing of defects?',
			MSG_CONFIRM_LAST: 'Are you sure you want to complete the defect process?',
			MSG_CONFIRM_ING: 'Are you sure you want to register the progress of the defect processing',
			MSG_GUIDE_PHOTO: 'Please register the photo before and after the defect and complete the process.',
			TIT_ELPS: 'Defect progress details',
			TIT_REG_DONE: 'Operation completed',
			TIT_REG_LAST: 'Final completion',
			TIT_REG_ING: 'Transitional registration',
		},
		HOME: {
			BTN_DEFT_DONE: 'Defect completion check',
			BTN_DEFT_ING: 'Defect handling',
			BTN_DEFT_MANG: 'Defect operation instruction',
			BTN_DEFT_QUE: 'Defect inquiry and completion processing',
			BTN_ROOM_APP: 'Room Approval',
			BTN_ROOM_REV: 'Reserving a Meeting Room',
			BTN_SITE_ADDRESS: 'Field Address Book',
			LBL_DEFT_EDONE: 'Final completion',
			LBL_DEFT_ING: 'Register',
			LBL_DEFT_REING: "Let's do it",
			LBL_DEFT_REQ: 'Application',
			LBL_DEFT_WDONE: 'Operation completed',
			MSG_DEFT_CNT: '{0} cases',
			MSG_DEFT_STATUS: 'Unprocessed {statusUnDone} cases/total {statusTotal}case',
			TIT_DEFT_STATUS: 'Defect progress status',
		},
		LBL_BASIC: 'Overview',
		LBL_CONTENTS: 'Content',
		LBL_INFORMATION: 'Information',
		LBL_NO: 'No',
		LBL_SELECT: 'Choice',
		LBL_SELECTALL: 'the entire',
		LBL_YES: 'Yes',
		LOGIN: {
			BTN_PASSWDCH: 'Change',
			BTN_FINDID: 'Find ID',
			BTN_FINDPW: 'Find Password',
			BTN_LOGIN: 'Login',
			LBL_CHPASSWD: 'Change password',
			LBL_CMPNCD: 'Company',
			LBL_PASSWD: 'Password',
			LBL_CORPNO: 'Business number',
			LBL_HPNO: 'Cell phone number',
			LBL_LGINID: 'User ID',
			LBL_OLDPASSWD: 'Current password',
			LBL_PUSHNOTI: 'Receive work instruction notifications.',
			LBL_REPASSWD: 'Confirm password change',
			LBL_USERID: 'User Id',
			LBL_USERNM: 'User Name',
			MSG_ALREADYUSED: 'User is already in use.\nYou have been logged out for an existing login.',
			MSG_FINDID: 'The user ID for {userName} is <br/><strong>{userId}</strong>.',
			MSG_FINDPW: 'The temporary password for {userName} is <br/><strong>{scrtNo}</strong>. <br/>Please change it after logging in.',
			MSG_IDPASSINVALID: 'The ID or password is different. Please check and log in.',
			MSG_LOGOUTED: 'Thank you, the logout is complete.',
			MSG_NOMATCHES: 'No matching information found.',
			MSG_PASSDIFF: 'The password is different. Please check.',
			MSG_PASSEXPI: 'Your password has expired. Please make changes and log in.',
			MSG_PASSFAIL: "You've got your password wrong more than five times. Please log in after initialization.",
			MSG_PASSWDCH: '8-12 digits combined with English/numeric/special characters',
			MSG_PASSWDCHANGED: 'Your password has been changed.',
			MSG_SESSION_INVALID: 'Login session information has expired. Please log in again.',
			MSG_NO_AUTH: 'The user is not registered. \nContact your system administrator.',
			MSG_WELCOME: 'Welcome, {userNm}.',
			MSG_ADDHOME_ADDED: 'It is already installed on the Home screen.',
			MSG_ADDHOME_UNABLE: 'Available only on mobile.\nPlease install it on your mobile.',
			MSG_ADDHOME_ACCEPTED: 'Thank you. The installation on the home screen has been completed.',
			MSG_ADDHOME_NOTREADY:
				'Sorry, we are not ready for installation yet.\nPlease proceed with the manual installation (app installation) from the top right menu of the browser.',
			MSG_ADDHOME_NOTREADY_IPHONE: "I'm sorry.\nOn the iPhone, please manually add it to the home screen (safari).\nShare icon at the bottom > Add to Home screen",
			MSG_ADDHOME_NOTREADY_SAMSUNG: "I'm sorry\nPlease proceed with the manual addition.\nBottom Menu > Add Current Page > Home Screen",
			MSG_ADDHOME_UNACCEPTED: 'Sorry, installation failed on home screen.',
			MGS_MENU_NEEDLOGIN: 'Please log in first.',
			MSG_PUSH_PERMISSION:
				'Please enable the settings for push notifications.\nAndroid > Settings > App > App Management > SGC Search > Notification > Notification Display ON',
			TIT_CHANGEPW: 'Change password',
			TIT_LOGIN: 'Login',
			TIT_LOGOUT: 'Sign out',
			TIT_PUSHNOTICE: 'PUSH Notification',
		},
		MSG_CHECKMODEL: '{field} is required.',
		MSG_CUSTSIGN_GUIDE: 'Please sign the customer and save it.',
		MSG_ERROR: 'The data has been deleted or the server has encountered an abnormality. Please check the data again or refresh the screen.',
		MSG_ERROR_DATERANGE: 'The end date cannot precede the start date.',
		MSG_ERROR_HOURRANGE: 'The end time cannot precede the start time.',
		MSG_NODATA: 'No material has been retrieved.',
		MSG_SEARCH_READY: 'Please search.',
		MSG_SERVER_ERROR: 'An unknown error has occurred. Please contact your administrator.',
		MSG_TODO: "I'm currently working on it. Please wait a moment.",
		MSG_UNKNOWN: 'An unknown error has occurred. Please contact your administrator.',
		MSG_SETTING_DONE: 'Setup information saved successfully.',
		ROOM: {
			BTN_NEXT: 'next',
			BTN_PREV: 'Previous',
			BTN_REG_ONE: 'To make a reservation',
			BTN_REG_RANGE: 'Term reservation',
			BTN_REG_REP: 'Recurring reservation',
			BTN_REV_APP: 'Approval processing',
			BTN_REV_APPROV: 'Approval',
			BTN_REV_CANCEL: 'Reservation cancellation',
			BTN_REV_END: 'End of meeting',
			BTN_REV_REJECT: 'companion',
			BTN_SUBMIT_REV: 'To make a reservation',
			LBL_ATTEND_NUM: 'Number of people present',
			LBL_DEPT_CD: 'Department code',
			LBL_DEPT_NAME: 'Department name',
			LBL_USE_PDEPT_CD: 'Use Division',
			LBL_END_HHMM: 'Termination',
			LBL_END_YYYYMMDD: 'End date and time',
			LBL_ETC_DEPT_CD: 'Other department codes',
			LBL_ETC_DEPT_NAME: 'Other department names',
			LBL_ETC_NAME: 'Other employee names',
			LBL_ETC_REMARK: 'Other reviews',
			LBL_ETC_SABUN: 'Other employee numbers',
			LBL_EVERYDAY: 'every day',
			LBL_EVERYWEEK: 'Every week',
			LBL_GUBUN: 'Booking classification',
			LBL_HHMM: 'Time',
			LBL_KEY_YN: 'Need a key',
			LBL_KEYSEND_YN: 'Key payment status',
			LBL_LOCATION: 'Location',
			LBL_LOCATION_NM: 'a conference room',
			LBL_MDFT_DT: 'the date of revision date',
			LBL_MDFT_PR: 'Modifier',
			LBL_MEETING_CON: 'Contents of the meeting',
			LBL_MEETING_NAME: 'the subject of the meeting',
			LBL_MEETINGROOM_ID: 'Room_ID',
			LBL_REMARK: 'Review of Use',
			LBL_REPEAT_CON: 'Recurring conditions',
			LBL_REPEAT_WEEK: 'a recurring day',
			LBL_RESERVATION_ID: 'Reservation_ID',
			LBL_REVYYYYMMDD_RANGE: 'Booking period',
			LBL_REYYYYMMDD: 'Reservation date',
			LBL_ROOM: 'a conference room',
			LBL_ROOMREV: 'Reservation status',
			LBL_START_HHMM: "Let's go",
			LBL_START_YYYYMMDD: 'Reservation start date',
			LBL_STATUS: 'State',
			LBL_SUBSC_CMPN_CD: 'Booker Company Code',
			LBL_SUBSC_NAME: 'person who made reservation',
			LBL_SUBSC_SABUN: 'Reserved employee number',
			LBL_WEEK_FR: 'Friday',
			LBL_WEEK_MU: 'Monday',
			LBL_WEEK_TH: 'Thursday',
			LBL_WEEK_TU: 'Tuesday',
			LBL_WEEK_WE: 'Wednesday',
			LBL_YYYYMMDD: 'Date',
			MSG_APP_DONE: 'I approved the reservation for the conference room.',
			MSG_CANCEL_DONE: 'I canceled my reservation for the meeting room.',
			MSG_CLOSE_DONE: 'You have closed your reservation for the conference room.',
			MSG_CONFIRM_APP: 'Do you want to approve the reservation of the meeting room?',
			MSG_CONFIRM_CANCEL: 'Are you sure you want to cancel the reservation for the meeting room?',
			MSG_CONFIRM_CLOSE: 'Are you sure you want to exit the room reservation?',
			MSG_CONFIRM_REJECT: 'Would you like to return the reservation for the conference room?',
			MSG_REJECT_DONE: 'I returned the reservation for the conference room.',
			MSG_ROOM_REV_DONE: 'Your reservation is complete.',
			MSG_ERROR_PASTDAY: 'You cannot enter a time that is already passed.',
			TIT_APPMEET: 'Reservation approval',
			TIT_CANCEL: 'Cancellation',
			TIT_CLOSEMEET: 'End of meeting',
			TIT_CONFIRM: 'Scheduling a Meeting',
		},
		SITE: {
			LBL_SITE_NM: 'Name of site',
			LBL_LOCATION: 'latitude and longitude',
			LBL_ADDRESS: 'Address (field)',
			LBL_CONST_PRD: 'Construction period',
			LBL_CONST_CORP: 'Place of order',
			LBL_MANAGER1: 'PM/CM',
			LBL_MANAGER2: 'PE/Public Service',
			LBL_MANAGER3: 'Site manager',
			LBL_OFFICE_ADDRESS: 'Address (Office)',
			LBL_CONTACT: 'Contact Us',
			LBL_MEMO: 'Remarks',
			BTN_SHOWMAP: 'View',
			BTN_MAP: 'View Map',
			MSG_SITE_TOAST: '{constCorp}\n{fieldAddress}\n{contactNumber}\n{constPrdFromDt}~{constPrdToDt}\n{memo}',
		},
		SAMPLE: {
			LBL_RADIO: 'Radio',
			LBL_CHECKBOX: 'a check box',
			LBL_SELECT: 'Combo box',
			LBL_DATETIME: "Let's fly",
			LBL_DATETIME_RANGE: 'a flying period',
			LBL_HOUR_RANGE: 'a time period',
			LBL_CONTENT: 'content',
			LBL_TITLE: 'Title',
		},
		PUSH: {
			LBL_PUSH_TYPE: 'Notification type',
			LBL_PUSH_TITLE: 'Title',
			LBL_PUSH_CONTENTS: 'content',
			LBL_PUSH_LINK: 'Link address',
			LBL_PUSH_IMAGE: 'Image',
			LBL_PUSH_SEQ: 'PUSH Number',
			BTN_SEND: 'Send PUSH',
			MSG_CONFIRM_SEND: 'Do you want to send push notifications?',
			MSG_SEND_RESULT: 'Push Notification Results - {pushErrmsg}\nPlease check whether the transfer was successful or not based on the notification results.',
			MSG_SEND_ERROR: 'Push transfer failed. Please check the push number.',
		},
		TIT_AS_PAGE: 'Cooperative Partners',
		TIT_DEPTDONE: 'Check for defect fee',
		TIT_DEPTDONEVIEW: 'Details of completion',
		TIT_DEPTING: 'Defect handling',
		TIT_DEPTINGVIEW: 'Details of defects',
		TIT_DEPTMANG: 'Defect operation instruction',
		TIT_DEPTMANGVIEW: 'Defect operation instruction details',
		TIT_DEPTQUE: 'Defect inquiry and completion processing',
		TIT_DEPTQUEVIEW: 'Details of defect inquiry and completion processing',
		TIT_ERROR: 'An error has occurred.',
		TIT_FINDID: 'Find ID',
		TIT_FINDPW: 'Find Password',
		TIT_HOME: 'Home',
		TIT_FINDSITE: 'Defect Sites',
		TIT_LOGIN: 'Login',
		TIT_NOTICE: 'Notification',
		TIT_PO_PAGE: 'Employees',
		TIT_ROOMAPP: 'Approval for reservation of meeting room',
		TIT_ROOMREV: 'Reservation of the conference room',
		TIT_ROOMREV_WRITE: 'Register Room Reservation',
		TIT_ROOMREVVIEW: 'Reserving a Meeting Room',
		TIT_TEST: 'Testing',
		TIT_MAPVIEW: 'View Site Map',
		TIT_ADDRESS: 'Field Address',
		TIT_PUSHDEV: 'Test Mobile Push Notification',
		TIT_SAMPLE: 'Design Guide',
		TIT_SERVER_ERROR: 'Error',
		TIT_SETTING: 'setting',
	},
};
