package sgc.portal.as.as0103.dto;

import lombok.Getter;
import lombok.Setter;

/**
 * 하자) 하자접수처리 검색 VO
 * 
 * @author 5364
 * @since 2022-08-11
 *
 */
@Getter
@Setter
public class TcsSearchDeftElpsVo extends TcsSearchVo {
	
	/**
	 * 현장코드
	 */
	private String siteCd;

	/**
	 * 하자번호
	 */
	private String deftNo;

	/**
	 * 처리경과순번
	 */
	private String prcgElpsSeq;
	
	/**
	 * 하자처리구분코드[cs013]
	 */
	private String deftPrcgGbCd;

	/**
	 * 하자처리구분명
	 */
	private String deftPrcgGbNm;

	/**
	 * 메일 내용
	 */
	private String mailCn;

	/**
	 * 수정 자
	 */
	private String mdftPr;

	/**
	 * 처리자 구분코드[cs016]
	 */
	private String pgprGbCd;

	/**
	 * 처리자 명
	 */
	private String pgprNm;

	/**
	 * 처리 비용
	 */
	private Integer prcgAmt;

	/**
	 * 처리예정종료일자
	 */
	private String prcgPrEndDt;

	/**
	 * 처리예정종료시간to
	 */
	private String prcgPrEndTm;

	/**
	 * 처리예정시작일자
	 */
	private String prcgPrStrtDt;

	/**
	 * 처리예정시작시간from
	 */
	private String prcgPrStrtTm;

	/**
	 * 처리유형코드[cs012]
	 */
	private String prcgTypeCd;

	/**
	 * 처리유형명
	 */
	private String prcgTypeNm;

	/**
	 * 비고내용
	 */
	private String rmkCn;

	/**
	 * 작성 자
	 */
	private String wrtePr;	
	
	/**
	 * 작업 경과 순번
	 */
	private String workElpsSeq;

	/**
	 * 방문 경과 순번
	 */
	private String visElpsSeq;
	
	/**
	 * 최종완료 순번
	 */
	private String cpltElpsSeq;
	
	
	
}
