package sgc.portal.as.as0103.model;

import lombok.Getter;
import lombok.Setter;
import sgc.portal.base.Domain;

/**
 * 하자) 협력업체_담당자정보
 * 
 * @author 5364
 * @since 2022-09-06
 *
 */
@Getter
@Setter
public class SmComCovendChrgrVo extends Domain {

	/**
	 * 담당자 일련번호
	 */
	private Integer chargeSeq;
	
	/**
	 * 담당자 유형코드
	 */
	private String chrgrTypeCd;
	
	/**
	 * 회사 코드
	 */
	private String cmpnCd;
	
	/**
	 * 협력업체 id
	 */
	private Integer covendId;
	
	/**
	 * 생성주체
	 */
	private String crtMnbd;
	
	/**
	 * 부서명
	 */
	private String division;
	
	/**
	 * 이메일
	 */
	private String email;
	
	/**
	 * 팩스
	 */
	private String faxNum;
	
	/**
	 * 최종접속 현장코드
	 */
	private String fnlConnSiteCd;
	
	/**
	 * 휴대폰
	 */
	private String hpNo;
	
	/**
	 * 수정 자
	 */
	private String mdftPr;
	
	/**
	 * 비밀번호
	 */
	private String passwd;
	
	/**
	 * 직위명
	 */
	private String position;
	
	/**
	 * 비밀번호 만료일자
	 */
	private String pswdEddt;
	
	/**
	 * 비밀번호 실패건수
	 */
	private String pswdFailCnt;
	
	/**
	 * 비밀번호 실패일자
	 */
	private String pswdFailDt;
	
	/**
	 * 알림 사용 여부
	 */
	private String pushUseYn;
	
	/**
	 * 전화번호
	 */
	private String telNum;
	
	/**
	 * 로그인id
	 */
	private String userId;
	
	/**
	 * 담당자명
	 */
	private String userName;
	
	/**
	 * 사용 유효 일자
	 */
	private String useValdDt;

	/**
	 * 사용여부
	 */
	private String useYn;

	/**
	 * 작성 자
	 */
	private String wrtePr;

	/**
	 * 푸시 암림키
	 */
	private String pushKey;

}
