package sgc.portal.as.as0103.model;

import lombok.Getter;
import lombok.Setter;
import sgc.portal.base.Domain;

/**
 * 하자) 협력업체_담당자정보
 * 
 * @author 5364
 * @since 2022-09-06
 *
 */
@Getter
@Setter
public class SmComCovendVo extends Domain {

	/**
	 * 주소
	 */
	private String addr;

	/**
	 * 주소 상세
	 */
	private String addrDtl;

	/**
	 * 첨부파일ID
	 */
	private String aflId;

	/**
	 * AS대표공종명
	 */
	private String asRpstJobtypNm;

	/**
	 * 업태
	 */
	private String bizcdNm;

	/**
	 * 업종
	 */
	private String biztpNm;

	/**
	 * 거래취소일시
	 */
	private String canDt;

	/**
	 * 폐업_일자
	 */
	private String clseDt;

	/**
	 * 회사 코드
	 */
	private String cmpnCd;

	/**
	 * 법인번호
	 */
	private String coprNo;

	/**
	 * 업체명영문
	 */
	private String corpEng;

	/**
	 * FAX번호
	 */
	private String corpFax;

	/**
	 * 사업자구분코드[CS023]
	 */
	private String corpGbCd;

	/**
	 * 업체명한글
	 */
	private String corpKor;

	/**
	 * 사업자등록번호
	 */
	private String corpRegNo;

	/**
	 * 회사규모
	 */
	private String corpScale;

	/**
	 * 전화번호
	 */
	private String corpTel;

	/**
	 * 협력업체 ID
	 */
	private String covendId;

	/**
	 * 협력업체 상태 구분코드
	 */
	private String covendStatusGbCd;

	/**
	 * 생성주체
	 */
	private String crtMnbd;

	/**
	 * 설립일자
	 */
	private String estaDate;

	/**
	 * 본사 사업자번호
	 */
	private String headCorpRegNo;

	/**
	 * 홈페이지URL
	 */
	private String hmpgUrl;

	/**
	 * 수정 자
	 */
	private String mdftPr;

	/**
	 * 우편번호
	 */
	private String postNo;

	/**
	 * 대표자명
	 */
	private String reprNm;

	/**
	 * 비고
	 */
	private String rmkCn;

	/**
	 * 과세유형코드
	 */
	private String taxnTypeCd;

	/**
	 * 작성 자
	 */
	private String wrtePr;

	/**
	 * 현장코드
	 */
	private String siteCd;

	/**
	 * 계약 명
	 */
	private String contNm;

	/**
	 * 협력업체유형코드[CS004]
	 */
	private String jobGbCd;
	
	/**
	 * 협력업체유형명
	 */
	private String jobGbNm;

	/**
	 * 시공주체코드[cs011]
	 */
	private String corpTypCd;

	/**
	 * 시공주체명
	 */
	private String corpTypNm;

}
