package sgc.portal.as.as0103.model;

import lombok.Getter;
import lombok.Setter;
import sgc.portal.base.Domain;

/**
 * 하자) 하자접수처리 통계정보
 * 
 * @author 5364
 * @since 2022-08-11
 *
 */
@Getter
@Setter
public class TcsDeftStatusVo extends Domain {
	/**
	 * 신청
	 */
	private Integer statusA;

	/**
	 * 접수
	 */
	private Integer statusB;

	/**
	 * 재하자
	 */
	private Integer statusC;

	/**
	 * 작업완료
	 */
	private Integer statusD;

	/**
	 * 최종완료
	 */
	private Integer statusZ;

	/**
	 * 반려
	 */
	private Integer statusX;

	/**
	 * 긴급
	 */
	private Integer emgGbA;
	
	/**
	 * 상(중요)
	 */
	private Integer emgGbB;

	/**
	 * 중(보통)
	 */
	private Integer emgGbC;

	/**
	 * 하(일반)
	 */
	private Integer emgGbD;

	/**
	 * 기타
	 */
	private Integer emgGbE;
	
	/**
	 * 완료율 (마무리된 건수 / 총 건수 * 100)
	 */
	private Long chartRate;
	
	/**
	 * 접수 건수
	 */
	private Integer statusRecv;

	/**
	 * 총 건수
	 */
	private Integer statusTotal;

	/**
	 * 마무리된 건수  (작업완료 + 최종완료 + 반려)
	 */
	private Integer statusClose;

	/**
	 * 작업완료 건수
	 */
	private Integer statusDone;

	/**
	 * 미처리 건수 (신청 + 접수 + 재하자)
	 */
	private Integer statusUnDone;

	/**
	 * 최종완료 건수
	 */
	private Integer statusEnd;
	
	
}
