package sgc.portal.as.as0103.model;

import lombok.Getter;
import lombok.Setter;
import sgc.portal.base.Domain;

/**
 * 하자) ERP 현장
 * 
 * @author 5364
 * @since 2022-08-11
 *
 */
@Getter
@Setter
public class TcsErpSiteVo extends Domain {

	/**
	 * 사업승인일자
	 */
	private String bzpjAproDt;

	/**
	 * 회사 코드
	 */
	private String cmpnCd;

	/**
	 * 준공일자
	 */
	private String complDt;

	/**
	 * 공사 기간 from
	 */
	private String constPrdFromDt;

	/**
	 * 공사 기간 to
	 */
	private String constPrdToDt;

	/**
	 * 동수
	 */
	private Integer dcnt;

	/**
	 * 세대수
	 */
	private Integer hhcnt;

	/**
	 * 수정 자
	 */
	private String mdftPr;

	/**
	 * 관리본부 코드
	 */
	private String mngHqtCd;

	/**
	 * 관리본부 명
	 */
	private String mngHqtNm;

	/**
	 * 사무실팩스번호
	 */
	private String ofcFaxNo;

	/**
	 * 사무실전화번호
	 */
	private String ofcTelNo;

	/**
	 * 현장약어명
	 */
	private String siteAbbNm;

	/**
	 * 현장코드
	 */
	private String siteCd;

	/**
	 * 현장관리구분코드[cs019]
	 */
	private String siteMngGbCd;

	/**
	 * 현장명
	 */
	private String siteNm;

	/**
	 * 현장진행구분코드[cs015]
	 */
	private String sitePrgsGbCd;

	/**
	 * 특기사항내용
	 */
	private String spcmtCn;

	/**
	 * 작성 자
	 */
	private String wrtePr;

}
