package sgc.portal.base.model;

import sgc.portal.base.Domain;
import lombok.Data;

@Data
public class ParticularsOfAccountPop extends Domain  {
    private String cmpnCd      ;         /* 회사 코드             */
    private String excaYyd     ;         /* 정산 연도             */
    private String empNo       ;         /* 사원 번호             */
    private String fmlyRsdtno  ;         /* 가족 주민번호         */
    private String sqNo        ;         /* 일련 번호             */
    private String fmlyCd      ;         /* 가족 코드             */
    private String fmlyNme     ;         /* 가족 성명             */
    private String evdcDt      ;         /* 증빙 일자             */
    private String eppsRegNo   ;        /* 사업자 등록 번호      */
    private String comnNm      ;         /* 상호 명               */
    private String mdcsSpec    ;         /* 의료비 내역           */
    private String cseQt       ;         /* 건 수                 */
    private String mdcsAmt     ;         /* 의료비 금액           */
    private String mdcsEvdcCd  ;        /* 의료비 증빙 코드      */
    private String itcYn       ;         /* 난임시술비 여부       */
    private String slfEppsRegNo;       /* 본인 사업자 등록 번호 */
    private String slfComnNm   ;        /* 본인 상호 명          */
    private String ntsDatDivn  ;        /* 국세청 자료 구분      */
    private String pdfYn       ;         /* PDF 여부              */
    private String datCd       ;         /* 자료 코드             */
    private String gubunYn       ;         /* 본인/장애인/경로우대 여부    */
    private String mdcsAmtTot       ;

    private String chk;
    private String rowStatus;
    private String delChk;      /*삭제여부*/
}