
package sgc.portal.base.persistence;

import sgc.portal.base.model.ComData;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.com.com.model.CommDtl;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 콤보박스 매퍼 서비스.
 *
 * @author beomgeun.lee
 * @version 1.0.0
 * @since 2020. 7. 5.
 */
@Mapper
public interface ComboSearchMapper {

    /**
     * ComboBox
     *
     * @param param the param
     * @return the list
     */
    List<Object> selectCodeList(@Param("param") Map param);
    
    /**
     * ComboBox
     *
     * @param param the param
     * @return the list
     */
    List<Object> selectCodeListEn(@Param("param") Map param);

    /**
     * List selectBsuCodeList(@Param("param") Map param);
     * List selectCmpnCodeList(@Param("param") Map param);
     * List selectTxofCodeList(@Param("param") Map param);
     *
     * @param param the param
     * @return the list
     */
    List<EasyHashMap<String, Object>> selectCommCodeList(CommDtl param);
}