
package sgc.portal.base.persistence;

import sgc.portal.base.model.CommCd;
import sgc.portal.base.util.EasyHashMap;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 콤보박스 매퍼 서비스.
 *
 * @author beomgeun.lee
 * @version 1.0.0
 * @since 2020. 7. 5.
 */
@Mapper
public interface CommCdSelectMapper {


    /**
     * Select comm cd list list.
     *
     * @param commCds the comm cds
     * @return the list
     */
    List<EasyHashMap<String, Object>> selectCommCdList(CommCd commCds);

}