package sgc.portal.cd.cd0203.service;

import java.util.List;

import org.springframework.stereotype.Service;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cd.cd0203.dto.CD02030001USearch;
import sgc.portal.cd.cd0203.persistence.CD02030001UMapper;

@Service
public class CD02030001UService {
    private final CD02030001UMapper mapper;

    public CD02030001UService(CD02030001UMapper mapper) {
        this.mapper = mapper;
    }
    
    //공사일보 승인 조회
    public List<EasyHashMap<String, Object>> getListConDayWrkList(CD02030001USearch search) {
        return mapper.getListConDaySiteList(search);
    }
    
}
