package sgc.portal.cd.cd0203.web;

import java.util.List;

import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cd.cd0203.dto.CD02030001USearch;
import sgc.portal.cd.cd0203.service.CD02030001UService;

@RestController
@RequestMapping("/cd/cd0203")
public class CD02030001UController {
    private final CD02030001UService service;

    public CD02030001UController(CD02030001UService service) {
        this.service = service;
    }
    
    //공사일보 현황 조회
    @PostMapping("/CD02030001U/selectConDaySiteList")
    public List<EasyHashMap<String, Object>> getListConDayWrkCal(@RequestBody CD02030001USearch search) {
        return service.getListConDayWrkList(search);
    }
   
}
