package sgc.portal.cd.cd0301.persistence;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cd.cd0301.dto.CD03010003PSearch;
import sgc.portal.cd.cd0301.model.CD03010001P;

@Mapper
public interface CD03010003PMapper {

	/**
	 * 메일전송 작업지시서 조회
	 * @param search
	 * @return
	 */
	List<EasyHashMap<String, Object>> selectConWkiOdrList(CD03010003PSearch search);

	/**
	 * 메일전송횟수 UPDATE
	 * @param cd03010001p
	 */
	void updateMailsendCnt(CD03010001P cd03010001p);
	
	/**
	 * 메일전송내역 업데이트
	 * @param cd03010001p
	 */
	void insertConWkiOdrMailhis(CD03010001P cd03010001p);
	
}
