package sgc.portal.cd.cd0303.persistence;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cd.cd0301.model.CD03010001P;
import sgc.portal.cd.cd0303.dto.CD03030001USearch;

@Mapper
public interface CD03030001UMapper {

	/**
	 * 작업지시서 승인 조회
	 * @param search
	 * @return
	 */
	List<EasyHashMap<String, Object>> selectConWkiOdrList(CD03030001USearch search);

	/**
	 * SM_COM_APRV.APRV_STUS_CD의 결재상태 조회
	 * @param cD03010001P
	 * @return
	 */
	String selectAprvStusCd(CD03010001P cD03010001P);
	
	/**
	 * 작업지시서 승인 결재 후처리
	 * @param cD03010001P
	 */
	void approval(CD03010001P cD03010001P);

}
