package sgc.portal.cd.cd0305.web;

import java.util.List;

import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cd.cd0305.dto.CD03050001USearch;
import sgc.portal.cd.cd0305.service.CD03050001UService;

@RestController
@RequestMapping("/cd/cd0305/CD03050001U")
public class CD03050001UController {

	private final CD03050001UService service;
	
	public CD03050001UController(CD03050001UService service) {
		this.service = service;
	}
	
	//조회
    @PostMapping("/selectConWkiOdrList")	
    public List<EasyHashMap<String, Object>> selectConWkiOdrList(@RequestBody CD03050001USearch search) {
        return service.selectConWkiOdrList(search);
    }
	
}