package sgc.portal.co.co0106.web;

import java.util.List;
import java.util.Map;

import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.co.co0106.dto.CO01060001USearch;
import sgc.portal.co.co0106.model.CO01060001U;
import sgc.portal.co.co0106.service.CO01060001UService;

@RestController
@RequestMapping("/co/co0106")
public class CO01060001UController {
    private final CO01060001UService service;

    public CO01060001UController(CO01060001UService service) {
        this.service = service;
    }

    @PostMapping("/CO01060001U/list")
    public List<EasyHashMap<String, Object>> getList(@RequestBody CO01060001USearch search) {
        return service.getList(search);
    }
    
    @PostMapping("/CO01060001U/save")
    public Map<String, String> save(@RequestBody List<CO01060001U> cO01060001U) {
    	return service.save(cO01060001U);
    }
    
}
