package sgc.portal.co.cocom.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.co.cocom.dto.COCOMSearch;
import sgc.portal.co.cocom.service.COCOMService;

import java.util.List;

@RestController
@RequestMapping("/co/cocom")
public class COCOMController {
    private final COCOMService service;

    public COCOMController(COCOMService service) {
        this.service = service;
    }
    
    //본부
    @PostMapping("/COCOM/getComboCcgrp")
    public List<EasyHashMap<String, Object>> getComboCcgrp(@RequestBody COCOMSearch search) {
        return service.getComboCcgrp(search);
    }
}
