package sgc.portal.co.copop.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.co.copop.dto.COPOPSearch;
import sgc.portal.co.copop.service.COPOPService;

import java.util.List;

@RestController
@RequestMapping("/co/copop")
public class COPOPController {
    private final COPOPService service;

    public COPOPController(COPOPService service) {
        this.service = service;
    }
    
    @PostMapping("/COPOP/ccList")
    public List<EasyHashMap<String, Object>> getCcList(@RequestBody COPOPSearch search) {
        return service.getCcList(search);
    }
    
}
