package sgc.portal.com.com.model;

import sgc.portal.base.Domain;
import lombok.Data;

/**********************************************************
 * 시스템명  	: 시스템관리(COM)
 * 프로그램ID 	: Program
 * 프로그램명   	: 프로그램 관리 model
 * @author	: SBK
 * @version	: 2023-07-25
 * @since JDK1.8
 * @see
 * 1. 최초 작성
**********************************************************/

@Data
public class Program extends Domain {
	
	private String prgId;     /*프로그램 ID*/
	private String sysCd;     /*시스템_코드*/
	private String prgNm;     /*프로그램 명*/
	private String prgExpl;     /*프로그램 설명*/
	private String prgUrl;     /*프로그램 URL*/
	private String psnlinfoYn;     /*개인정보 여부*/
	private String useYn;     /*사용 여부*/
	private String prgNmEn;     /*프로그램 명(영문)*/
	private String rowStatus;
    private String chk;
    
}