package sgc.portal.com.com.web;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.com.com.model.BatchJob;
import sgc.portal.com.com.service.ComBatchJobMngService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**********************************************************
 * 시스템명  		: 시스템관리(COM)
 * 프로그램ID 		: ComBatchJobMngController
 * 프로그램명   		: 배치JOB관리 Controller
 * @author      : SBK
 * @version   	: 2022-09-19
 * @since JDK1.8
 * @see
 * 1. 최초 작성
**********************************************************/
@RestController
public class ComBatchJobMngController {
	@Autowired
	private ComBatchJobMngService comBatchJobMngService;
    
	@PostMapping(value = "/com/com/selectComBatchJobMng")
    public List<EasyHashMap<String, Object>> selectComBatchJobMng() {
	    return comBatchJobMngService.selectComBatchJobMng();
    }

    @PostMapping(value = "/com/com/excuteJobList")
    public Map<String, Object> excuteJobList(@RequestBody BatchJob batchJob) {
    	return comBatchJobMngService.excuteJobList(batchJob);
    }
}
