package sgc.portal.com.com.web;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.com.com.model.Dept;
import sgc.portal.com.com.service.ComDeptMngService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**********************************************************
 * 시스템명  	: 시스템관리(COM)
 * 프로그램ID : ComDeptMngController
 * 프로그램명   : 부서관리 Controller
 * @author  : SBK
 * @version :  2022-07-01
 * @since JDK1.8
 * @see
 * 1. 최초 작성
**********************************************************/
@RestController
public class ComDeptMngController {

	@Autowired
	private ComDeptMngService comDeptMngService;

    @PostMapping(value = "/com/com/selectComDeptMng")
    public List<EasyHashMap<String, Object>> selectComDeptMng(@RequestBody Dept dept) {
        return comDeptMngService.selectComDeptMng(dept);
    }

    @PostMapping(value = "/com/com/saveComDeptMng")
    public void saveComDeptMng(@RequestBody List<Dept> dept) {
        comDeptMngService.saveComDeptMng(dept);
    }

}
