package sgc.portal.com.com.web;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.com.com.model.TaxOffice;
import sgc.portal.com.com.service.ComTaxOfficeMngService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**********************************************************
 * 시스템명  : 시스템관리(COM)
 * 프로그램ID : ComTaxOfficeMngController
 * 프로그램명   : 세무서코드관리 Controller
 * @author      : Kim Gyu Yong(aaaa@aaa.co.kr)
 * @version   :  2020-08-31
 * @since JDK1.8
 * @see
 * 1. 최초 작성
**********************************************************/

@RestController
public class ComTaxOfficeMngController {

	@Autowired
	private ComTaxOfficeMngService comTaxOfficeMngService;


	/**
     *

     * @param
     * @return
	 * @throws Exception
     *
     */
    @PostMapping(value = "/com/com/selectComTaxOfficeMng")
    public List<EasyHashMap<String, Object>> selectComTaxOfficeMng(@RequestBody TaxOffice txofs) {
        return comTaxOfficeMngService.selectComTaxOfficeMng(txofs);
    }

    @PostMapping(value = "/com/com/saveComTaxOfficeMng")
    public void saveComTaxOfficeMng(@RequestBody List<TaxOffice> txofs) {
        comTaxOfficeMngService.saveComTaxOfficeMng(txofs);
    }


}
