package sgc.portal.com.com.web;

import java.util.HashMap;
import java.util.List;

import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.com.com.service.ComWeatherService;

@RestController
@RequestMapping("/com/com")
public class ComWeatherController {	
	
    private final ComWeatherService service;

    public ComWeatherController(ComWeatherService service) {
        this.service = service;
    }

	/*
	 * 단기예보 조회 LIST
	 */
	@PostMapping("/ComWeatherList")
	public List<EasyHashMap<String, Object>> getWeatherVeryShort(@RequestBody HashMap<String, String> paramMap) {

		return service.getWeatherVeryShort(paramMap);		
	}
	

}
