package sgc.portal.com.sym.user.persistence;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.com.sym.user.model.PgPayErrorSearch;
import sgc.portal.com.sym.user.service.PgPayErrorService;

/**
 * <pre>
 * 시스템명    : 통합시스템(SYS)
 * 프로그램ID  : PgPayErrorService.java
 * 설명        : PG 결제 오류 목록을 조회 한다.
 *
 * </pre>
 *
 * @author 민경삼
 * @version 2020. 06. 22
 * @see PgPayErrorSearch
 * @see PgPayErrorService
 * @since JDK1.8
 */
@Mapper
public interface PgPayErrorMapper {

    List<EasyHashMap<String, Object>> selectPgPayErrorList(PgPayErrorSearch PgSearch);

}