package sgc.portal.cs.cs0602.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cs.cs0602.dto.CS06020001USearch;
import sgc.portal.cs.cs0602.service.CS06020001UService;

import java.util.List;

@RestController
@RequestMapping("/cs/cs0602")
public class CS06020001UController {
    private final CS06020001UService service;

    public CS06020001UController(CS06020001UService service) {
        this.service = service;
    }

    @PostMapping("/CS06020001U/getList1")
    public List<EasyHashMap<String, Object>> getList1(@RequestBody CS06020001USearch search) {
        return service.getList1(search);
    }
}
