package sgc.portal.cw.cw0302.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.base.websquare.GridRowStatus;
import sgc.portal.com.auth.model.SmComHdlgAuth;
import sgc.portal.com.auth.persistence.ComBusiHandleAuthMngMapper;
import sgc.portal.cw.cw0302.dto.CW03020001USearch;
import sgc.portal.cw.cw0302.persistence.CW03020001UMapper;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;
import java.util.Map;

@Service
public class CW03020001UService {

	private final CW03020001UMapper mapper;

    public CW03020001UService(CW03020001UMapper mapper) {
        this.mapper = mapper;
    }
    
	//고충조회(전체)
    public List<EasyHashMap<String, Object>> selectProblemList(CW03020001USearch search) {
        return mapper.selectProblemList(search);
    }
}
