package sgc.portal.cw.cw0303.web;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.com.auth.model.PrvtinfoFindHist;
import sgc.portal.com.auth.model.SmComHdlgAuth;
import sgc.portal.com.auth.service.ComBusiHandleAuthMngService;
import sgc.portal.com.auth.service.MaskingDesabledService;
import sgc.portal.cw.cw0303.dto.CW03030001USearch;
import sgc.portal.cw.cw0303.model.CW03030001U;
import sgc.portal.cw.cw0303.service.CW03030001UService;
import sgc.portal.cw.cw0304.model.CW03040001U;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cw/cw0303")
public class CW03030001UController {
	
	private final CW03030001UService service;

    public CW03030001UController(CW03030001UService service) {
        this.service = service;
    }

	//위임고충 처리 조회
    @PostMapping("/CW03030001U/selectProblemMandateList")
    public List<EasyHashMap<String, Object>> selectProblemMandateList(@RequestBody CW03030001USearch search) {
        return service.selectProblemMandateList(search);
    }
    
    //위임고충 처리
  	@PostMapping("/CW03030001U/saveProblemMandateList")
	public void saveProblemMandateList(@RequestBody CW03030001U cW03030001U) {
  		service.saveProblemMandateList(cW03030001U);
	}
  	
  	//위임접수 처리
  	@PostMapping("/CW03030001U/updateProblemMandateReceipt")
	public void updateProblemMandateReceipt(@RequestBody CW03030001U cW03030001U) {
  		service.updateProblemMandateReceipt(cW03030001U);
	}
}
