package sgc.portal.cw.cw0401.model;

import lombok.Getter;
import lombok.NonNull;
import lombok.Setter;
import sgc.portal.base.Domain;


import java.util.Date;
import java.util.List;

@Getter
@Setter
public class CW04010001U extends Domain {

	@NonNull
    private String cmpnCd;			/* 회사코드  */
	
	private String assoId;			/* 협회경력ID  */
	private String empNo;			/* 사원번호  */
	private String pjtNm;			/* 사업명  */
	private String pjtAmt;			/* 사업계약금액  */
	private String orderOrgNm;		/* 발주자  */
	private String pjtNationNm;		/* 사업국가명  */
	private String pjtStaDate;		/* 수행시작일  */
	private String pjtEndDate;		/* 수행종료일  */
	private String pjtGubunCd;		/* 공사종류  */
	private String pjtJobCd;		/* 직무분야  */
	private String pjtJobSpCd;		/* 전문분야  */
	private String pjtWorkCd;		/* 담당업무  */
	private String assoGubunCd;		/* 협회종류  */
	
	private String rowStatus;
	private String userId;
	
	List<CW04010001U> dsList;
}
