package sgc.portal.cw.cw0403.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0403.dto.CW04030001USearch;
import sgc.portal.cw.cw0403.model.CW04030001U;
import sgc.portal.cw.cw0403.service.CW04030001UService;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cw/cw0403")
public class CW04030001UController {
	
    private final CW04030001UService service;

    public CW04030001UController(CW04030001UService service) {
        this.service = service;
    }

    @PostMapping("/CW04030001U/selectZehrCareerPjtList")
    public List<EasyHashMap<String, Object>> selectZehrCareerPjtList(@RequestBody CW04030001USearch search) {
        return service.selectZehrCareerPjtList(search);
    }
    
    @PostMapping("/CW04030001U/saveZehrCareerPjt")
    public Map<String, String> saveZehrCareerPjt(@RequestBody List<CW04030001U> CW04030001U) {
    	return service.saveZehrCareerPjt(CW04030001U);
    }
}


