package sgc.portal.cw.cw0405.service;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.base.websquare.GridRowStatus;
import sgc.portal.cw.cw0405.dto.CW04050001USearch;
import sgc.portal.cw.cw0405.model.CW04050001U;
import sgc.portal.cw.cw0405.persistence.CW04050001UMapper;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class CW04050001UService {
    private final CW04050001UMapper mapper;

    public CW04050001UService(CW04050001UMapper mapper) {
        this.mapper = mapper;
    }
    
    //협회 경력 등록관리 조회
    public List<EasyHashMap<String, Object>> selectZehrCareerAssoRecordList(CW04050001USearch search) {
        return mapper.selectZehrCareerAssoRecordList(search);
    }
}

