package sgc.portal.cw.cw0406.service;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.base.websquare.GridRowStatus;
import sgc.portal.cw.cw0406.dto.CW04060001USearch;
import sgc.portal.cw.cw0406.model.CW04060001U;
import sgc.portal.cw.cw0406.persistence.CW04060001UMapper;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class CW04060001UService {
    private final CW04060001UMapper mapper;

    public CW04060001UService(CW04060001UMapper mapper) {
        this.mapper = mapper;
    }
    
    //협회 등급.자격 등록관리
    public List<EasyHashMap<String, Object>> selectZehrCareerAssoGradeList(CW04060001USearch search) {
        return mapper.selectZehrCareerAssoGradeList(search);
    }
    
    //인사 경력 조회
    public List<EasyHashMap<String, Object>> selectZehrPhmLicenseIuList(CW04060001USearch search) {
        return mapper.selectZehrPhmLicenseIuList(search);
    }
}

