package sgc.portal.cw.cw0406.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0406.dto.CW04060001USearch;
import sgc.portal.cw.cw0406.model.CW04060001U;
import sgc.portal.cw.cw0406.service.CW04060001UService;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cw/cw0406")
public class CW04060001UController {
	
    private final CW04060001UService service;

    public CW04060001UController(CW04060001UService service) {
        this.service = service;
    }

    @PostMapping("/CW04060001U/selectZehrCareerAssoGradeList")
    public List<EasyHashMap<String, Object>> selectZehrCareerAssoGradeList(@RequestBody CW04060001USearch search) {
        return service.selectZehrCareerAssoGradeList(search);
    }
    
    @PostMapping("/CW04060001U/selectZehrPhmLicenseIuList")
    public List<EasyHashMap<String, Object>> selectZehrPhmLicenseIuList(@RequestBody CW04060001USearch search) {
        return service.selectZehrPhmLicenseIuList(search);
    }
}


