package sgc.portal.cw.cw0407.service;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.base.websquare.GridRowStatus;
import sgc.portal.cw.cw0407.dto.CW04070001USearch;
import sgc.portal.cw.cw0407.model.CW04070001U;
import sgc.portal.cw.cw0407.persistence.CW04070001UMapper;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class CW04070001UService {
    private final CW04070001UMapper mapper;

    public CW04070001UService(CW04070001UMapper mapper) {
        this.mapper = mapper;
    }
    
    //협회 경력 등록관리 조회
    public List<EasyHashMap<String, Object>> selectZehrCareerPjtList(CW04070001USearch search) {
        return mapper.selectZehrCareerPjtList(search);
    }
}

