package sgc.portal.cw.cw0407.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0407.dto.CW04070001USearch;
import sgc.portal.cw.cw0407.model.CW04070001U;
import sgc.portal.cw.cw0407.service.CW04070001UService;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cw/cw0407")
public class CW04070001UController {
	
    private final CW04070001UService service;

    public CW04070001UController(CW04070001UService service) {
        this.service = service;
    }

    @PostMapping("/CW04070001U/selectZehrCareerPjtList")
    public List<EasyHashMap<String, Object>> selectZehrCareerPjtList(@RequestBody CW04070001USearch search) {
        return service.selectZehrCareerPjtList(search);
    }
}


