package sgc.portal.cw.cw0408.model;

import lombok.Getter;
import lombok.NonNull;
import lombok.Setter;
import sgc.portal.base.Domain;


import java.util.Date;
import java.util.List;

@Getter
@Setter
public class CW04080001U extends Domain {

	@NonNull
    private String cmpnCd;			/* 회사코드  */
	@NonNull
	private String careerId;		/* 경력ID  */
	
	private String pjtCd;			/* 프로젝트코드  */
	private String empNo;			/* 사원번호  */
	private String pjtStaDate;		/* 수행시작일  */
	private String pjtEndDate;		/* 수행종료일  */
	private String jobACd;			/* 직무대분류코드  */
	private String jobANm;			/* 직무대분류명  */
	private String jobBCd;			/* 직무중분류코드  */
	private String jobBNm;			/* 직무중분류명  */
	private String jobCCd;			/* 직무소분류코드  */
	private String jobCNm;			/* 직무소분류명  */
	
	private String pjtNm;			/* 프로젝트명  */
	private String clientCd;		/* 발주처코드  */
	private String clientNm;		/* 발주처명  */
	private String conAmt;			/* 계약금액  */
	private String vatAmt;			/* 부가세  */
	private String totAmt;			/* 전체금액  */
	private String curNm;			/* 환종명  */
	private String pjtStatus;		/* 진행상태  */
	private String pjtNation;		/* 국가  */
	private String pjtACd;			/* 대분류코드  */
	private String pjtANm;			/* 대분류명  */
	private String pjtBCd;			/* 중분류코드  */
	private String pjtBNm;			/* 중분류코명  */
	private String nationCd;		/* 국가코드  */
	private String nationNm;		/* 국가명  */
	
	private String rowStatus;		
	private String userId;
	
	List<CW04080001U> dsList;
}
