package sgc.portal.cw.cw0408.service;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.base.websquare.GridRowStatus;
import sgc.portal.cw.cw0408.dto.CW04080001USearch;
import sgc.portal.cw.cw0408.model.CW04080001U;
import sgc.portal.cw.cw0408.persistence.CW04080001UMapper;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class CW04080001UService {
    private final CW04080001UMapper mapper;

    public CW04080001UService(CW04080001UMapper mapper) {
        this.mapper = mapper;
    }
    
    //이테크 개인직무 등록관리 조회
    public List<EasyHashMap<String, Object>> selectZehrCareerEmpList(CW04080001USearch search) {
        return mapper.selectZehrCareerEmpList(search);
    }
}

