package sgc.portal.cw.cw0408.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0408.dto.CW04080001USearch;
import sgc.portal.cw.cw0408.model.CW04080001U;
import sgc.portal.cw.cw0408.service.CW04080001UService;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cw/cw0408")
public class CW04080001UController {
	
    private final CW04080001UService service;

    public CW04080001UController(CW04080001UService service) {
        this.service = service;
    }

    @PostMapping("/CW04080001U/selectZehrCareerEmpList")
    public List<EasyHashMap<String, Object>> selectZehrCareerEmpList(@RequestBody CW04080001USearch search) {
        return service.selectZehrCareerEmpList(search);
    }
}


