package sgc.portal.cw.cw0612.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0612.model.CW06120001U;
import sgc.portal.cw.cw0612.dto.CW06120001USearch;
import sgc.portal.cw.cw0612.service.CW06120001UService;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cw/cw0612")
public class CW06120001UController {
    private final CW06120001UService service;

    public CW06120001UController(CW06120001UService service) {
        this.service = service;
    }

    @PostMapping("/CW06120001U/list")
    public List<EasyHashMap<String, Object>> getList(@RequestBody CW06120001USearch search) {
        return service.getList(search);
    }
}
