package sgc.portal.cw.cw0701.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0701.dto.CW07010001USearch;
import sgc.portal.cw.cw0701.model.CW07010001U;
import sgc.portal.cw.cw0701.service.CW07010001UService;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cw/cw0701")
public class CW07010001UController {
	
    private final CW07010001UService service;

    public CW07010001UController(CW07010001UService service) {
        this.service = service;
    }

    @PostMapping("/CW07010001U/selectZehrIsExtraMaterial")
    public List<EasyHashMap<String, Object>> selectZehrIsExtraMaterial(@RequestBody CW07010001USearch search) {
        return service.selectZehrIsExtraMaterial(search);
    }

    @PostMapping("/CW07010001U/saveZehrIsExtraMaterial")
    public Map<String, String> saveZehrIsExtraMaterial(@RequestBody List<CW07010001U> CW07010001U) {
    	return service.saveZehrIsExtraMaterial(CW07010001U);
    }
}


