package sgc.portal.cw.cw0803.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.base.websquare.GridRowStatus;
import sgc.portal.com.auth.model.SmComHdlgAuth;
import sgc.portal.com.auth.persistence.ComBusiHandleAuthMngMapper;
import sgc.portal.com.sym.mail.persistence.MailMapper;
import sgc.portal.com.sym.mail.service.MailService;
import sgc.portal.cw.cw0803.persistence.CW08030001UMapper;
import sgc.portal.cw.cw0803.dto.CW08030001USearch;


import java.time.LocalDateTime;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class CW08030001UService {

	private final CW08030001UMapper mapper;

    public CW08030001UService(CW08030001UMapper mapper) {
        this.mapper = mapper;
    }
    
    //회의실 사용후기 조회
    public List<EasyHashMap<String, Object>> selectZehrRomResrvtnReviewList(CW08030001USearch search) {
        return mapper.selectZehrRomResrvtnReviewList(search);
    }
    
    public List<EasyHashMap<String, Object>> selectZehrRomResrvtnReviewCommList() {
        return mapper.selectZehrRomResrvtnReviewCommList();
    }
}