package sgc.portal.cw.cw0806.service;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.base.websquare.GridRowStatus;
import sgc.portal.cw.cw0806.dto.CW08060001USearch;
import sgc.portal.cw.cw0806.model.CW08060001U;
import sgc.portal.cw.cw0806.persistence.CW08060001UMapper;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

@Service
public class CW08060001UService {
    private final CW08060001UMapper mapper;

    public CW08060001UService(CW08060001UMapper mapper) {
        this.mapper = mapper;
    }

    public List<EasyHashMap<String, Object>> getList(CW08060001USearch search) {
        return mapper.getList(search);
    }
}
