package sgc.portal.cw.cw1002.model;

import lombok.Getter;
import lombok.Setter;
import sgc.portal.base.Domain;

import java.util.Date;
import java.util.List;

@Getter
@Setter
public class CW10020001U extends Domain {

	private String cmpnCd;			/*회사코드*/
	private String deptGroupCd;			/*본부*/
	private String deptGroupNm;			/*본부*/
	private String siteCd;			/*현장코드*/
	private String siteNm;			/*현장명*/
	private String constPrdFromDt;			/*공사기간 from*/
	private String constPrdToDt;			/*공사기간 to*/
	private String constCorp;			/*발주처*/
	private String manager1;			/*PM*/
	private String manager2;			/*CM*/
	private String manager3;			/*PE*/
	private String manager4;			/*공무*/
	private String manager5;			/*현장관리자*/
	private String officeAddress;			/*주소(사무실)*/
	private String fieldAddress;			/*주소(현장)*/
	private String latitude;			/*위도*/
	private String longitude;			/*경도*/
	private String contactNumber;			/*연락처*/
	private String organizerYn;			/*주관사여부*/
	private String gbNm;			/*구분*/
	private String memo;			/*비고*/

    private String rowStatus; 		/*그리드 상태값*/
    
    List<CW10020001U> dsList;
}
