package sgc.portal.cw.cw1002.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw1002.dto.CW10020001USearch;
import sgc.portal.cw.cw1002.model.CW10020001U;
import sgc.portal.cw.cw1002.service.CW10020001UService;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cw/cw1002")
public class CW10020001UController {
	
    private final CW10020001UService service;

    public CW10020001UController(CW10020001UService service) {
        this.service = service;
    }

    @PostMapping("/CW10020001U/selectSiteAddress")
    public List<EasyHashMap<String, Object>> selectSiteAddress(@RequestBody CW10020001USearch search) {
        return service.selectSiteAddress(search);
    }
}