package sgc.portal.cw.cw1101.service;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.base.websquare.GridRowStatus;
import sgc.portal.cw.cw1101.dto.CW11010001USearch;
import sgc.portal.cw.cw1101.model.CW11010001U;
import sgc.portal.cw.cw1101.persistence.CW11010001UMapper;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

@Service
public class CW11010001UService {
    private final CW11010001UMapper mapper;

    public CW11010001UService(CW11010001UMapper mapper) {
        this.mapper = mapper;
    }

    public List<EasyHashMap<String, Object>> getList(CW11010001USearch search) {
        return mapper.getList(search);
    }
}
