package sgc.portal.cw.cw1101.web;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw1101.dto.CW11010001USearch;
import sgc.portal.cw.cw1101.model.CW11010001U;
import sgc.portal.cw.cw1101.service.CW11010001UService;

import java.util.List;

@RestController
@RequestMapping("/cw/cw1101")
public class CW11010001UController {
    private final CW11010001UService service;

    public CW11010001UController(CW11010001UService service) {
        this.service = service;
    }

    @PostMapping("/CW11010001U/list")
    public List<EasyHashMap<String, Object>> getList(@RequestBody CW11010001USearch search) {
            return service.getList(search);
    }
}