package sgc.portal.cw.cw1102.service;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.base.websquare.GridRowStatus;
import sgc.portal.cw.cw1102.dto.CW11020001USearch;
import sgc.portal.cw.cw1102.model.CW11020001U;
import sgc.portal.cw.cw1102.persistence.CW11020001UMapper;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.List;

@Service
public class CW11020001UService {
    private final CW11020001UMapper mapper;

    public CW11020001UService(CW11020001UMapper mapper) {
        this.mapper = mapper;
    }

    public List<EasyHashMap<String, Object>> getList(CW11020001USearch search) {
        return mapper.getList(search);
    }
}
