package sgc.portal.cw.cw1102.web;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw1102.dto.CW11020001USearch;
import sgc.portal.cw.cw1102.model.CW11020001U;
import sgc.portal.cw.cw1102.service.CW11020001UService;

import java.util.List;

@RestController
@RequestMapping("/cw/cw1102")
public class CW11020001UController {
    private final CW11020001UService service;

    public CW11020001UController(CW11020001UService service) {
        this.service = service;
    }

    @PostMapping("/CW11020001U/list")
    public List<EasyHashMap<String, Object>> getList(@RequestBody CW11020001USearch search) {
            return service.getList(search);
    }
}