package sgc.portal.cw.cw1400.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw1400.dto.CW14000001USearch;
import sgc.portal.cw.cw1400.model.CW14000001U;
import sgc.portal.cw.cw1400.service.CW14000001UService;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cw/cw1400")
public class CW14000001UController {
    private final CW14000001UService service;

    public CW14000001UController(CW14000001UService service) {
        this.service = service;
    }

    @PostMapping("/CW14000001U/list")
    public List<EasyHashMap<String, Object>> getList(@RequestBody CW14000001USearch search) {
        return service.getList(search);
    }
}
