package sgc.portal.cw.cw1404.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw1404.dto.CW14040001USearch;
import sgc.portal.cw.cw1404.model.CW14040001U;
import sgc.portal.cw.cw1404.service.CW14040001UService;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cw/cw1404")
public class CW14040001UController {
    private final CW14040001UService service;

    public CW14040001UController(CW14040001UService service) {
        this.service = service;
    }

    @PostMapping("/CW14040001U/list")
    public List<EasyHashMap<String, Object>> getList(@RequestBody CW14040001USearch search) {
        return service.getList(search);
    }
}
