package sgc.portal.cw.cw1405.service;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.base.websquare.GridRowStatus;
import sgc.portal.cw.cw1405.model.CW14050001U;
import sgc.portal.cw.cw1405.dto.CW14050001USearch;
import sgc.portal.cw.cw1405.persistence.CW14050001UMapper;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class CW14050001UService {
    private final CW14050001UMapper mapper;

    public CW14050001UService(CW14050001UMapper mapper) {
        this.mapper = mapper;
    }

    public List<EasyHashMap<String, Object>> getList(CW14050001USearch search) {
        return mapper.getList(search);
    }
}
