package sgc.portal.cw.cw1405.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw1405.dto.CW14050001USearch;
import sgc.portal.cw.cw1405.model.CW14050001U;
import sgc.portal.cw.cw1405.service.CW14050001UService;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cw/cw1405")
public class CW14050001UController {
    private final CW14050001UService service;

    public CW14050001UController(CW14050001UService service) {
        this.service = service;
    }

    @PostMapping("/CW14050001U/list")
    public List<EasyHashMap<String, Object>> getList(@RequestBody CW14050001USearch search) {
        return service.getList(search);
    }
}
