package sgc.portal.cw.cw1502.service;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.base.websquare.GridRowStatus;
import sgc.portal.cw.cw1502.dto.CW15020001PSearch;
import sgc.portal.cw.cw1502.model.CW15020001P;
import sgc.portal.cw.cw1502.persistence.CW15020001PMapper;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class CW15020001PService {
    private final CW15020001PMapper mapper;

    public CW15020001PService(CW15020001PMapper mapper) {
        this.mapper = mapper;
    }
    
    public EasyHashMap<String, Object> getSelectRemInfo(CW15020001PSearch search) {
        return mapper.getSelectRemInfo(search);
    }
}
