package sgc.portal.cw.cw1502.service;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.base.util.SessionUtil;
import sgc.portal.base.websquare.GridRowStatus;
import sgc.portal.com.sym.user.model.UserDetails;
import sgc.portal.cw.cw1502.dto.CW15020001USearch;
import sgc.portal.cw.cw1502.model.CW15020001U;
import sgc.portal.cw.cw1502.persistence.CW15020001UMapper;

import java.time.LocalDateTime;
import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class CW15020001UService {
    private final CW15020001UMapper mapper;

    public CW15020001UService(CW15020001UMapper mapper) {
        this.mapper = mapper;
    }

    public List<EasyHashMap<String, Object>> getListDay(CW15020001USearch search) {
        return mapper.getListDay(search);
    }
}
