package sgc.portal.cw.cw1502.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw1502.dto.CW15020001USearch;
import sgc.portal.cw.cw1502.model.CW15020001U;
import sgc.portal.cw.cw1502.service.CW15020001UService;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cw/cw1502")
public class CW15020001UController {
    private final CW15020001UService service;

    public CW15020001UController(CW15020001UService service) {
        this.service = service;
    }
    
    @PostMapping("/CW15020001U/listDay")
    public List<EasyHashMap<String, Object>> getListDay(@RequestBody CW15020001USearch search) {
        return service.getListDay(search);
    }
}
