package sgc.portal.cw.cw1502.web;

import org.springframework.web.bind.annotation.*;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0201.model.CW02010001U;
import sgc.portal.cw.cw1502.dto.CW15020004PSearch;
import sgc.portal.cw.cw1502.model.CW15020004P;
import sgc.portal.cw.cw1502.service.CW15020004PService;

import java.text.ParseException;
import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cw/cw1502")
public class CW15020004PController {
    private final CW15020004PService service;

    public CW15020004PController(CW15020004PService service) {
        this.service = service;
    }
    
    @PostMapping("/CW15020004P/selectRemInfo")
    public EasyHashMap<String, Object> getSelectRemInfo(@RequestBody CW15020004PSearch search) {
        return service.getSelectRemInfo(search);
    }

    @PostMapping("/CW15020004P/save")
    public Map<String, String> save(@RequestBody CW15020004P CW15020004P) throws ParseException {
    	return service.save(CW15020004P);
    }
}
