package sgc.portal.cw.cw1504.service;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.base.websquare.GridRowStatus;
import sgc.portal.cw.cw1504.model.CW15040001U;
import sgc.portal.cw.cw1504.dto.CW15040001USearch;
import sgc.portal.cw.cw1504.persistence.CW15040001UMapper;

import java.time.LocalDateTime;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class CW15040001UService {
    private final CW15040001UMapper mapper;

    public CW15040001UService(CW15040001UMapper mapper) {
        this.mapper = mapper;
    }

    public List<EasyHashMap<String, Object>> getList(CW15040001USearch search) {
        return mapper.getList(search);
    }
}
