package sgc.portal.cw.cw1504.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw1504.model.CW15040001U;
import sgc.portal.cw.cw1504.dto.CW15040001USearch;
import sgc.portal.cw.cw1504.service.CW15040001UService;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cw/cw1504")
public class CW15040001UController {
    private final CW15040001UService service;

    public CW15040001UController(CW15040001UService service) {
        this.service = service;
    }

    @PostMapping("/CW15040001U/list")
    public List<EasyHashMap<String, Object>> getList(@RequestBody CW15040001USearch search) {
        return service.getList(search);
    }
}
