package sgc.portal.ei.ei0107.dto;

import java.util.List;

import lombok.Getter;
import lombok.Setter;
import sgc.portal.base.BaseSearchDto;

@Getter
@Setter
public class EI01070001USearch extends BaseSearchDto {
	/*
	 * JSON Serialize, Deserialize 는 sgc.portal.base.format 패키지에 있는 객체들을 사용하여 동작한다.
	 * 기본 포멧은 Date -> yyyyMMdd, DateTime -> yyyyMMddHHmmss 이므로 Front, Back 모두 포멧에 맞춰
	 * 요청과 응답을 해야한다. sgc.portal.base.util.DateTime 클래스는 Date 를 상속받은 클래스로 단순히 시간까지
	 * 표현해야하는지 여부를 판단하기 위한 클래스로 시간까지 표현해야하는 경우 sgc.portal.base.util.DateTime 클래스를
	 * 사용하도록 한다.
	 */
	
	private String cmpnCd;   //회사코드
	private String pyear;    //기준년도
	private String pmonth;   //기준월
	private String bpyear;    //전월 기준년도
	private String bpmonth;   //전월 기준월
	private String guarGbCd;  //보증 구분코드[EI004]
	private String guarCcgrpGbCd;   //보증사업본부 구분코드[EI005]
	private List<String> yyyymm;   //분기 리스트
}
