package sgc.portal.ei.ei0107.model;

import java.util.List;
import java.util.Map;

import lombok.Getter;
import lombok.Setter;
import sgc.portal.base.Domain;

@Getter
@Setter
public class EI01070001U extends Domain {
	/*
	 * JSON Serialize, Deserialize 는 sgc.portal.base.format 패키지에 있는 객체들을 사용하여 동작한다.
	 * 기본 포멧은 Date -> yyyyMMdd, DateTime -> yyyyMMddHHmmss 이므로 Front, Back 모두 포멧에 맞춰
	 * 요청과 응답을 해야한다. sgc.portal.base.util.DateTime 클래스는 Date 를 상속받은 클래스로 단순히 시간까지
	 * 표현해야하는지 여부를 판단하기 위한 클래스로 시간까지 표현해야하는 경우 sgc.portal.base.util.DateTime 클래스를
	 * 사용하도록 한다.
	 */

	private List<EI01070002U> list2; // 주요기재사항이 포함된 dcMap
	private List<Map<String, String>> list1; // 보증정보가 포함된 동적 dcList
}
