package sgc.portal.ei.ei0107.web;

import java.util.List;

import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.ei.ei0107.dto.EI01070001PSearch;
import sgc.portal.ei.ei0107.service.EI01070001PService;

@RestController
@RequestMapping("/ei/ei0107")
public class EI01070001PController {
	private final EI01070001PService service;

	public EI01070001PController(EI01070001PService service) {
		this.service = service;
	}
	
	//대여금내역 조회
	@PostMapping("/EI01070001P/listCnt")
	public List<EasyHashMap<String, Object>> getListCnt(@RequestBody EI01070001PSearch search) {
		return service.getListCnt(search);
	}

}
