package sgc.portal.ei.ei0202.model;

import lombok.Getter;
import lombok.Setter;
import sgc.portal.base.Domain;

@Getter
@Setter
public class EI02020001U extends Domain {
	/**
	 * 회사 코드
	 */
	private String cmpnCd;

	/**
	 * 기준 연도
	 */
	private String pyear;

	/**
	 * 기준 월
	 */
	private String pmonth;

	/**
	 * 차입금 일련번호(MAX+1)
	 */
	private String brNo;

	/**
	 * 차입금 구분코드[EI006]
	 */
	private String brGbCd;

	/**
	 * 금융기관명
	 */
	private String fiIntuNm;

	/**
	 * 차입금 종류 구분코드[EI007]
	 */
	private String brKndGbCd;

	/**
	 * 단기 구분코드[EI008]
	 */
	private String brTermGbCd;

	/**
	 * 차입금 한도
	 */
	private String brLmitAmt;

	/**
	 * 차입금 잔액
	 */
	private String brAmt;

	/**
	 * 이자율
	 */
	private String inteRt;

	/**
	 * 시작일
	 */
	private String strtDt;

	/**
	 * 만기일
	 */
	private String expirDt;

	/**
	 * 이자지급시기
	 */
	private String intePayMont;

	/**
	 * 연간이자
	 */
	private String yrInteAmt;

	/**
	 * 비고
	 */
	private String rmkCn;
	/**
	 * 그리드 상태값
	 */
	private String rowStatus;

}
