package sgc.portal.ei.ei0202.web;

import java.util.List;

import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.ei.ei0202.dto.EI02020001PSearch;
import sgc.portal.ei.ei0202.service.EI02020001PService;

@RestController
@RequestMapping("/ei/ei0202")
public class EI02020001PController {
	private final EI02020001PService service;

	public EI02020001PController(EI02020001PService service) {
		this.service = service;
	}
	
	//대여금내역 조회
	@PostMapping("/EI02020001P/listCnt")
	public List<EasyHashMap<String, Object>> getListCnt(@RequestBody EI02020001PSearch search) {
		return service.getListCnt(search);
	}

}
