package sgc.portal.ei.ei0203.model;

import lombok.Getter;
import lombok.Setter;
import sgc.portal.base.Domain;

@Getter
@Setter
public class EI02030001U extends Domain {

	/**
	 * 회사 코드
	 */
	private String cmpnCd;

	/**
	 * 기준 연도
	 */
	private String pyear;

	/**
	 * 기준 월
	 */
	private String pmonth;

	/**
	 * 대여금 일련번호(MAX+1)
	 */
	private String loanNo;

	/**
	 * 대여금 구분코드[EI009]
	 */
	private String loanGbCd;

	/**
	 * 사업본부 구분코드[EI002]
	 */
	private String ccgrpCd;

	/**
	 * 현장명
	 */
	private String pjtNm;

	/**
	 * 거래처명
	 */
	private String tradeNm;

	/**
	 * 대여액
	 */
	private String loanAmt;

	/**
	 * 대여 일자
	 */
	private String strtDt;

	/**
	 * 만기 일자
	 */
	private String expirDt;

	/**
	 * 이자율
	 */
	private String inteRt;
	
	/**
	 * 대여금 상환 일련번호(MAX+1)
	 */
	private String repyNo;
	
	/**
	 * 상환일자
	 */
	private String repyDt;

	/**
	 * 상환금액
	 */
	private String repyAmt;
	
	/**
	 * 비고
	 */
	private String rmkCn;

	/**
	 * 그리드 상태값
	 */
	private String rowStatus;

}
