package sgc.portal.ei.ei0203.web;

import java.util.List;

import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.ei.ei0203.dto.EI02030001PSearch;
import sgc.portal.ei.ei0203.service.EI02030001PService;

@RestController
@RequestMapping("/ei/ei0203")
public class EI02030001PController {
	private final EI02030001PService service;

	public EI02030001PController(EI02030001PService service) {
		this.service = service;
	}
	
	//대여금내역 조회
	@PostMapping("/EI02030001P/listCnt")
	public List<EasyHashMap<String, Object>> getListCnt(@RequestBody EI02030001PSearch search) {
		return service.getListCnt(search);
	}

}
