package sgc.portal.ei.ei0301.model;

import lombok.Getter;
import lombok.Setter;
import sgc.portal.base.Domain;

@Getter
@Setter
public class EI03010001U extends Domain {

	private String cmpnCd;       /* 회사 코드                        */
	private String pyear;        /* 기준 연도                        */
	private String pmonth;       /* 기준 월                           */
	
	private String smpMcAmt;     /* SMP 시황                       */
	private String recMcAmt;     /* REC 시황                       */
	private String ge3Amt;       /* 전기원가 GE3           */
	private String ge3AmtRv;     /* 전기원가 GE3 (보정)     */
	private String ge4Amt;       /* 전기원가 GE4           */
	private String ge4AmtRv;     /* 전기원가 GE4 (보정)     */
	private String smpUplmYn;    /* SMP 상한제 여부               */
	private String bzprofCn;     /* 사업이익 적요                   */
	
	
	private String itemCd;       /* 품목 구분 코드[EI010]   */
	private String ivntQty;      /* 재고 수량                       */
	private String ivntQtyRv;    /* 재고 수량 (보정)        */
	private String mcUctAmt;     /* 시황 단가                       */
	private String purcUctAmt;   /* 구매 단가                       */
	private String purcUctAmtRv; /* 구매 단가 (보정)        */
	
	private String eqpCd;        /* 설비 구분코드[EI011]    */
	private String eqpDtlCd;     /* 설비 상세 구분코드[EI012] */
	private String usgRt;        /* 이용률                            */
	
	
	//필수
    private String rowStatus; /* 그리드 상태값 */
}
