package sgc.portal.ei.ei0401.web;

import java.util.List;

import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.ei.ei0401.dto.EI04010001USearch;

import sgc.portal.ei.ei0401.service.EI04010001UService;

import lombok.extern.slf4j.Slf4j;


@Slf4j
@RestController
@RequestMapping("/ei/ei0401")
public class EI04010001UController {
    private final EI04010001UService service;

    public EI04010001UController(EI04010001UService service) {
        this.service = service;
    }
    
    /*
     * 조회 LIST
     */
    @PostMapping("/EI04010001U/list")
    public List<EasyHashMap<String, Object>> getList(@RequestBody EI04010001USearch search) {
        return service.getList(search);
    }
       
}
