package sgc.portal.ll.ll0101.web;

import java.util.Map;

import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import sgc.portal.ll.ll0101.dto.LL01010001PSearch;
import sgc.portal.ll.ll0101.model.LL01010001P;
import sgc.portal.ll.ll0101.service.LL01010001PService;

@RestController
@RequestMapping("/ll/ll0101")
public class LL01010001PController {
	
	private final LL01010001PService service;

	public LL01010001PController(LL01010001PService service) {
		this.service = service;
	}
	
	/**
	 * Lessons Learned(팝업) 조회
	 * @param search
	 * @return
	 */
    @PostMapping("/LL01010001P/list")	
    public LL01010001P selectLlInfoList(@RequestBody LL01010001PSearch search) {
        return service.selectLlInfoList(search);
    }
	
    /**
	 * Lessons Learned 작성(팝업) 저장
     * @param LL01010001P
     * @return
     */
    @PostMapping("/LL01010001P/save")
    public Map<String, String> saveLlInfo(@RequestBody LL01010001P LL01010001P) {
    	return service.saveLlInfo(LL01010001P);
    }
    
}
