package sgc.portal.log.web;

import sgc.portal.log.service.LogFileLoadService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

/**
 * <pre>
 * 시스템명   : Common
 * 프로그램ID :
 * 프로그램명  :
 * 설명 :
 * </pre>
 *
 * @author 이범근
 * @version 2020.03.19
 */
@RestController
@RequestMapping("/log")
public class LogFileLoadController {
    @Autowired
    private LogFileLoadService logFileLoadService;

    @RequestMapping(value = "/server/{startWith}", method = RequestMethod.GET)
    public StringBuffer getLog(@PathVariable long startWith){
        return logFileLoadService.getLog(startWith);
    }
}
