package sgc.portal.mobile.model;

import lombok.Getter;
import lombok.Setter;
import sgc.portal.base.Domain;

/**
 * 하자) 하자처리경과
 * 
 * @author 5364
 * @since 2022-08-11
 *
 */
@Getter
@Setter
public class TcsDeftElpsVo extends Domain {

	/**
	 * 회사 코드
	 */
	private String cmpnCd;

	/**
	 * 하자번호
	 */
	private String deftNo;

	/**
	 * 하자처리구분코드[cs013]
	 */
	private String deftPrcgGbCd;

	/**
	 * 하자처리구분명
	 */
	private String deftPrcgGbNm;

	/**
	 * 메일 내용
	 */
	private String mailCn;

	/**
	 * 수정 자
	 */
	private String mdftPr;

	/**
	 * 처리자 구분코드[cs016]
	 */
	private String pgprGbCd;

	/**
	 * 처리자 명
	 */
	private String pgprNm;

	/**
	 * 처리 비용
	 */
	private Integer prcgAmt;

	/**
	 * 처리경과순번
	 */
	private Integer prcgElpsSeq;

	/**
	 * 처리예정종료일자
	 */
	private String prcgPrEndDt;

	/**
	 * 처리예정종료시간to
	 */
	private String prcgPrEndTm;

	/**
	 * 처리예정시작일자
	 */
	private String prcgPrStrtDt;

	/**
	 * 처리예정시작시간from
	 */
	private String prcgPrStrtTm;

	/**
	 * 처리예정시작시간from~to
	 */
	private String prcgPrStrtEndTm;
	
	/**
	 * 처리유형코드[cs012]
	 */
	private String prcgTypeCd;

	/**
	 * 처리유형명
	 */
	private String prcgTypeNm;

	/**
	 * 비고내용
	 */
	private String rmkCn;

	/**
	 * 작성 자
	 */
	private String wrtePr;

}
