package sgc.portal.mobile.model;

import lombok.Getter;
import lombok.Setter;
import sgc.portal.base.Domain;

/**
 * 하자)현장협력업체 담당자
 * 
 * @author 5364
 * @since 2022-08-11
 *
 */
@Getter
@Setter
public class TcsSiteTradeChrgrVo extends Domain {

	/**
	 * 담당자휴대전화번호
	 */
	private String chrgrCrryTelNo;

	/**
	 * 담당자이메일
	 */
	private String chrgrEmail;

	/**
	 * 담당자명
	 */
	private String chrgrNm;

	/**
	 * 담당자Sms허용여부
	 */
	private String chrgrSmsPermYn;

	/**
	 * 담당자유형코드[cs006]
	 */
	private String chrgrTypeCd;

	/**
	 * 회사 코드
	 */
	private String cmpnCd;

	/**
	 * 협력업체 id
	 */
	private Integer covendId;

	/**
	 * 수정 자
	 */
	private String mdftPr;

	/**
	 * 현장코드
	 */
	private String siteCd;

	/**
	 * 작성 자
	 */
	private String wrtePr;

}
