package sgc.portal.mobile.model;

import java.util.List;

import lombok.Getter;
import lombok.Setter;
import sgc.portal.base.Domain;

/**
 * 회의실) 회의실)회의실예약디스플레이
 * 
 * @author 5364
 * @since 2022-09-19
 *
 */
@Getter
@Setter
public class ZehrRomDisplVo extends Domain {

	/**
	 * 위치 명
	 */
	private String mrLocation;

	/**
	 * 위치 코드
	 */
	private String locationId;

	/**
	 * 회의실 ID
	 */
	private String meetingroomId;

	/**
	 * 예약 일자
	 */
	private String reYyyymmdd;
	
	/**
	 * 예약 일자 리스트
	 */
	private List<String> reYyyymmddList;

	/**
	 * 기본 디스플레이 이름 
	 */
	private String reservationDisName;

	/**
	 * 수정 자
	 */
	private String mdftPr;

	/**
	 * 작성 자
	 */
	private String wrtePr;
	
	/**
	 * 번호
	 */
	private String bunho;

	/**
	 * 07:00 예약제목
	 */
	private String t070;

	/**
	 * 07:00 예약번호/상태
	 */
	private String idt070;

	/**
	 * 07:30 예약제목
	 */
	private String t073;

	/**
	 * 07:30 예약번호/상태
	 */
	private String idt073;

	/**
	 * 08:00 예약제목
	 */
	private String t080;

	/**
	 * 08:00 예약번호/상태
	 */
	private String idt080;

	/**
	 * 08:30 예약제목
	 */
	private String t083;

	/**
	 * 08:30 예약번호/상태
	 */
	private String idt083;

	/**
	 * 09:00 예약제목
	 */
	private String t090;

	/**
	 * 09:00 예약번호/상태
	 */
	private String idt090;

	/**
	 * 09:30 예약제목
	 */
	private String t093;

	/**
	 * 09:30 예약번호/상태
	 */
	private String idt093;

	/**
	 * 10:00 예약제목
	 */
	private String t100;

	/**
	 * 10:00 예약번호/상태
	 */
	private String idt100;

	/**
	 * 10:30 예약제목
	 */
	private String t103;

	/**
	 * 10:30 예약번호/상태
	 */
	private String idt103;

	/**
	 * 11:00 예약제목
	 */
	private String t110;

	/**
	 * 11:00 예약번호/상태
	 */
	private String idt110;

	/**
	 * 11:30 예약제목
	 */
	private String t113;

	/**
	 * 11:30 예약번호/상태
	 */
	private String idt113;

	/**
	 * 12:00 예약제목
	 */
	private String t120;

	/**
	 * 12:00 예약번호/상태
	 */
	private String idt120;

	/**
	 * 12:30 예약제목
	 */
	private String t123;

	/**
	 * 12:30 예약번호/상태
	 */
	private String idt123;

	/**
	 * 13:00 예약제목
	 */
	private String t130;

	/**
	 * 13:00 예약번호/상태
	 */
	private String idt130;

	/**
	 * 13:30 예약제목
	 */
	private String t133;

	/**
	 * 13:30 예약번호/상태
	 */
	private String idt133;

	/**
	 * 14:00 예약제목
	 */
	private String t140;

	/**
	 * 14:00 예약번호/상태
	 */
	private String idt140;

	/**
	 * 14:30 예약제목
	 */
	private String t143;

	/**
	 * 14:30 예약번호/상태
	 */
	private String idt143;

	/**
	 * 15:00 예약제목
	 */
	private String t150;

	/**
	 * 15:00 예약번호/상태
	 */
	private String idt150;

	/**
	 * 15:30 예약제목
	 */
	private String t153;

	/**
	 * 15:30 예약번호/상태
	 */
	private String idt153;

	/**
	 * 16:00 예약제목
	 */
	private String t160;

	/**
	 * 16:00 예약번호/상태
	 */
	private String idt160;

	/**
	 * 16:30 예약제목
	 */
	private String t163;

	/**
	 * 16:30 예약번호/상태
	 */
	private String idt163;

	/**
	 * 17:00 예약제목
	 */
	private String t170;

	/**
	 * 17:00 예약번호/상태
	 */
	private String idt170;

	/**
	 * 17:30 예약제목
	 */
	private String t173;

	/**
	 * 17:30 예약번호/상태
	 */
	private String idt173;

	/**
	 * 18:00 예약제목
	 */
	private String t180;

	/**
	 * 18:00 예약번호/상태
	 */
	private String idt180;

	/**
	 * 18:30 예약제목
	 */
	private String t183;

	/**
	 * 18:30 예약번호/상태
	 */
	private String idt183;

	/**
	 * 19:00 예약제목
	 */
	private String t190;

	/**
	 * 19:00 예약번호/상태
	 */
	private String idt190;

	/**
	 * 19:30 예약제목
	 */
	private String t193;

	/**
	 * 19:30 예약번호/상태
	 */
	private String idt193;

	/**
	 * 20:00 예약제목
	 */
	private String t200;

	/**
	 * 20:00 예약번호/상태
	 */
	private String idt200;

	/**
	 * 20:30 예약제목
	 */
	private String t203;

	/**
	 * 20:30 예약번호/상태
	 */
	private String idt203;

	/**
	 * 21:00 예약제목
	 */
	private String t210;

	/**
	 * 21:00 예약번호/상태
	 */
	private String idt210;

	/**
	 * 21:30 예약제목
	 */
	private String t213;

	/**
	 * 21:30 예약번호/상태
	 */
	private String idt213;

	/**
	 * 22:00 예약제목
	 */
	private String t220;

	/**
	 * 22:00 예약번호/상태
	 */
	private String idt220;

	/**
	 * 22:30 예약제목
	 */
	private String t223;

	/**
	 * 22:30 예약번호/상태
	 */
	private String idt223;

}
