package sgc.portal.mobile.model;

import lombok.Getter;
import lombok.Setter;
import sgc.portal.base.Domain;

/**
 * 현장 주소록
 * 
 * @author 5364
 * @since 2022-08-11
 *
 */
@Getter
@Setter
public class ZehrSiteAddressVo extends Domain {

	/**
	 * '회사 코드
	 */
	private String cmpnCd;


	/**
	 * 본부
	 */
	private String deptGroupCd;


	/**
	 * 현장명
	 */
	private String siteNm;

    /**
     * 공사기간 from
     */
    private String constPrdFromDt;

    /**
     * 공사기간 to
     */
    private String constPrdToDt;

    /**
     * 발주처 
     */
    private String constCorp;

    /**
     * PM
     */
    private String manager1;
   
    /**
     * CM
     */
    private String manager2;

    /**
     * PE
     */
    private String manager3;

    /**
     * 공무
     */
    private String manager4;

    /**
     * 현장관리자
     */
    private String manager5;
    
    /**
     * 주소(사무실)
     */
    private String officeAddress;

    /**
	 * 주소(현장)
	 */
	private String fieldAddress;
	
	/**
	 * 위도
	 */
	private Double latitude;
	
	/**
	 * 경도
	 */
	private Double longtude;

    /**
     * 연락처 
     */
    private String contactNumber;

    /**
     * 주관사 여부 
     */
    private String organizerYn;

    /**
     * 구분 
     */
    private String gbNm;

    /**
     * 비고 
     */
    private String memo;

}
